<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;
use \kartik\color\ColorInput;
/* @var $this yii\web\View */
/* @var $model common\models\Specialization */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="specialization-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'specialization_pid')->dropDownList(ArrayHelper::map($model->find()->all(), 'specialization_id', 'specialization_name'), ['prompt' => 'Выберие родителя']) ?>
    <?= $form->field($model, 'specialization_name')->textInput(['maxlength' => true]) ?>

    <?php



    if($model->specialization_pid == 0 && !empty($model->specialization_id) ){


        echo $form->field($model, 'background')->widget(ColorInput::classname(), [
            'options' => ['placeholder' => 'Select color ...'],
        ]);

        echo  common\modules\file\widgets\ImageUploader::widget([
            'model'=> $model,
            'field'=>'image',
            'size' => [
                [
                    'width'=>940,
                    'height'=>324,
                ]
            ],
            'multi'=>false,
            'gallery' =>$model->image,
            'name' => 'Загрузить картинку'
        ]);
    }
 ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Create' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
