<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "currency".
 *
 * @property integer $currency_id
 * @property string $name
 * @property string $symbol
 * @property string $code
 * @property double $rate
 * @property string $date_update
 * @property integer $is_default
 */
class Currency extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'currency';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['rate'], 'number'],
            [['date_update'], 'safe'],
            [['is_default'], 'integer'],
            [['name', 'symbol'], 'string', 'max' => 255],
            [['code'], 'string', 'max' => 3],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'currency_id' => Yii::t('app', 'currency_id'),
            'name' => Yii::t('app', 'name'),
            'symbol' => Yii::t('app', 'symbol'),
            'code' => Yii::t('app', 'code'),
            'rate' => Yii::t('app', 'rate'),
            'date_update' => Yii::t('app', 'date_update'),
            'is_default' => Yii::t('app', 'is_default'),
        ];
    }

    public static function getCurrencyDropdown()
    {
        return self::find()->select(['label', 'currency_id'])->indexBy('currency_id')->orderBy(['is_default' => SORT_DESC, 'currency_id' => SORT_ASC])->asArray()->column();
    }
}
