<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "portfolio_gallery".
 *
 * @property integer $portfolio_gallery_id
 * @property integer $gallery_id
 * @property integer $portfolio_id
 * @property string $caption
 * @property integer $visible
 *
 * @property Gallery $gallery
 * @property Portfolio $portfolio
 */
class PortfolioGallery extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'portfolio_gallery';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['gallery_id', 'portfolio_id'], 'required'],
            [['gallery_id', 'portfolio_id', 'visible'], 'integer'],
            [['caption'], 'string', 'max' => 255],
            [['gallery_id'], 'exist', 'skipOnError' => true, 'targetClass' => Gallery::className(), 'targetAttribute' => ['gallery_id' => 'gallery_id']],
            [['portfolio_id'], 'exist', 'skipOnError' => true, 'targetClass' => Portfolio::className(), 'targetAttribute' => ['portfolio_id' => 'portfolio_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'portfolio_gallery_id' => Yii::t('app', 'Portfolio Gallery ID'),
            'gallery_id' => Yii::t('app', 'Gallery ID'),
            'portfolio_id' => Yii::t('app', 'Portfolio ID'),
            'caption' => Yii::t('app', 'Описание'),
            'visible' => Yii::t('app', 'Visible'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getGallery()
    {
        return $this->hasOne(Gallery::className(), ['gallery_id' => 'gallery_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPortfolio()
    {
        return $this->hasOne(Portfolio::className(), ['portfolio_id' => 'portfolio_id']);
    }
}
