<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "portfolio_specialization".
 *
 * @property integer $portfolio_specialization_id
 * @property integer $portfolio_id
 * @property integer $specialization_id
 *
 * @property Portfolio $portfolio
 * @property Specialization $specialization
 */
class PortfolioSpecialization extends \yii\db\ActiveRecord
{

    public $count;
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'portfolio_specialization';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['portfolio_id', 'specialization_id'], 'integer'],
            [['portfolio_id'], 'exist', 'skipOnError' => true, 'targetClass' => Portfolio::className(), 'targetAttribute' => ['portfolio_id' => 'portfolio_id']],
            [['specialization_id'], 'exist', 'skipOnError' => true, 'targetClass' => Specialization::className(), 'targetAttribute' => ['specialization_id' => 'specialization_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'portfolio_specialization_id' => Yii::t('app', 'portfolio_specialization_id'),
            'portfolio_id' => Yii::t('app', 'portfolio_id'),
            'specialization_id' => Yii::t('app', 'specialization_id'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPortfolio()
    {
        return $this->hasOne(Portfolio::className(), ['portfolio_id' => 'portfolio_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSpecialization()
    {
        return $this->hasOne(Specialization::className(), ['specialization_id' => 'specialization_id']);
    }
}
