<?php

namespace common\models;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use common\models\Specialization;

/**
 * SpecializationSearch represents the model behind the search form about `\common\models\Specialization`.
 */
class SpecializationSearch extends Specialization
{

    public $specialization_parent_name;
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['specialization_id'], 'integer'],
            [['specialization_pid','specialization_parent_name'], 'string'],
            [['specialization_name'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Specialization::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }



        // grid filtering conditions
        $query->andFilterWhere([
            'specialization_id' => $this->specialization_id,
            'specialization_pid' => !empty($this->specialization_parent_name) ?  array_keys(Specialization::find()->select('specialization_id')->FilterWhere(['like', 'specialization_name',$this->specialization_parent_name])->asArray()->indexBy('specialization_id')->all()) : $this->specialization_parent_name
        ]);

        $query->andFilterWhere(['like', 'specialization_name', $this->specialization_name]);

        return $dataProvider;
    }
}
