<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "user_payment".
 *
 * @property integer $user_payment_id
 * @property integer $user_id
 * @property integer $payment_id
 *
 * @property Payment $payment
 */
class UserPayment extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'user_payment';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['user_id', 'payment_id'], 'integer'],
            [['payment_id'], 'exist', 'skipOnError' => true, 'targetClass' => Payment::className(), 'targetAttribute' => ['payment_id' => 'payment_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'user_payment_id' => Yii::t('app', 'user_payment_id'),
            'user_id' => Yii::t('app', 'user_id'),
            'payment_id' => Yii::t('app', 'payment_id'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getPayment()
    {
        return $this->hasOne(Payment::className(), ['payment_id' => 'payment_id']);
    }
}
