<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "user_specialization".
 *
 * @property integer $user_specialization_id
 * @property integer $user_id
 * @property integer $specialization_id
 *
 * @property Specialization $specialization
 */
class UserSpecialization extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'user_specialization';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['user_id', 'specialization_id'], 'integer'],
            [['specialization_id'], 'exist', 'skipOnError' => true, 'targetClass' => Specialization::className(), 'targetAttribute' => ['specialization_id' => 'specialization_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'user_specialization_id' => Yii::t('app', 'user_specialization_id'),
            'user_id' => Yii::t('app', 'user_id'),
            'specialization_id' => Yii::t('app', 'specialization_id'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSpecialization()
    {
        return $this->hasOne(Specialization::className(), ['specialization_id' => 'specialization_id']);
    }
}
