<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "vacancy_employment".
 *
 * @property integer $vacancy_employment
 * @property integer $vacancy_id
 * @property integer $employment_id
 *
 * @property Employment $employment
 * @property Vacancy $vacancy
 */
class VacancyEmployment extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'vacancy_employment';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['vacancy_id', 'employment_id'], 'integer'],
            [['employment_id'], 'exist', 'skipOnError' => true, 'targetClass' => Employment::className(), 'targetAttribute' => ['employment_id' => 'employment_id']],
            [['vacancy_id'], 'exist', 'skipOnError' => true, 'targetClass' => Vacancy::className(), 'targetAttribute' => ['vacancy_id' => 'vacancy_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'vacancy_employment' => Yii::t('app', 'vacancy_employment'),
            'vacancy_id' => Yii::t('app', 'vacancy_id'),
            'employment_id' => Yii::t('app', 'employment_id'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEmployment()
    {
        return $this->hasOne(Employment::className(), ['employment_id' => 'employment_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getVacancy()
    {
        return $this->hasOne(Vacancy::className(), ['vacancy_id' => 'vacancy_id']);
    }
}
