<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "vacancy_specialization".
 *
 * @property integer $vacancy_specialization_id
 * @property integer $vacancy_id
 * @property integer $specialization_id
 *
 * @property Specialization $specialization
 * @property Vacancy $vacancy
 */
class VacancySpecialization extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'vacancy_specialization';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['vacancy_id', 'specialization_id'], 'integer'],
            [['specialization_id'], 'exist', 'skipOnError' => true, 'targetClass' => Specialization::className(), 'targetAttribute' => ['specialization_id' => 'specialization_id']],
            [['vacancy_id'], 'exist', 'skipOnError' => true, 'targetClass' => Vacancy::className(), 'targetAttribute' => ['vacancy_id' => 'vacancy_id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'vacancy_specialization_id' => Yii::t('app', 'vacancy_specialization_id'),
            'vacancy_id' => Yii::t('app', 'vacancy_id'),
            'specialization_id' => Yii::t('app', 'specialization_id'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getSpecialization()
    {
        return $this->hasOne(Specialization::className(), ['specialization_id' => 'specialization_id']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getVacancy()
    {
        return $this->hasOne(Vacancy::className(), ['vacancy_id' => 'vacancy_id']);
    }
}
