<?php
    /**
     * @var \common\modules\comment\models\Comment     $model
     * @var \common\models\User                        $user
     * @var \yii\data\ActiveDataProvider               $dataProvider
     * @var null|\common\modules\comment\models\Rating $rating
     */
    use kartik\rating\StarRating;
    use yii\widgets\ActiveForm;
    use yii\helpers\Html;

?>
<div class="new-portf-comm-count">Мнения: <?= $dataProvider->totalCount ?></div>

<div class="new-portf-add-comm style">

    <?php
        $form = ActiveForm::begin();
        if($rating) {
            echo $form->field(( !empty( $model->rating ) ? $model->rating : $rating ), 'value')
                      ->label(false)
                      ->widget(StarRating::className(), [
                          'pluginOptions' => [
                              'size'        => 'xxs',
                              'step'        => 1,
                              'value'       => 2,
                              'showCaption' => false,
                              'min'         => 0,
                              'max'         => 10,
                              'stars'       => 10,
                          ],
                      ]);
        }

        if($model->scenario == $model::SCENARIO_GUEST) {
            echo $form->field($model, 'user_name', [
                'options'      => [
                    'class' => 'input-blocks-comm fix_marg_',
                ],
                'inputOptions' => [
                    'class' => 'custom-input-4',
                ],
            ])
                      ->textInput();
            echo $form->field($model, 'user_email', [
                'options'      => [
                    'class' => 'input-blocks-comm',
                ],
                'inputOptions' => [
                    'class' => 'custom-input-4',
                ],
            ])
                      ->textInput()
                      ->hint('Ваш email не будет доступен к просмотру.');
        }

    ?>
    <div class="artbox_comment_reply_block"></div>
    <?php

        echo $form->field($model, 'text', [
            'options'      => [
                'class' => 'input-blocks-comm area-comm',
            ],
            'inputOptions' => [
                'class' => 'custom-area-4',
            ],
        ])
                  ->textarea();
    ?>
    <div class="input-blocks-comm-button style">
        <?= Html::submitButton('Добавить мнение') ?>
    </div>
    <?php
        $form->end();
    ?>
</div>