<?php

    use yii\db\Migration;

    class m160217_145813_add_fields_february extends Migration
    {

        public function up()
        {
            /* Create vacancy_specialization table */
            $this->createTable('{{%vacancy_specialization}}', [
                'vacancy_specialization_id' => $this->primaryKey(),
                'vacancy_id'                => $this->integer(),
                'specialization_id'         => $this->integer(),
            ]);

            /* Connect vacancy_specialization table with vacancy and specialization tables */
            $this->addForeignKey('vacancy_specialization_vacancy', '{{%vacancy_specialization}}', 'vacancy_id', '{{%vacancy}}', 'vacancy_id', 'CASCADE', 'CASCADE');
            $this->addForeignKey('vacancy_specialization_specialization', '{{%vacancy_specialization}}', 'specialization_id', '{{%specialization}}', 'specialization_id', 'CASCADE', 'CASCADE');

            /* Add phone column to vacancy */
            $this->addColumn('{{%vacancy}}', 'phone', $this->string());
            $this->addColumn('{{%vacancy}}', 'salary', $this->string());
        }

        public function down()
        {
            $this->dropForeignKey('vacancy_specialization_vacancy', '{{%vacancy_specialization}}');
            $this->dropForeignKey('vacancy_specialization_specialization', '{{%vacancy_specialization}}');

            $this->dropColumn('{{%vacancy}}', 'phone');
            $this->dropColumn('{{%vacancy}}', 'salary');

            $this->dropTable('{{%vacancy_specialization}}');
        }

    }
