<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace frontend\assets;

use yii\web\AssetBundle;

/**
 * @author Qiang Xue <qiang.xue@gmail.com>
 * @since 2.0
 */
class AdminAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
        'css/style.css',
        'css/art_box.css',
        '/admin/css/flags32.css',
    ];
    public $js = [
        'js/script.js',
        '/admin/js/option.js',
        'js/markerclusterer.js',
        'js/jquery.scrollbox.min.js',
        'js/slider.js',
        'js/jquery.rating.js',
        '/admin/js/fieldWidget.js'
    ];
    public $depends = [
        'yii\web\YiiAsset',
        'yii\bootstrap\BootstrapPluginAsset',
        'common\modules\file\FileUploadAsset',
        'frontend\assets\CustomizeBootstrapAsset',
    ];
    public $jsOptions = array(
        'position' => \yii\web\View::POS_HEAD
    );
}
