<?php
    /**
     * @link      http://www.yiiframework.com/
     * @copyright Copyright (c) 2008 Yii Software LLC
     * @license   http://www.yiiframework.com/license/
     */

    namespace frontend\assets;

    use yii\web\AssetBundle;

    /**
     * @author Qiang Xue <qiang.xue@gmail.com>
     * @since  2.0
     */
    class AppAsset extends AssetBundle
    {

        public $basePath = '@webroot';

        public $baseUrl = '@web';

        public $css = [
            '/css/style.css',
            '/admin/css/flags32.css',
            'https://fonts.googleapis.com/css?family=Roboto:400,700&subset=cyrillic,latin',
            '/css/owl.carousel.css',
        ];

        public $js = [
            '/js/jscroll.js',
            '/js/script.js',
            'http://maps.google.com/maps/api/js?sensor=false',
            '/js/markerclusterer.js',
            '/js/jquery.scrollbox.min.js',
            '/js/slider.js',
            '/js/jquery.rating.js',
            '/admin/js/option.js',
            '/js/forms.js',
            //        '/js/jmousewhell.js',
            '/js/autoresize.jquery.js',
            '/js/jquery.MultiFile.js',
            '/js/myGallery_min.js',
            '/js/fieldWidget.js',
            '/js/owl.carousel.min.js',
            '/js/artbox.maps.js',
        ];

        public $depends = [
            'yii\web\YiiAsset',
            'yii\web\JqueryAsset',
            'frontend\assets\FancyboxAsset',
        ];

        public $jsOptions = array(
            'position' => \yii\web\View::POS_HEAD,
        );
    }
