<?php

namespace frontend\models;

use common\models\Portfolio;
use common\models\User;
use common\models\Vacancy;
use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use yii\helpers\ArrayHelper;

/**
 * ContactForm is the model behind the contact form.
 */
class SearchVacancyForm extends Model
{
    public $city;
    public $specialization;

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['specialization','city'], 'safe'],

        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'city' => 'Город',
            'specialization' => 'Специализация'
        ];
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {

        $this->load($params);

        $query = Vacancy::find()
            ->distinct(true)
            ->joinWith(['specializations', 'user'])
            ->andWhere(['user.type' => 2]);

        if (!$this->validate()) {


            // uncomment the following line if you do not want to any records when validation fails
            // $query->where('0=1');
            return $query;
        }

        $query->andFilterWhere([
            'vacancy.city' => $this->city,
            'specialization.specialization_id' => $this->specialization,
        ]);

        return $query;
    }
}

