<?php
    /**
     * @var integer $index
     */
    use common\models\Job;
    use mihaildev\ckeditor\CKEditor;
    use yii\helpers\Html;
    use yii\jui\DatePicker;
    use yii\widgets\ActiveForm;

    $model = new Job([
        'user_id' => \Yii::$app->user->getId(),
        'current' => 0,
    ]);
    $form = ActiveForm::begin();
?>
<div class='ajax-loaded'>
    <div class='prev_job_inputs'>
        <div class="input-blocks-wrapper">
            <div class="input-blocks">
                <?= $form->field($model, '[' . $index . ']name')
                         ->label('Название')
                         ->textInput([ 'class' => 'custom-input-2' ]); ?>
            </div>
        </div>
        <div class="input-blocks-wrapper hint-link">
            <div class="input-blocks">
                <?= $form->field($model, '[' . $index . ']link')
                         ->label('Ссылка на компанию на сайте МФП')
                         ->hint('Пример: ' . $_SERVER[ 'HTTP_HOST' ] . '/company/common/1')
                         ->textInput([ 'class' => 'custom-input-2' ]); ?>
            </div>
        </div>
        <div class="input-blocks-wrapper">
            <div class="input-blocks">
                <?= $form->field($model, '[' . $index . ']date_start')
                         ->label('Дата начала работы')
                         ->widget(DatePicker::className(), [
                             'options'       => [ 'class' => 'custom-input-2' ],
                             'language'      => 'ru',
                             'dateFormat'    => 'dd-MM-yyyy',
                             'clientOptions' => [
                                 'changeYear'  => true,
                                 'yearRange'   => 'c-20:c',
                                 'changeMonth' => true,
                             ],
                         ]); ?>
            </div>
        </div>

        <div class="input-blocks-wrapper">
            <div class="input-blocks">
                <?= $form->field($model, '[' . $index . ']date_end')
                         ->label('Дата окончания работы')
                         ->widget(DatePicker::className(), [
                             'options'       => [ 'class' => 'custom-input-2' ],
                             'language'      => 'ru',
                             'dateFormat'    => 'dd-MM-yyyy',
                             'clientOptions' => [
                                 'changeYear'  => true,
                                 'yearRange'   => 'c-20:c',
                                 'changeMonth' => true,
                             ],
                         ]); ?>
            </div>
        </div>

        <div class="input-blocks-wrapper">
            <div class="input-blocks">
                <?= $form->field($model, '[' . $index . ']position')
                         ->label('Должность')
                         ->textInput([ 'class' => 'custom-input-2' ]); ?>
            </div>
        </div>

        <div class="input-blocks-wrapper">
            <div class="input-blocks">
                <?= $form->field($model, '[' . $index . ']achievement')
                         ->label('Достижения')
                         ->widget(CKEditor::className(), [ 'editorOptions' => [ 'preset' => 'basic' ] ]); ?>
            </div>
        </div>

        <div class="input-blocks-wrapper admin-quantity-project">
            <div class="input-blocks">
                <?= $form->field($model, '[' . $index . ']total_count')
                         ->label('Количество проектов, в которых принимали участие')
                         ->textInput([
                             'class' => 'custom-input-2 custom-input-2-date',
                             'type'  => 'number',
                         ]); ?>

                <div class="fix-quantity-project">
                    <?= $form->field($model, '[' . $index . ']complete_count', [ 'enableClientValidation' => false ])
                             ->label('из них реализовано')
                             ->textInput([
                                 'class' => 'custom-input-2 custom-input-2-date no-client-validation',
                                 'type'  => 'number',
                             ]); ?>
                </div>
            </div>
        </div>

        <?= Html::button('', [ 'class' => 'remove_job_button' ]); ?>
    </div>
</div>
<?php $form->end(); ?>
