<?php
    use common\models\PortfolioUser;
    use common\modules\file\widgets\ImageUploader;
    use mihaildev\ckeditor\CKEditor;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;

    /**
     * @var View          $this
     * @var PortfolioUser $model
     */
    $this->title = 'Редактирование участия в заказе';
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="login-left-column-title"><?= $this->title ?></div>
<div class="login-left-column-title-two style">Редактировать информацию о себе:</div>
    <?php
    if($model->status != 1) {
        ?>
        <div class="attention_bl style" role="alert">
            <strong>Внимание:</strong> данным действием Вы подтверждаете свое участие в проекте.
        </div>
        <?php
    }
    ?>

        <?php
        $form = ActiveForm::begin();
        ?>
        <div class="input-blocks-wrapper">
            <div class="input-blocks">
                <?= $form->field($model, 'position')
                    ->textInput([ 'class' => 'custom-input-2' ]);
                ?>
            </div>
        </div>

        <div class="input-blocks-wrapper">
            <div class="input-blocks">
                <?=
                $form->field($model, 'time')
                    ->textInput([
                        'class' => 'custom-input-2',
                        'type'  => 'number',
                        'min'   => 0,
                    ])
                ?>
            </div>
        </div>


    <div class="login-left-column-title-two style">Добавить фотографию в личный альбом данного проекта:</div>
    <div class="input-blocks-wrapper full-blocks admin-editor-bl">
        <div class="input-blocks">
            <?php
            if($model->status == 1 && !empty( $model->gallery )) {
                echo $form->field($model->portfolioGallery, 'caption')
                    ->widget(CKEditor::className(), [ 'editorOptions' => [ 'preset' => 'basic' ] ]);
                echo Html::tag('div', ImageUploader::widget([
                    'model'   => $model->gallery,
                    'field'   => 'photo',
                    'size'    => [
                        [
                            'width'  => 152,
                            'height' => 108,
                        ],
                    ],
                    'multi'   => true,
                    'gallery' => $model->gallery->photo,
                    'name'    => 'Загрузить фото галереи',
                ]), [ 'class' => 'admin-gallery-photos-load-wr style' ]);
            } else {
                echo Html::tag('p', 'Для добавления фотографий Вы должны подтвердить свое участие');
            }
            ?>
        </div>
    </div>

    <div class="admin-save-btn skills-save-btn admin-add-remove-wr style">
       <div class="admin-back-note">
           <?= Html::a('Вернуться', [ 'accounts/participant' ]); ?>
       </div>

        <?= Html::submitButton('Обновить'); ?>
        <?php
        $form->end();
        ?>
    </div>



<!--<div>-->
<!--    <p>Редактировать информацию о себе:</p>-->
<!--    --><?php
//        if($model->status != 1) {
//            ?>
<!--            <div class="alert alert-info" role="alert">-->
<!--                <strong>Внимание:</strong> данным действием Вы подтверждаете свое участие в проекте.-->
<!--            </div>-->
<!--            --><?php
//        }
//    ?>
<!--    <div>-->
<!--        --><?php
//            $form = ActiveForm::begin();
//            echo $form->field($model, 'position')
//                      ->textInput();
//            echo $form->field($model, 'time')
//                      ->input('number');
//        ?>
<!--    </div>-->
<!--    <p>Добавить фотографию в личный альбом данного проекта:</p>-->
<!--    --><?php
//        if($model->status == 1 && !empty( $model->gallery )) {
//            echo $form->field($model->portfolioGallery, 'caption')
//                      ->widget(CKEditor::className(), [ 'editorOptions' => [ 'preset' => 'basic' ] ]);
//            echo Html::tag('div', ImageUploader::widget([
//                'model'   => $model->gallery,
//                'field'   => 'photo',
//                'size'    => [
//                    [
//                        'width'  => 152,
//                        'height' => 108,
//                    ],
//                ],
//                'multi'   => true,
//                'gallery' => $model->gallery->photo,
//                'name'    => 'Загрузить фото галереи',
//            ]), [ 'class' => 'admin-gallery-photos-load-wr style' ]);
//        } else {
//            echo Html::tag('p', 'Для добавления фотографий Вы должны подтвердить свое участие');
//        }
//    ?>
<!--    <p class="text-right">-->
<!--        --><?php
//            echo Html::a('Вернуться', [ 'accounts/participant' ]);
//            echo Html::submitButton('Обновить');
//            $form->end();
//        ?>
<!--    </p>-->
<!--</div>-->