<?php
    /**
     * @var Feedback $model
     */
    use common\models\Feedback;
    use common\modules\fileloader\widgets\FileloaderWidget;
    use yii\helpers\Html;
    use yii\widgets\ActiveForm;
?>
<div id="modal_form_contacts">
    <div class="closed-form"></div>
    <div class="form-resume-wr">
        <div class="form-resume-sub style">Отправить сообщение администрации МФП</div>
        <?php
            $form = ActiveForm::begin([
                'id' => 'feedback_'.\Yii::$app->security->generateRandomString(3),
                'options' => [
                    'enctype' => 'multipart/form-data',
                    'class'   => 'feedback_form',
                ],
            ]);
            echo $form->field($model, 'name', [ 'options' => [ 'class' => 'input-blocks-wrapper' ] ])
                      ->textInput([ 'class' => 'custom-input-2' ]);
            echo $form->field($model, 'phone', [ 'options' => [ 'class' => 'input-blocks-wrapper' ] ])
                      ->textInput([ 'class' => 'custom-input-2' ]);
            echo $form->field($model, 'email', [ 'options' => [ 'class' => 'input-blocks-wrapper' ] ])
                      ->textInput([ 'class' => 'custom-input-2' ]);
            echo $form->field($model, 'answer', [ 'options' => [ 'class' => 'input-blocks-wrapper' ] ])
                      ->textarea([ 'class' => 'custom-input-2' ]);
        ?>
        <div class="input-blocks-wrapper">
            <?php
                echo $form->field($model, 'fileloader')
                          ->label(false)
                          ->widget(FileloaderWidget::className(), [
                              'labelOptions' => [
                                  'label' => '<div class="contacts-form-wrapper style"><div class="contacts-form style"><span style="font-weight: normal">Прикрепить файл</span></div><div class="contacts-form-help style"><span>Максимальный размер файла 5 МБ</span></div></div>',
                              ],
                              'inputOptions' => [
                                  'multiple' => false,
                                  'class'    => 'hidden',
                              ],
                              'options'      => [ 'class' => 'fileloader-file' ],
                          ]);
            ?>
        </div>
        <?php
        ?>
        <?php
            /*
            ?>
                <div class="input-blocks-wrapper">
                    <label for="qst_name">Ваши имя и фамилия</label>
                    <input class="custom-input-2" id="qst_name" name="" type="text">
                </div>

                <div class="input-blocks-wrapper">
                    <label for="qst_phone">Контактный телефон</label>
                    <input class="custom-input-2" id="qst_phone" name="" type="text">
                </div>

                <div class="input-blocks-wrapper">
                    <label for="qst_phone">E-mail</label>
                    <input class="custom-input-2" id="qst_phone" name="" type="text">
                </div>

                <div class="input-blocks-wrapper">
                    <label for="qst_text">Вопрос</label>
                    <textarea class="custom-input-2" id="qst_text" name=""></textarea>
                </div>

                <div class="input-blocks-wrapper">
                    <div class="contacts-form-wrapper style">
                        <div class="contacts-form style"><span>Прикрепить файл</span></div>
                        <div class="contacts-form-help style">
                            <span>Максимальный размер файла 5 МБ</span>
                        </div>
                    </div>

                    <div class="tst-input-hidden-cont">
                        <input class="" type="file" value=""/>
                    </div>

                </div>
            */
        ?>

        <div class="form-actions style">
            <?php
                echo Html::submitButton('Отправить', [ 'class' => 'login-button feedback_submit' ]);
            ?>
        </div>
        <?php
            $form->end();
        ?>
        <div class="res_form_line"></div>
    </div>
</div>
<script>
    $('.tst-input-hidden-cont input').change(
        function()
        {
            var fileValContacts = $(this).val()
            var filenameContacts = fileValContacts.replace(/^.*\\/, "")
            $('.contacts-form-help span').html(filenameContacts)
        }
    )
</script>