<?php
    /**
     * @var ActiveDataProvider $dataProvider
     * @var User               $user
     */
    use common\models\User;
    use yii\data\ActiveDataProvider;
    use yii\helpers\Html;
    use yii\widgets\ListView;

    $this->title = 'Мой профиль';
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>

<div class="section-box content">
    <div class="section-box-22">
        <div class="box-wr">
            <div class="box-all">
                <div class="left-search-work">
                    <div class="search-performer-button-bookmark"><a>Закладки</a></div>
                    <?= Html::a('Исполнители', [ 'bookmarks/performer' ], [ 'class' => 'search-performer-button-performers' ]) ?>
                    <?= Html::a('Заказчики', [ 'bookmarks/customer' ], [ 'class' => 'search-performer-button-customers' ]) ?>
                    <?= Html::a(Yii::t('app', 'Projects'), [ 'bookmarks/project' ], [ 'class' => 'search-performer-button-project' ]) ?>
                    <?= Html::a('Вакансии', [ 'bookmarks/vacancy' ], [ 'class' => 'search-performer-button-vacant_' ]) ?>
                </div>
                <div class="right-search-work">
                    <div class="search-worker-title style"><span>Заказчики</span></div>
                    <?= ListView::widget([
                        'dataProvider' => $dataProvider,
                        'itemView'     => '@frontend/views/search/_customer_list_view',
                        'itemOptions'  => [
                            'class' => 'search-worker-blocks',
                        ],
                        'summary'      => '<div class="search-worker-title-two style">Готовые приступить к работе <span>{totalCount}</span></div>',
                    ]) ?>
                    <?php
                        /*
                      ?>
                      <div class="search-worker-title-two style">Компании готовые приступить к работе
                          <span>145</span></div>
                      <div class="search-worker-search-wr style">
                          <div class="search-worker-sort-wr style">
                              <div class="search-worker-sort">Сортировать:&nbsp;</div>
                              <ul>
                                  <li class="activejob">
                                      <a href="#">рейтинг</a>
                                      <div class="sidebar-droped-wr style">
                                          <ul>
                                              <li><a href="#">1заказчик</a></li>
                                              <li><a href="#">2заказчик</a></li>
                                              <li><a href="#">3заказчик</a></li>
                                              <li><a href="#">4заказчик</a></li>
                                              <li style="display: none"><a href="#">рейтинг</a></li>
                                          </ul>
                                      </div>
                                  </li>
                              </ul>
                          </div>
                      </div>

                      <div class="search-company-blocks-wr style">
                          <div class="search-company-block">
                              <div class="search-company-block-left">
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="land-stars-pro">PRO</div>
                                      <div class="search-worker-blocks-title">ООО «Ортекс»</div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="rating-new">
                                          <!--оценка-->
                                          <input type="hidden" class="val" value="4"/>
                                      </div>
                                      <div class="search-worker-blocks-atr">30 отзывов, Киев</div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <span class="search-company-worker">Сотрудники: более 40 </span>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="search-company-geography">
                                          <span>География работ: </span>Киев, Полтава, Харьков, Днепропетровск, Львов, Одесса
                                      </div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="features-tags features-tags-company">
                                          <span><a href="#">Дизайн интерьера</a>, </span><span><a href="#">Архитектурное проектирование</a>, </span><span><a href="#">Ремонт квартир</a>, </span><span><a href="#">Ремонт ванной</a>, </span><span><a href="#">Отделка домов</a>, </span><span><a href="#">Строительство коттеджей</a>, </span><span><a href="#">Дизайн интерьера</a>, </span><span><a href="#">2Архитектурное проектирование</a>, </span><span><a href="#">2Ремонт квартир</a>, </span><span><a href="#">2Ремонт ванной</a>, </span><span><a href="#">2Отделка домов</a>, </span>
                                      </div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="search-company-visit">
                                          <span>Последний визит: </span>2 дня назад
                                      </div>
                                  </div>
                                  <a href="#" class="search-worker-blocks-jobs-portfolio">21 работа в портфолио</a>
                                  <div class="search-worker-blocks-buttons style">
                                      <a class="get-project" href="#">Предложить проект</a>

                                  </div>
                              </div>
                              <div class="search-company-block-right">
                                  <div class="search-worker-blocks-foto-wr">
                                      <div class="logo-img-search-company-wrapper">
                                          <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                              <tr>
                                                  <td align="center">
                                                      <img src="/images/logo-company.jpg" alt=""></td>
                                              </tr>
                                          </table>
                                      </div>
                                      <div class="gallery-box-search gallery-box">
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-2.jpg" alt=""></a>
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-3.jpg" alt=""></a>
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-4.jpg" alt=""></a>
                                          <div class="gallery-box-hidden">
                                              <div class="gallery-box-preview">
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-7.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-8.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-9.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-10.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-7.jpg"></span>
                                              </div>
                                              <div class="gallery-box-big">
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-7.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-8.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-9.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-10.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-7.jpg"></span>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                          <div class="search-company-block">
                              <div class="search-company-block-left">
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="land-stars-new">NEW</div>
                                      <div class="search-worker-blocks-title">ООО «Ортекс»</div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="rating-new">
                                          <!--оценка-->
                                          <input type="hidden" class="val" value="4"/>
                                      </div>
                                      <div class="search-worker-blocks-atr">30 отзывов, Киев</div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <span class="search-company-worker">Сотрудники: более 40 </span>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="search-company-geography">
                                          <span>География работ: </span>Киев, Полтава, Харьков, Днепропетровск, Львов, Одесса
                                      </div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="features-tags features-tags-company">
                                          <span><a href="#">Дизайн интерьера</a>, </span><span><a href="#">Архитектурное проектирование</a>, </span><span><a href="#">Ремонт квартир</a>, </span><span><a href="#">Ремонт ванной</a>, </span><span><a href="#">Отделка домов</a>, </span><span><a href="#">Строительство коттеджей</a>, </span><span><a href="#">Дизайн интерьера</a>, </span><span><a href="#">2Архитектурное проектирование</a>, </span><span><a href="#">2Ремонт квартир</a>, </span><span><a href="#">2Ремонт ванной</a>, </span><span><a href="#">2Отделка домов</a>, </span><span><a href="#">2Строительство коттеджей</a>, </span>
                                      </div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="search-company-visit">
                                          <span>Последний визит: </span>2 дня назад
                                      </div>
                                  </div>
                                  <a href="#" class="search-worker-blocks-jobs-portfolio">21 работа в портфолио</a>
                                  <div class="search-worker-blocks-buttons style">
                                      <a class="get-project" href="#">Предложить проект</a>

                                  </div>
                              </div>
                              <div class="search-company-block-right">
                                  <div class="search-worker-blocks-foto-wr">
                                      <div class="logo-img-search-company-wrapper">
                                          <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                              <tr>
                                                  <td align="center">
                                                      <img src="/images/logo-company.jpg" alt=""></td>
                                              </tr>
                                          </table>
                                      </div>
                                      <div class="gallery-box-search gallery-box">
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-2.jpg" alt=""></a>
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-3.jpg" alt=""></a>
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-4.jpg" alt=""></a>
                                          <div class="gallery-box-hidden">
                                              <div class="gallery-box-preview">
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-7.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-8.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-9.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-10.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-7.jpg"></span>
                                              </div>
                                              <div class="gallery-box-big">
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-7.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-8.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-9.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-10.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-7.jpg"></span>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                          <div class="search-company-block">
                              <div class="search-company-block-left">
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="land-stars-pro">PRO</div>
                                      <div class="search-worker-blocks-title">ООО «Ортекс»</div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="rating-new">
                                          <!--оценка-->
                                          <input type="hidden" class="val" value="4"/>
                                      </div>
                                      <div class="search-worker-blocks-atr">30 отзывов, Киев</div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <span class="search-company-worker">Сотрудники: более 40 </span>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="search-company-geography">
                                          <span>География работ: </span>Киев, Полтава, Харьков, Днепропетровск, Львов, Одесса
                                      </div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="features-tags features-tags-company">
                                          <span><a href="#">Дизайн интерьера</a>, </span><span><a href="#">Архитектурное проектирование</a>, </span><span><a href="#">Ремонт квартир</a>, </span><span><a href="#">Ремонт ванной</a>, </span><span><a href="#">Отделка домов</a>, </span><span><a href="#">Строительство коттеджей</a>, </span><span><a href="#">Дизайн интерьера</a>, </span><span><a href="#">2Архитектурное проектирование</a>, </span><span><a href="#">2Ремонт квартир</a>, </span><span><a href="#">2Ремонт ванной</a>, </span><span><a href="#">2Отделка домов</a>, </span><span><a href="#">2Строительство коттеджей</a>, </span><span><a href="#">2Отделка домов</a>, </span><span><a href="#">2Строительство коттеджей</a>, </span>
                                      </div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="search-company-visit">
                                          <span>Последний визит: </span>2 дня назад
                                      </div>
                                  </div>
                                  <a href="#" class="search-worker-blocks-jobs-portfolio">21 работа в портфолио</a>
                                  <div class="search-worker-blocks-buttons style">
                                      <a class="get-project" href="#">Предложить проект</a>

                                  </div>
                              </div>
                              <div class="search-company-block-right">
                                  <div class="search-worker-blocks-foto-wr">
                                      <div class="logo-img-search-company-wrapper">
                                          <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                              <tr>
                                                  <td align="center">
                                                      <img src="/images/logo-company.jpg" alt=""></td>
                                              </tr>
                                          </table>
                                      </div>
                                      <div class="gallery-box-search gallery-box">
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-2.jpg" alt=""></a>
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-3.jpg" alt=""></a>
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-4.jpg" alt=""></a>
                                          <div class="gallery-box-hidden">
                                              <div class="gallery-box-preview">
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-7.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-8.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-9.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-10.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-7.jpg"></span>
                                              </div>
                                              <div class="gallery-box-big">
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-7.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-8.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-9.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-10.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-7.jpg"></span>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                          <div class="search-company-block">
                              <div class="search-company-block-left">
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="land-stars-pro">PRO</div>
                                      <div class="search-worker-blocks-title">ООО «Ортекс»</div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="rating-new">
                                          <!--оценка-->
                                          <input type="hidden" class="val" value="4"/>
                                      </div>
                                      <div class="search-worker-blocks-atr">30 отзывов, Киев</div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <span class="search-company-worker">Сотрудники: более 40 </span>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="search-company-geography">
                                          <span>География работ: </span>Киев, Полтава, Харьков, Днепропетровск, Львов, Одесса
                                      </div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="features-tags features-tags-company">
                                          <span><a href="#">Дизайн интерьера</a>, </span><span><a href="#">Архитектурное проектирование</a>, </span><span><a href="#">Ремонт квартир</a>, </span><span><a href="#">Ремонт ванной</a>, </span><span><a href="#">Отделка домов</a>, </span><span><a href="#">Строительство коттеджей</a>, </span><span><a href="#">Дизайн интерьера</a>, </span><span><a href="#">2Архитектурное проектирование</a>, </span><span><a href="#">2Ремонт квартир</a>, </span><span><a href="#">2Ремонт ванной</a>, </span><span><a href="#">2Отделка домов</a>, </span><span><a href="#">2Строительство коттеджей</a>, </span><span><a href="#">2Отделка домов</a>, </span>
                                      </div>
                                  </div>
                                  <div class="search-worker-blocks-title-wr">
                                      <div class="search-company-visit">
                                          <span>Последний визит: </span>2 дня назад
                                      </div>
                                  </div>
                                  <a href="#" class="search-worker-blocks-jobs-portfolio">21 работа в портфолио</a>
                                  <div class="search-worker-blocks-buttons style">
                                      <a class="get-project" href="#">Предложить проект</a>

                                  </div>
                              </div>
                              <div class="search-company-block-right">
                                  <div class="search-worker-blocks-foto-wr">
                                      <div class="logo-img-search-company-wrapper">
                                          <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                              <tr>
                                                  <td align="center">
                                                      <img src="/images/logo-company.jpg" alt=""></td>
                                              </tr>
                                          </table>
                                      </div>
                                      <div class="gallery-box-search gallery-box">
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-2.jpg" alt=""></a>
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-3.jpg" alt=""></a>
                                          <a href="#" class="small-img-search gallery-box-min"><img src="/images/search-warker/foto-small-4.jpg" alt=""></a>
                                          <div class="gallery-box-hidden">
                                              <div class="gallery-box-preview">
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-7.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-8.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-9.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-10.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-preview/img-7.jpg"></span>
                                              </div>
                                              <div class="gallery-box-big">
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-7.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-8.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-9.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-10.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-1.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-2.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-3.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-4.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-5.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-6.jpg"></span>
                                                  <span data-link="/images/gallery-pic/gallery-big/img-big-7.jpg"></span>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          </div>
                          <div class="navi-buttons-wr style">
                              <ul class="pagination">
                                  <li><a href="#">1</a></li>
                                  <li><a href="#">2</a></li>
                                  <li><a href="#">3</a></li>
                                  <li><a href="#">4</a></li>
                                  <li><a href="#">5</a></li>
                                  <li class="dots-next"><a href="#">...</a></li>
                                  <li><a href="#">156</a></li>
                              </ul>
                          </div>
                      </div>
                      <?php
                      */
                    ?>
                </div>
            </div>
        </div>
    </div>

</div>
