<?php
    /**
     * @var View $this
     * @var Blog $article
     * @var User $company
     */
    use common\models\Blog;
    use common\models\User;
    use yii\web\View;

    $this->params[ 'company' ] = $company;
    $this->title = $article->name;
?>
<div class="performer-vacancy-vacant-title-reclam-wr style">
    <div class="blog-post-wr">
        <div class="blog-post-title style"><p><?= $article->name ?></p></div>
        <div class="blog-post-icons-wr style">
            <div class="blog-post-date">
                <span></span>
                <p><?= \Yii::$app->formatter->asDate($article->dateCreate, 'php:d.m.Y') ?></p>
            </div>
            <div class="blog-post-views">
                <span></span>
                <p><?= $article->view_count ?></p>
            </div>
            <div class="blog-post-comm-num">
                <span></span>
                <p><?= count($article->comments) ?></p>
            </div>
        </div>
        <div class="blog-post-content style">
            <?= $article->description ?>
        </div>
    </div>
</div>
<?php
    echo \common\modules\comment\widgets\CommentWidget::widget([
        'context'       => $this,
        'model'         => $article::className(),
        'model_id'      => $article->blog_id,
        'comment_class' => \common\modules\comment\models\Comment::className(),
        'rating_class'  => \common\modules\comment\models\Rating::className(),
        'class_options' => [
            'scenario'     => is_int(\Yii::$app->user->getId()) ? \common\modules\comment\models\Comment::SCENARIO_USER : \common\modules\comment\models\Comment::SCENARIO_GUEST,
            'user_id'      => \Yii::$app->user->getId(),
            'guestComment' => false,
            'status'       => \common\modules\comment\models\Comment::STATUS_ACTIVE,
        ],
        'list_options'  => [
            'view' => 'list-comment',
        ],
        'form_options'  => [
            'view'  => 'form-comment',
            'tag'   => 'div',
            'class' => 'artbox_comment_form',
        ],
        'options'       => [
            'class' => 'new-portf-comments-wr style',
        ],
    ]);
?>
