<?php
    /**
     * @var           $this yii\web\View
     * @var User      $company
     * @var Vacancy   $vacancy
     * @var Vacancy[] $similar_vacancies
     */

    use common\models\User;
    use common\models\Vacancy;
    use yii\helpers\ArrayHelper;
    use yii\helpers\Html;
    use yii\helpers\Url;

    $this->params[ 'company' ] = $company;
    $this->title = 'Proektant.net';

?>
    <div class="performer-vacancy-list style">
        <?php
            echo Html::a('назад', [
                'vacancy-list',
                'company_id' => $company->id,
            ]);
        ?>
    </div>
    <div class="performer-vacancy-blocks-desk-wr style">
        <div class="performer-vacancy-date style"> Вакансия от <?= $vacancy->date_add ?> </div>
        <div class="performance-vacancy-page-title style"><?= $vacancy->name ?></div>
        <div class="performance-vacancy-page-options style">
            <ul>
                <?php
                    if(!empty( $vacancy->user_name )) {
                        echo "<li><span>Контактное лицо:</span><p>{$vacancy->user_name}</p></li>";
                    }
                    if(!empty( $vacancy->phone )) {
                        echo "<li><span>Телефон:</span><p>{$vacancy->phone}</p></li>";
                    }
                ?>
                <?php
                    if(!empty( $vacancy->city )) {
                        echo "<li><span>Город:</span><p>{$vacancy->city}</p></li>";
                    }
                ?>
                <?php
                    if(!empty( $vacancy->employments )) {
                        echo "<li><span>Вид занятости:</span><p>" . implode(', ', ArrayHelper::getColumn($vacancy->employments, 'name')) . "</p></li>";
                    }
                ?>
                <?php
                    if(!empty( $vacancy->requirements )) {
                        echo "<li><span>Требования:</span><p>" . implode(', ', ArrayHelper::getColumn($vacancy->requirements, 'requirements')) . "</p></li>";
                    }
                ?>
            </ul>
        </div>
        <div class="performance-vacancy-description style">Описание вакансии</div>
        <div class="performance-vacancy-desc-txt style">
            <?php
                echo $vacancy->description;
            ?>
        </div>
        <div class="performance-vacancy-desc-form style">
            <a href="#">Отправить резюме</a>
        </div>
    </div>
<?php
    if(!empty( $similar_vacancies )) {
        ?>
        <div class="performance-vacancy-similar style">
            <div class="performance-vacancy-similar-title style">Похожие вакансии</div>
            <div class="style">
                <?php foreach($similar_vacancies as $similar_vacancy): ?>
                    <div class="performance-vacancy-similar-blocks-wr style">

                        <?= Html::a($similar_vacancy->name, Url::toRoute([
                            'company/vacancy-view',
                            'company_id' => $similar_vacancy->user_id,
                            'link'       => $similar_vacancy->link,
                        ]), [ 'class' => 'performer-vacant-reclam-bl-title' ]) ?>

                        <div class="performer-vacant-reclam-bl-title-two"><?= $similar_vacancy->city ?>. <?= \Yii::$app->formatter->asDatetime($similar_vacancy->date_add, 'dd.MM.Y') ?>.
                            <?php
                                if(!empty( $similar_vacancy->salary )) {
                                    ?>
                                    <?= $similar_vacancy->salary ?>
                                    <?= $similar_vacancy->salaryCurrency->label ?>
                                    <?php
                                }
                            ?></div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
        <?php
    }
?>