<?php

    use kartik\rating\StarRating;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yii\widgets\Menu;

    \frontend\assets\AppAsset::register($this);
    /* @var $content string */
    $this->beginContent('@app/views/layouts/main.php');
?>
    <div class="section-box content">
        <div class="section-box-16" style="background-image: url('<?= $this->params[ 'user' ]->userInfo->poster; ?>'); background-repeat: no-repeat; background-position: 50%;">
            <div class="box-wr">
                <div class="box-all">
                    <div class="blog-buttons-wr style">
                        <?php
                            if($this->params[ 'user' ]->id != \Yii::$app->user->getId()) {
                                // Offer project button
                                if(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer') {
                                    echo Html::a(Yii::t('app', 'Offer project'), [ '#' ], [
                                        'class'             => 'blog-buttons-offer',
                                        'data-performer-id' => $this->params[ 'user' ]->id,
                                    ]);
                                }
                                // Write message
                                echo Html::a('Написать сообщение', Url::toRoute([
                                    'chat/message',
                                    'user_id' => $this->params[ 'user' ]->id,
                                ]), [ 'class' => 'blog-buttons-write' ]);
                                // Bookmarks
                                if(!empty( \Yii::$app->user->identity )) {
                                    if($this->params[ 'user' ]->isBookmarked) {
                                        echo Html::a('Убрать из закладок', [ '#' ], [
                                            'class'   => 'get-list artbox_bookmark_remove_performer',
                                            'data-id' => $this->params[ 'user' ]->id,
                                        ]);
                                    } else {
                                        echo Html::a('Добавить в закладки', [ '#' ], [
                                            'class'   => 'get-list artbox_bookmark_add_performer',
                                            'data-id' => $this->params[ 'user' ]->id,
                                        ]);
                                    }
                                }
                            }
                        ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-box menu-content-wr">
            <div class="box-wr">
                <div class="box-all">
                    <?php
                        echo Menu::widget([
                            'options'        => [
                                'class' => 'menu-content',
                            ],
                            'activeCssClass' => 'active-menu-content',
                            'items'          => [
                                [
                                    'label' => 'Общее',
                                    'url'   => [
                                        'performer/common',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                ],
                                [
                                    'label'   => 'Портфолио',
                                    'url'     => [
                                        'performer/portfolio',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                    'visible' => ( empty( $this->params[ 'type' ] ) || $this->params[ 'type' ] == 'implementer' ) ? true : false,
                                    'active' => preg_match('/^portfolio.*$/', $this->context->action->id) ? true : false,
                                ],
                                [
                                    'label'   => 'Заказанные работы',
                                    'url'     => [
                                        'performer/projects',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                    'visible' => ( !empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer' ) ? true : false,
                                    'active' => preg_match('/^projects.*$/', $this->context->action->id) ? true : false,
                                ],
                                [
                                    'label' => 'Блог',
                                    'url'   => [
                                        'performer/blog-list',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                    'active' => preg_match('/^blog.*$/', $this->context->action->id) ? true : false,
                                ],
                                [
                                    'label' => 'Мнения',
                                    'url'   => [
                                        'performer/review',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                ],
                                [
                                    'label' => 'Места работы',
                                    'url'   => [
                                        'performer/workplace',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                ],
                                [
                                    'label' => 'Галерея',
                                    'url'   => [
                                        'performer/gallery',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                ],
                            ],
                        ]);
                    ?>
                </div>
            </div>
        </div>
        <div class="section-box-20">
            <div class="box-wr">
                <div class="box-all">
                    <div class="performer-vacancy-sidebar-left-wr gallery-page-sidebar">
                        <div class="performer-vacancy-sidebar-left">
                            <div class="performance-vacancy-sidebar-company-wr">
                                <div class="performance-vacancy-sidebar-company-title style"><?= $this->params[ 'user' ]->name ?></div>
                                <div class="performance-vacancy-sidebar-company-job style">
                                    <ul>
                                        <li class="activejob">
                                            <?php
                                                if($this->params[ 'user' ]->userInfo->is_freelancer xor $this->params[ 'user' ]->userInfo->is_customer) {
                                                    if(!empty($this->params[ 'type' ]) && $this->params[ 'type' ] == 'customer') {
                                                        echo Html::tag('span', 'Заказчик', [ 'class' => 'activejob_span' ]);
                                                    } else {
                                                        echo Html::tag('span', 'Исполнитель', [ 'class' => 'activejob_span' ]);
                                                    }
                                                } else {
                                                    if(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'implementer') {
                                                        echo Html::a('Исполнитель', Url::current([ 'type' => 'implementer' ]));
                                                    } elseif(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer') {
                                                        echo Html::a('Заказчик', Url::current([ 'type' => NULL ]));
                                                    } else {
                                                        echo Html::a('Исполнитель', Url::current([ 'type' => NULL ]));
                                                    }
                                                    ?>
                                                    <div class="sidebar-droped-wr style">
                                                        <ul>
                                                            <li>
                                                                <?php
                                                                    if(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'implementer') {
                                                                        echo Html::a('Заказчик', Url::current([ 'type' => 'customer' ]));
                                                                    } elseif(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer') {
                                                                        echo Html::a('Исполнитель', Url::current([ 'type' => NULL ]));
                                                                    } else {
                                                                        echo Html::a('Заказчик', Url::current([ 'type' => 'customer' ]));
                                                                    }
                                                                ?>
                                                            </li>
                                                            <li style="display: none">
                                                                <?php
                                                                    if(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'implementer') {
                                                                        echo Html::a('Исполнитель', Url::current([ 'type' => 'implementer' ]));
                                                                    } elseif(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer') {
                                                                        echo Html::a('Заказчик', Url::current([ 'type' => NULL ]));
                                                                    } else {
                                                                        echo Html::a('Исполнитель', Url::current([ 'type' => NULL ]));
                                                                    }
                                                                ?>
                                                        </ul>
                                                    </div>
                                                    <?php
                                                }
                                            ?>
                                        </li>
                                    </ul>
                                </div>
                                <div class="performance-vacancy-sidebar-stars style">
                                    <?php
                                        echo StarRating::widget([
                                            'name'          => 'rating_company',
                                            'value'         => $this->params[ 'user' ]->userInfo->rating,
                                            'pluginOptions' => [
                                                'displayOnly' => true,
                                                'size'        => 'xxs',
                                                'min'         => 0,
                                                'max'         => 10,
                                                'stars'       => 10,
                                            ],
                                        ]);
                                    ?>
                                </div>
                                <div class="performance-vacancy-sidebar-comm style"><?= count($this->params[ 'user' ]->comments) ?> мнений</div>
                                <?php
                                    if($this->params[ 'user' ]->id != \Yii::$app->user->getId()) {
                                        echo Html::a('написать мнение', [
                                            'performer/review',
                                            'performer_id' => $this->params[ 'user' ]->id,
                                            'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                        ], [ 'class' => 'performance-vacancy-sidebar-write style' ]);
                                    }
                                ?>
                            </div>
                            <div class="performer-vacancy-sidebar-img style">
                                <?= Html::img($this->params[ 'user' ]->userInfo->image); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-box-21">
            <div class="box-wr">
                <div class="box-all">
                    <?= $content ?>
                </div>
            </div>
        </div>
    </div>
    <script>
        $('div.rating').rating(
            {
                fx : 'full',
                readOnly : 'true',
                url : 'rating.php'
            }
        );
    </script>

<?php $this->endContent() ?>