<?php
    
    /* @var $this \yii\web\View */
    /* @var $content string */
    
    use common\modules\comment\models\CommentProject;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yii\widgets\Menu;
    use frontend\assets\AppAsset;
    
    AppAsset::register($this);
?>

<?php $this->beginPage() ?>

<!DOCTYPE html>

<html lang="<?= Yii::$app->language ?>">

<head>
    
    
    <meta charset="<?= Yii::$app->charset ?>">
    
    <?= Html::csrfMetaTags() ?>
    
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
    <?php $this->registerLinkTag([
        'rel' => 'shortcut icon',
        'type' => 'image/x-icon',
        'href' => '/images/favicon.ico',
    ]);?>

</head>

<body onload=" initialize()">

<?php $this->beginBody() ?>
<div class="section-box header">
    <div class="section-box first-header">
        <div class="box-wr">
            <div class="box-all">
                <a href="/" class="new_logo"><img class="logo" src="/images/logo_proektant_02.png" width="100" height="68" alt=""/></a>
                <div class="header-proektant-slogan"><?php /*Международная Федерация Проектантов<br/>Engineers International Federation*/ ?></div>
                <ul class="header-contacts-menu">
                    <li>
                        <span><img src="/images/icon_question_01.png" alt=""/></span><?= Html::a('Задать вопрос', '', [ 'class' => 'contactsLinkModalFirst' ]) ?>
                    </li>
                    <li>
                        <span><img src="/images/icon_help_01.png" alt=""/></span><?= Html::a('Помощь', [ '/site/help' ], [ 'class' => 'contactsLinkModal' ]) ?>
                    </li>
                </ul>
                <div class="header-cabinet-wr">
                    <?php
                        if(Yii::$app->user->isGuest): ?>
                            <div class="header-cabinet-foto"></div>
                            <div class="header-cabinet-profile not-login">Профиль</div>
                            <div>
                                <?= Html::a('Вход', [ '/site/login' ], [ 'class' => 'loginLinkModal header-cabinet-link' ]) ?>
                                <?= Html::a('Регистрация', [ '/site/registration' ], ['class' => 'header-cabinet-link']) ?>
                            </div>
                        
                        <?php else : ?>
                            <a href="<?php echo \Yii::$app->user->identity->getLink(); ?>">
                                <div class="header-cabinet-foto">
                                    <?php
                                        if(!empty( \Yii::$app->user->identity->userInfo->image )) {
                                            echo Html::a(Html::img(Yii::$app->user->identity->minImg(Yii::$app->user->identity->userInfo->image, 48, 48)), \Yii::$app->user->identity->getLink());
                                        }
                                    ?>
                                </div>
                            </a>
                            <div class="header-cabinet-profile">Профиль</div>
                            <?= Html::a(Yii::$app->user->identity->email, [ '/accounts' ], ['class' => 'header-cabinet-link']) ?>
                        <?php endif; ?>
                
                </div>
            </div>
        </div>
    </div>
</div>
<div class="section-box menu-header-all">
    <div class="box-wr">
        <div class="box-all">
            <ul class="main-menu main-menu-buttons">
                <li>
                    <span>Проектантам</span>
                    <div class="main-menu-hover">
                        <ul>
                            
                            <li>
                                <?php
                                    if(\Yii::$app->user->isGuest) {
                                        echo Html::a('Войти в профиль', [ 'site/login' ]);
                                    } else {
                                        echo Html::a('Редактировать профиль', [ 'accounts/' ]);
                                    }
                                ?>
                            </li>
                        </ul>
                        <ul>
                            <li><?= Html::a(Yii::t('app', 'Project list'), [ 'search/project' ]) ?></li>
                            <li><?= Html::a('Список вакансий', [ 'search/vacancy' ]) ?></li>
                            <li><?= Html::a('Список заказчиков', [ 'search/customer' ]) ?></li>
                        </ul>
                    </div>
                </li>
                <li>
                    <span>Заказчикам</span>
                    <div class="main-menu-hover">
                        <ul>
                            
                            <li><?= Html::a(Yii::t('app', 'Add project'), [ 'accounts/projects-create' ]) ?></li>
                            <li><?= Html::a('Разместить вакансию', [ 'accounts/vacancy' ]) ?></li>
                        </ul>
                        <ul>
                            
                            <li><?= Html::a('Список проектантов', [
                                    'search/performer',
                                    'SearchPerformerForm[type]' => '1',
                                ]) ?></li>
                            <li><?= Html::a('Список проектных компаний', [
                                    'search/performer',
                                    'SearchPerformerForm[type]' => '2',
                                ]) ?></li>
                        </ul>
                    </div>
                </li>
                <li>
                    <span>Компаниям</span>
                    <div class="main-menu-hover">
                        <ul>
                            
                            <li><?= Html::a(Yii::t('app', 'Add project'), [ 'accounts/projects-create' ]) ?></li>
                            <li><?= Html::a('Разместить вакансию', [ 'accounts/vacancy-create' ]) ?></li>
                            <li><?= Html::a('Редактировать портфолио', [ 'accounts/portfolio' ]) ?></li>
                        </ul>
                        <ul>
                            <li><?= Html::a('Список проектантов', [ 'search/performer' ]) ?></li>
                            <li><?= Html::a(Yii::t('app', 'Project list'), [ 'search/project' ]) ?></li>
                            <li><?= Html::a('Список заказчиков', [ 'search/customer' ]) ?></li>
                        </ul>
                    </div>
                </li>
            </ul>
            
            <div class="search-main-menu">
                <form action="<?= Url::to([ 'search/common' ]) ?>" method="get">
                    <input value="" name="query" type="text"/>
                    <input type="hidden" value="1" name="action"/>
                    <button type="submit" value=""></button>
                    <div class="search-list">
                        <span><?= Yii::t('app', 'Projects') ?></span>
                        <ul class="search-ul">
                            <li><?= Yii::t('app', 'Projects') ?></li>
                            <li>Исполнители</li>
                            <li>Заказчики</li>
                        </ul>
                    </div>
                </form>
            </div>
            <?php
                if(!\Yii::$app->user->isGuest) {
                    echo Menu::widget([
                        'options'     => [
                            'tag'   => 'div',
                            'class' => 'main-menu-icons-wr',
                        ],
                        'itemOptions' => [
                            'tag' => false,
                        ],
                        'items'       => [
                            [
                                'url'      => [ '/projects' ],
                                'template' => '<a href="{url}" class="main-menu-icons-home">' . ( ( !empty( \Yii::$app->user->identity->commentProjectsActive ) ) ? ( '<span>' . count(\Yii::$app->user->identity->commentProjectsActive) . '</span>' ) : ( '' ) ) . '</a>',
                            ],
                            [
                                'url'      => [ 'chat/list' ],
                                'template' => '<a href="{url}" class="main-menu-icons-edit">' . ( ( !empty( \Yii::$app->user->identity->newMessagesCount ) ) ? ( '<span>' . \Yii::$app->user->identity->newMessagesCount . '</span>' ) : ( '' ) ) . '</a>',
                            ],
                            [
                                'url'      => [ '/bookmarks' ],
                                'template' => '<a href="{url}" class="main-menu-icons-copy">' . ( ( !empty( \Yii::$app->user->identity->bookmarks ) ) ? ( '<span>' . count(\Yii::$app->user->identity->bookmarks) . '</span>' ) : ( '' ) ) . '</a>',
                            ],
                        ],
                    ]);
                }
            ?>
        </div>
    </div>
</div>
<!--end header-->

<div class="section-box content">
    <?= $content ?>
</div>


<div class="section-box footer">
    <div class="section-box footer-all">
        <div class="box-wr">
            <div class="box-all">
                <div class="footer-all-wr">
                    <div class="footer-menu-wrapper first-footer-menu">
                        <?php
                            $items = [
                                [
                                    'label' => Yii::t('app', 'Projects'),
                                    'url'   => [ 'search/project' ],
                                ],
                                [
                                    'label' => 'Вакансии',
                                    'url'   => [ 'search/vacancy' ],
                                ],
                                [
                                    'label' => 'Рейтинг проектантов',
                                    'url'   => [ 'search/performer' ],
                                ],
                            ];
                            if(empty( \Yii::$app->user->id )) {
                                array_unshift($items, [
                                    'label' => 'Регистрация проектанта',
                                    'url'   => [ '/site/registration' ],
                                ]);
                            }
                            echo Menu::widget([
                                'options' => [
                                    'class' => 'footer-menu',
                                ],
                                'items'   => $items,
                            ]);
                            unset( $items );
                        ?>
                    </div>
                    
                    <div class="footer-menu-wrapper second-footer-menu">
                        <?php
                            $items = [
                                [
                                    'label' => 'Рейтинг компаний',
                                    'url'   => [
                                        'search/performer',
                                        'SearchPerformerForm[type]' => 2,
                                    ],
                                ],
                            ];
                            if(empty( \Yii::$app->user->id )) {
                                array_unshift($items, [
                                    'label' => 'Регистрация заказчика',
                                    'url'   => [ '/site/registration' ],
                                ]);
                            }
                            echo Menu::widget([
                                'options' => [
                                    'class' => 'footer-menu',
                                ],
                                'items'   => $items,
                            ]);
                            unset( $items );
                        ?>
                        <div class="footer-menu-project" style="height: 50px;width: 258px;position: relative;">
                            <?php
                                echo Menu::widget([
                                    'options'      => [
                                        'tag'   => 'div',
                                        'class' => 'footer-menu-project-ico',
                                    ],
                                    'encodeLabels' => false,
                                    'itemOptions'  => [
                                        'tag' => false,
                                    ],
                                    'linkTemplate' => '<a target="_blank" href="{url}">{label}</a>',
                                    'items'        => [
                                        [
                                            'label' => "<img src='/images/soc-ico-6.png' alt=''/>",
                                            'url'   => 'https://www.instagram.com/proektant_net/',
                                        ],
                                        [
                                            'label' => "<img src='/images/soc-ico-2.png' alt=''/>",
                                            'url'   => 'https://twitter.com/PROektant_net',
                                        ],
                                        [
                                            'label' => "<img src='/images/soc-ico-3.png' alt=''/>",
                                            'url'   => 'https://www.facebook.com/proektant',
                                        ],
                                        [
                                            'label' => "<img src='/images/soc-ico-4.png' alt=''/>",
                                            'url'   => 'https://vk.com/proektant',
                                        ],
                                        [
                                            'label' => "<img src='/images/soc-ico-5.png' alt=''/>",
                                            'url'   => 'https://plus.google.com/u/0/115070539531803354950',
                                        ],
                                    ],
                                ]);
                            ?>
                        </div>
                    </div>
                    
                    <div class="footer-menu-wrapper third-footer-menu">
                        <?php
                            $items = [
                                [
                                    'label' => 'Рейтинг компаний',
                                    'url'   => [
                                        'search/performer',
                                        'SearchPerformerForm[type]' => 2,
                                    ],
                                ],
                            ];
                            if(empty( \Yii::$app->user->id )) {
                                array_unshift($items, [
                                    'label' => 'Регистрация компаний',
                                    'url'   => [ '/site/registration' ],
                                ]);
                            }
                            echo Menu::widget([
                                'options' => [
                                    'class' => 'footer-menu',
                                ],
                                'items'   => $items,
                            ]);
                            unset( $items );
                        ?>
<!--                        <div class="footer-menu-project-two">-->
<!--                            --><?php
//                                echo Menu::widget([
//                                    'options'      => [
//                                        'tag'   => 'div',
//                                        'class' => 'footer-menu-project-ico',
//                                    ],
//                                    'encodeLabels' => false,
//                                    'itemOptions'  => [
//                                        'tag' => false,
//                                    ],
//                                    'linkTemplate' => '<a target="_blank" href="{url}">{label}</a>',
//                                    'items'        => [
//                                        [
//                                            'label' => "<img src='/images/soc-ico-3.png' alt=''/>",
//                                            'url'   => 'https://www.facebook.com/proektant',
//                                        ],
//                                        [
//                                            'label' => "<img src='/images/soc-ico-4.png' alt=''/>",
//                                            'url'   => 'https://vk.com/proektant',
//                                        ],
//                                        [
//                                            'label' => "<img src='/images/soc-ico-5.png' alt=''/>",
//                                            'url'   => 'https://plus.google.com/u/0/115070539531803354950',
//                                        ],
//                                    ],
//                                ]);
//                            ?>
<!---->
<!--                        </div>-->
                    </div>
                    
                    <div class="footer-menu-wrapper last-footer-menu">
                        <?php
                            /* No content
                            echo Menu::widget([
                                'options' => [
                                    'class' => 'footer-menu',
                                ],
                                'items'   => [
                                    [
                                        'label' => 'Русский',
                                        'url'   => [ ' ' ],
                                    ],
                                    [
                                        'label' => 'Конфиденциальность',
                                        'url'   => [ ' ' ],
                                    ],
                                    [
                                        'label' => 'Условия использования',
                                        'url'   => [ ' ' ],
                                    ],
                                    [
                                        'label' => 'Файлы cookie',
                                        'url'   => [ ' ' ],
                                    ],
                                    [
                                        'label' => 'Реклама',
                                        'url'   => [ ' ' ],
                                    ],
                                    [
                                        'label' => 'Ad Choices',
                                        'url'   => [ ' ' ],
                                    ],
                                    [
                                        'label' => 'Еще',
                                        'url'   => [ ' ' ],
                                    ],
                                ],
                            ]);
                            */
                        ?>
                    </div>
                
                </div>
            </div>
        </div>
    </div>
    
    <div class="section-box artweb-footer-all">
        <div class="box-wr">
            <div class="box-all">
                <div class="copyright">
                    Proektant © 2015
                </div>
                <div class="artweb-wr">
                    <a target="_blank" href="http://artweb.ua/">Создание сайтов</a>
                    <div class="artweb-img">
                        <a target="_blank" href="http://artweb.ua/"><img src="/images/artweb.png"/></a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $this->endBody() ?>

</body>

</html>

<?php $this->endPage() ?>
