<?php
    /**
     * @var string $content
     * @var View   $this
     */
    
    use common\models\User;
    use kartik\rating\StarRating;
    use yii\helpers\ArrayHelper;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yii\web\View;
    use yii\widgets\Menu;
    
    \frontend\assets\AppAsset::register($this);
    $this->beginContent('@app/views/layouts/main.php');
?>
    <div class="section-box content">
        <div class="section-box-16" style="background-image: url('<?= $this->params[ 'user' ]->userInfo->poster; ?>'); background-repeat: no-repeat; background-position: 50%;">
            <div class="box-wr">
                <div class="box-all">
                    <div class="blog-buttons-wr style">
                        <?php
                            if($this->params[ 'user' ]->id != \Yii::$app->user->getId()) {
                                // Offer project button
                                if(empty( $this->params[ 'type' ] ) || $this->params[ 'type' ] != 'customer') {
                                    echo Html::a(Yii::t('app', 'Offer project'), [ '#' ], [
                                        'class'             => 'blog-buttons-offer',
                                        'data-performer-id' => $this->params[ 'user' ]->id,
                                    ]);
                                }
                                // Write message
                                echo Html::a('Написать сообщение', Url::toRoute([
                                    'chat/message',
                                    'user_id' => $this->params[ 'user' ]->id,
                                ]), [ 'class' => 'blog-buttons-write' ]);
                                // Bookmarks
                                if(!empty( \Yii::$app->user->identity )) {
                                    if($this->params[ 'user' ]->isBookmarked) {
                                        echo Html::a('Убрать из закладок', [ '#' ], [
                                            'class'   => 'get-list artbox_bookmark_remove_performer',
                                            'data-id' => $this->params[ 'user' ]->id,
                                        ]);
                                    } else {
                                        echo Html::a('Добавить в закладки', [ '#' ], [
                                            'class'   => 'get-list artbox_bookmark_add_performer',
                                            'data-id' => $this->params[ 'user' ]->id,
                                        ]);
                                    }
                                }
                            }
                        ?>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-box menu-content-wr">
            <div class="box-wr">
                <div class="box-all">
                    <?php
                        echo Menu::widget([
                            'options'        => [
                                'class' => 'menu-content',
                            ],
                            'activeCssClass' => 'active-menu-content',
                            'items'          => [
                                [
                                    'label' => 'Общее',
                                    'url'   => [
                                        'performer/common',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                ],
                                [
                                    'label'   => 'Портфолио',
                                    'url'     => [
                                        'performer/portfolio',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                    'visible' => ( empty( $this->params[ 'type' ] ) || $this->params[ 'type' ] == 'implementer' ) ? true : false,
                                    'active'  => preg_match('/^portfolio.*$/', $this->context->action->id) ? true : false,
                                ],
                                [
                                    'label'   => 'Заказанные работы',
                                    'url'     => [
                                        'performer/projects',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                    'visible' => ( !empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer' ) ? true : false,
                                    'active'  => preg_match('/^projects.*$/', $this->context->action->id) ? true : false,
                                ],
                                [
                                    'label'   => 'Блог',
                                    'url'     => [
                                        'performer/blog-list',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                    'visible' => ( empty( $this->params[ 'type' ] ) || $this->params[ 'type' ] == 'implementer' ) ? true : false,
                                    'active'  => preg_match('/^blog.*$/', $this->context->action->id) ? true : false,
                                ],
                                [
                                    'label' => 'Мнения',
                                    'url'   => [
                                        'performer/review',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                ],
                                [
                                    'label'   => 'Места работы',
                                    'url'     => [
                                        'performer/workplace',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                    'visible' => ( empty( $this->params[ 'type' ] ) || $this->params[ 'type' ] == 'implementer' ) ? true : false,
                                ],
                                [
                                    'label'   => 'Галерея',
                                    'url'     => [
                                        'performer/gallery',
                                        'performer_id' => $this->params[ 'user' ]->id,
                                        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                    ],
                                    'visible' => ( empty( $this->params[ 'type' ] ) || $this->params[ 'type' ] == 'implementer' ) ? true : false,
                                ],
                            ],
                        ]);
                    ?>
                </div>
            </div>
        </div>
        <div class="section-box-15 section-box-17">
            <div class="box-wr">
                <div class="box-all">
                    <div class="performer-vacancy-sidebar-left-wr">
                        <div class="performer-vacancy-sidebar-left">
                            <div class="performance-vacancy-sidebar-company-wr">
                                <div class="performance-vacancy-sidebar-company-title style"><?= $this->params[ 'user' ]->name ?></div>
                                <div class="performance-vacancy-sidebar-company-job style">
                                    <ul>
                                        <li class="activejob">
                                            <?php
                                                if($this->params[ 'user' ]->userInfo->is_freelancer xor $this->params[ 'user' ]->userInfo->is_customer) {
                                                    if(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer') {
                                                        echo Html::tag('span', 'Заказчик', [ 'class' => 'activejob_span' ]);
                                                    } else {
                                                        echo Html::tag('span', 'Исполнитель', [ 'class' => 'activejob_span' ]);
                                                    }
                                                } else {
                                                    if(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'implementer') {
                                                        echo Html::a('Исполнитель', Url::current([ 'type' => 'implementer' ]));
                                                    } elseif(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer') {
                                                        echo Html::a('Заказчик', Url::current([ 'type' => NULL ]));
                                                    } else {
                                                        echo Html::a('Исполнитель', Url::current([ 'type' => NULL ]));
                                                    }
                                                    ?>
                                                    <div class="sidebar-droped-wr style">
                                                        <ul>
                                                            <li>
                                                                <?php
                                                                    if(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'implementer') {
                                                                        echo Html::a('Заказчик', Url::current([ 'type' => 'customer' ]));
                                                                    } elseif(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer') {
                                                                        echo Html::a('Исполнитель', Url::current([ 'type' => NULL ]));
                                                                    } else {
                                                                        echo Html::a('Заказчик', Url::current([ 'type' => 'customer' ]));
                                                                    }
                                                                ?>
                                                            </li>
                                                            <li style="display: none">
                                                                <?php
                                                                    if(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'implementer') {
                                                                        echo Html::a('Исполнитель', Url::current([ 'type' => 'implementer' ]));
                                                                    } elseif(!empty( $this->params[ 'type' ] ) && $this->params[ 'type' ] == 'customer') {
                                                                        echo Html::a('Заказчик', Url::current([ 'type' => NULL ]));
                                                                    } else {
                                                                        echo Html::a('Исполнитель', Url::current([ 'type' => NULL ]));
                                                                    }
                                                                ?>
                                                        </ul>
                                                    </div>
                                                    <?php
                                                }
                                            ?>
                                        </li>
                                    </ul>
                                </div>
                                <div class="performance-vacancy-sidebar-stars style">
                                    <?php
                                        echo StarRating::widget([
                                            'name'          => 'rating_company',
                                            'value'         => $this->params[ 'user' ]->userInfo->rating,
                                            'pluginOptions' => [
                                                'displayOnly' => true,
                                                'size'        => 'xxs',
                                                'min'         => 0,
                                                'max'         => 10,
                                                'stars'       => 10,
                                            ],
                                        ]);
                                    ?>
                                </div>
                                <div class="performance-vacancy-sidebar-comm style"><?= count($this->params[ 'user' ]->comments) ?> мнений</div>
                                <?php
                                    if($this->params[ 'user' ]->id != \Yii::$app->user->getId()) {
                                        echo Html::a('написать мнение', [
                                            'performer/review',
                                            'performer_id' => $this->params[ 'user' ]->id,
                                            'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
                                        ], [ 'class' => 'performance-vacancy-sidebar-write style' ]);
                                    }
                                ?>
                            </div>
                            <div class="performer-vacancy-sidebar-img style">
                                <?= Html::img($this->params[ 'user' ]->userInfo->image); ?>
                            </div>
                            <div class="performer-vacancy-sidebar-all style">
                                <?= $this->render('/patrial/social_list', [
                                    'params' => $this->params,
                                ]) ?>
                                <div class="performer-vacancy-sidebar-views style">
                                    <ul class="style">
                                        <li><img src="/images/sidebar-ico/ico-1.png" alt=""/>
                                            <div class="sidebarvievstxt"><?= $this->params[ 'user' ]->userInfo->view_count ?> просмотра</div>
                                        </li>
                                        <li>
                                            <?php
                                                if($this->params[ 'user' ]->userInfo->busy) {
                                                    ?>
                                                    <img src="/images/sidebar-ico/ico_work_01.png" alt=""/>
                                                    <?php
                                                } else {
                                                    ?>
                                                    <img src="/images/sidebar-ico/ico-9.png" alt=""/>
                                                    <?php
                                                }
                                            ?>
                                            <div class="sidebarvievstxt">
                                                <span class="sidebar-views-txt">Статус: </span><?= $this->params[ 'user' ]->userInfo->busyText ?>
                                            </div>
                                        </li>
                                        <li><img src="/images/sidebar-ico/ico-2.png" alt=""/>
                                            <div class="sidebarvievstxt">
                                                <span class="sidebar-views-txt">На сайте: </span><?= $this->params[ 'user' ]->liveTime ?>
                                            </div>
                                        </li>
                                        <li><img src="/images/sidebar-ico/ico-3.png" alt=""/>
                                            <div class="sidebarvievstxt">
                                                <span class="sidebar-views-txt">Последний визит:<br/></span>
                                                <?php
                                                    if($this->params[ 'user' ]->isOnline) {
                                                        echo 'Онлайн';
                                                    } else {
                                                        echo $this->params[ 'user' ]->userInfo->lastVisitCabinet;
                                                    }
                                                ?>
                                            </div>
                                        </li>
                                        <?php
                                            if(!empty( $this->params[ 'user' ]->userInfo->experience )) {
                                                ?>
                                                <li>
                                                    <img src="/images/sidebar-ico/ico-10.png" alt=""/>
                                                    <div class="sidebarvievstxt">
                                                        <span class="sidebar-views-txt">Трудовой стаж:<br/></span>
                                                        <?php
                                                            echo 'С ' . $this->params[ 'user' ]->userInfo->experience . ' года';
                                                        ?>
                                                    </div>
                                                </li>
                                                <?php
                                            }
                                        ?>
                                        <?php
                                            // Predefined in DB variable rank will be used further
                                            if(!empty( $this->params[ 'user' ]->userInfo->member )) {
                                                ?>
                                                <li>
                                                    <img src="/images/sidebar-ico/ico-11.png" alt=""/>
                                                    <div class="sidebarvievstxt">
                                                        <span class="sidebar-views-txt">Звание в МФП:<br/></span><?= \Yii::$app->formatter->asBoolean($this->params[ 'user' ]->userInfo->member) ?>
                                                    </div>
                                                </li>
                                                <?php
                                            }
                                        ?>
                                        <li><img src="/images/sidebar-ico/ico_money.png" alt=""/>
                                            <div class="sidebarvievstxt">
                                                <span class="sidebar-views-txt">Стоимость работ:<br/></span>
                                                <?php
                                                    if(!empty( $this->params[ 'user' ]->userInfo->salary )) {
                                                        echo 'от ' . $this->params[ 'user' ]->userInfo->salary . ' ' . $this->params[ 'user' ]->userInfo->currency->label . ' за час';
                                                    } else {
                                                        echo 'Не указано';
                                                    }
                                                ?>
                                            </div>
                                        </li>
                                        <?php
                                            if(!empty( $this->params[ 'user' ]->payments )) {
                                                ?>
                                                <li>
                                                    <img src="/images/sidebar-ico/ico-13.png" alt=""/>
                                                    <div class="sidebarvievstxt">
                                                        <?= implode(', ', ArrayHelper::getColumn($this->params[ 'user' ]->payments, 'name')) ?>
                                                    </div>
                                                </li>
                                                <?php
                                            }
                                        ?>
                                        <?php
                                            if(!empty( $this->params[ 'user' ]->currentJob )) {
                                                ?>
                                                <li>
                                                    <img src="/images/sidebar-ico/ico-14.png" alt=""/>
                                                    <div class="sidebarvievstxt">
                                                        <span class="sidebar-views-txt">
                                                            Текущее место работы:<br/>
                                                        </span>
                                                        <?php
                                                            if(!empty( $this->params[ 'user' ]->currentJob->link )) {
                                                                ?>
                                                                <a href="<?= $this->params[ 'user' ]->currentJob->link ?>">
                                                                    <?= $this->params[ 'user' ]->currentJob->name ?>
                                                                </a>
                                                                <?php
                                                            } else {
                                                                echo $this->params[ 'user' ]->currentJob->name;
                                                            }
                                                        ?>
                                                    </div>
                                                </li>
                                                <?php
                                            }
                                        ?>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="section-box performer-vacancy-vacant-wr">
                        <?= $content ?>
                    </div>
                </div>
            </div>
        
        </div>
    
    </div>
    <script>
        $('div.rating').rating(
            {
                fx : 'full',
                readOnly : 'true',
                url : 'rating.php'
            }
        );
    </script>

<?php $this->endContent() ?>