<?php
    /**
     * @var Blog $model
     * @var View $parent_view
     */
    use common\models\Blog;
    use frontend\helpers\TextHelper;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yii\web\View;

?>
<div class="blog-post-wr">
    <div class="blog-post-title style">
        <?= Html::a($model->name, Url::toRoute([
            'performer/blog-view',
            'performer_id' => $this->params[ 'user' ]->id,
            'link'         => $model->link,
            'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
        ]), [ 'class' => 'blog-new-link' ]); ?>
    </div>
    <div class="blog-post-icons-wr style">
        <div class="blog-post-date">
            <span></span>
            <p><?= \Yii::$app->formatter->asDate($model->dateCreate, 'php:d.m.Y') ?></p>
        </div>
        <div class="blog-post-views">
            <span></span>
            <p><?= $model->view_count ?></p>
        </div>
        <div class="blog-post-comm-num">
            <span></span>
            <p><?= count($model->comments) ?></p>
        </div>
    </div>
    <div class="blog-post-content style">
        <?= Html::a(Html::img($model->cover), Url::toRoute([
            '/performer/blog-view',
            'performer_id' => $this->params[ 'user' ]->id,
            'link'         => $model->link,
            'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
        ])); ?>
        <?= TextHelper::truncateHtmlText($model->description, 1300) ?>
    </div>
    <?= Html::a('<span>Подробнее</span>', Url::toRoute([
        'performer/blog-view',
        'performer_id' => $this->params[ 'user' ]->id,
        'link'         => $model->link,
        'type'         => ( !empty( $this->params[ 'type' ] ) ) ? $this->params[ 'type' ] : NULL,
    ]), [ 'class' => 'blog-post-see-all style' ]); ?>
</div>