<?php
use yii\bootstrap\Html;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;

$portfolios = ArrayHelper::getColumn($model->user->getPortfolios()->limit(3)->all(), 'cover');
?>
<div class="search-company-block">
    <div class="search-company-block-left">
        <div class="search-worker-blocks-title-wr">
            <?php if($model->member):?>
                <div class="land-stars-pro">PRO</div>
            <?php else: ?>
                <div class="land-stars-new">NEW</div>
            <?php endif; ?>
            <div class="search-worker-blocks-title"><?= $model->user->name?></div>
        </div>
        <div class="search-worker-blocks-title-wr">
            <div class="rating-new">
                <!--оценка-->
                <input type="hidden" class="val" value="4"/>
            </div>
            <div class="search-worker-blocks-atr">30 отзывов, <?= $model->city?></div>
        </div>
        <div class="search-worker-blocks-title-wr">
            <span class="search-company-worker">Сотрудники: <?= $model->user->companyInfo->staff?></span>
        </div>
        <div class="search-worker-blocks-title-wr">
            <div class="search-company-geography">
                <span>География работ: </span><?= implode(',',array_filter(ArrayHelper::getColumn($model->user->portfolios, 'city'))) ?>
            </div>
        </div>
        <div class="search-worker-blocks-title-wr">
            <div class="features-tags features-tags-company">
                <?php foreach($model->user->specializations as $specialization):?>
                <span><a href="#"><?= $specialization->specialization_name ?></a>,</span>
                <?php endforeach;?>
            </div>
        </div>
        <div class="search-worker-blocks-title-wr">
            <div class="search-company-visit">
                <span>Последний визит: </span><?= $model->lastVisit ?>
            </div>
        </div>
        <?= Html::a($model->user->getPortfolios()->count()." работа в портфолио",[Url::toRoute(['company/portfolio','company_id'=>$model->user_id])], ['class' => "search-worker-blocks-jobs-portfolio" ])?>
        <div class="search-worker-blocks-buttons style">
            <a class="get-project" href="#">Предложить <?=Yii::t('app', 'project')?></a>
            <a class="get-list" href="#">Добавить в закладки</a>
        </div>
    </div>
    <div class="search-company-block-right">
        <div class="search-worker-blocks-foto-wr">
            <div class="logo-img-search-company-wrapper">
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td align="center"><?= Html::img($model->image)?></td>
                    </tr>
                </table>
            </div>
            <div class="gallery-box-search gallery-box">
                <?php foreach($portfolios as $portfolio):?>
                    <?= Html::a(Html::img( $model->minImg($portfolio, '152','108')),'#',['class' => 'small-img-search gallery-box-min'] )?>
                <?php endforeach;?>
                <div class="gallery-box-hidden">
                    <div class="gallery-box-preview">
                        <?php foreach($portfolios as $portfolio):?>
                            <span data-link="<?=  $model->minImg($portfolio, '152','108')?>"></span>
                        <?php endforeach;?>
                    </div>
                    <div class="gallery-box-big">
                        <?php foreach($portfolios as $portfolio):?>
                            <span data-link="<?= $model->minImg($portfolio, 'original')?>"></span>
                        <?php endforeach;?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
