<?php
    /**
     * @var User $model
     */
    use common\models\User;
    use kartik\rating\StarRating;
    use yii\bootstrap\Html;
    use yii\helpers\ArrayHelper;
    use yii\helpers\Url;

?>
<div class="search-worker-blocks">
    <div class="search-worker-blocks-foto-wr">
        <div class="gallery-box-search gallery-box">
            <?php $portfolios = ArrayHelper::getColumn($model->getPortfolios()
                                                             ->limit(4)
                                                             ->all(), 'cover'); ?>
            <?php
                if(!empty( $portfolios )) {
                    for($i = 0; $i < count($portfolios); $i++) {
                        if($i) {
                            echo Html::a(Html::img($portfolios[ $i ]), [
                                'performer/portfolio',
                                'performer_id' => $model->id,
                            ], [ 'class' => 'small-img-search' ]);
                        } else {
                            echo Html::a(Html::img($model->minImg($portfolios[ $i ], '318', '228')), [
                                'performer/portfolio',
                                'performer_id' => $model->id,
                            ], [ 'class' => 'big-img-search' ]);
                        }
                    }
                } else {
                    echo 'Работы в порфолио отсутствуют';
                }
            ?>
        </div>
    </div>
    <div class="search-worker-blocks-text-wr">
        <div class="search-worker-blocks-ico-wr">
            <?= Html::a(Html::img($model->minImg($model->userInfo->image, '48', '48')), [
                'performer/portfolio',
                'performer_id' => $model->id,
            ]) ?>
        </div>
        <div class="search-worker-blocks-title-wr">
            <?php if($model->userInfo->member): ?>
                <div class="land-stars-pro">PRO</div>
            <?php else: ?>
                <div class="land-stars-new">NEW</div>
            <?php endif; ?>

            <div class="search-worker-blocks-title"><?= Html::a($model->name, [
                    'performer/portfolio',
                    'performer_id' => $model->id,
                ]) ?></div>
        </div>
        <div class="search-worker-blocks-title-wr">
            <div>
                <?php
                    echo StarRating::widget([
                        'name'          => 'rating_performer',
                        'value'         => $model->userInfo->rating,
                        'pluginOptions' => [
                            'displayOnly' => true,
                            'size'        => 'xxs',
                            'min'         => 0,
                            'max'         => 10,
                            'stars'       => 10,
                        ],
                    ]);
                ?>
            </div>
            <div class="search-worker-blocks-atr"><?= count($model->comments) ?> мнений, <?= $model->userInfo->city ?></div>
        </div>
        <div class="search-worker-blocks-title-wr">
            <div class="search-worker-blocks-status">
                <?php if($model->userInfo->busy): ?>
                    <?= Html::img('/images/sidebar-ico/ico_work_01.png'); ?><span>занят</span>
                <?php else: ?>
                    <?= Html::img('/images/sidebar-ico/ico-9.png'); ?><span>свободен</span>
                <?php endif ?>
            </div>
        </div>
        <div class="search-worker-blocks-geographic style">
            <span>География работ: </span><?= implode(',', array_filter(ArrayHelper::getColumn($model->portfolios, 'city'))) ?>
        </div>
        <div class="search-worker-blocks-tags style">
            <?php
                $count = count($model->specializations);
                if($count > 20) {
                    $count = 20;
                }
                for($i = 0; $i < $count; $i++) {
                    echo Html::a($model->specializations[ $i ]->specialization_name, [
                            'search/performer',
                            'SearchPerformerForm[specialization][' . $model->specializations[ $i ]->specialization_id . ']' => $model->specializations[ $i ]->specialization_id,
                            'SearchPerformerForm[portfolio]'                                                                => 0,
                        ]) . ', ';
                }
            ?>
        </div>
        <div class="search-worker-blocks-visit style">
            <span>Последний визит: </span><?= $model->userInfo->lastVisit ?></div>
        <?= Html::a(count($model->portfolios) . " работа в портфолио", [
            Url::toRoute([
                'performer/portfolio',
                'performer_id' => $model->userInfo->user_id,
            ]),
        ], [ 'class' => "search-worker-blocks-jobs-portfolio" ]) ?>
        <div class="search-worker-blocks-buttons style">
            <?php
                if(!empty( \Yii::$app->user->identity )) {
                    if($model->isBookmarked) {
                        echo Html::a('Убрать из закладок', [ '#' ], [
                            'class'   => 'get-list artbox_bookmark_remove_performer',
                            'data-id' => $model->id,
                        ]);
                    } else {
                        echo Html::a('Добавить в закладки', [ '#' ], [
                            'class'   => 'get-list artbox_bookmark_add_performer',
                            'data-id' => $model->id,
                        ]);
                    }
                    echo Html::a(Yii::t('app', 'Offer project'), [ '#' ], [
                        'class' => 'get-project',
                        'data'  => [ 'performer-id' => $model->id ],
                    ]);
                }
            ?>
        </div>
    </div>
</div>