<?php
    /**
     * @var Vacancy $model
     */
    use common\models\Vacancy;
    use frontend\helpers\TextHelper;
    use yii\bootstrap\Html;
    use yii\helpers\Url;

?>

<div class="performer-vacant-reclam-bl">
    <?= Html::a($model->name, Url::toRoute([
        'company/vacancy-view',
        'company_id' => $model->user_id,
        'link'       => $model->link,
    ]), [ 'class' => 'performer-vacant-reclam-bl-title' ]) ?>
    <div class="performer-vacant-reclam-bl-title-two">
        <?php
            if(!empty( $model->city )) {
                echo $model->city.' ';
            }
            echo $model->date_add. ' ';
            if(!empty( $model->salary ) && !empty( $model->salaryCurrency )) {
                echo $model->salary;
                echo $model->salaryCurrency->label;
            }
        ?>
    </div>
    <div class="performer-vacant-reclam-bl-content">
        <span><?= TextHelper::truncateHtmlText($model->description, 200, '...') ?></span>
        <?= Html::a('<img src="/images/performar_vacancy/arrow-post.png" alt=""/>', [
            'company/vacancy-view',
            'company_id' => $model->user_id,
            'link'       => $model->link,
        ], [ 'class' => 'performer-vacant-reclam-bl-content-read' ]) ?>
    </div>
</div>