<?php
    /**
     * @var View               $this
     * @var TenderSearch       $model
     * @var ActiveDataProvider $dataProvider
     * @var array              $specializations
     * @var array              $currencies
     * @var array              $payments
     */
    use common\models\Specialization;
    use common\models\TenderSearch;
    use kartik\select2\Select2;
    use yii\data\ActiveDataProvider;
    use \yii\helpers\Html;
    use yii\web\JsExpression;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    use yii\widgets\ListView;
    $this->title = 'Proektant.net';

?>

<div class="section-box content">
    <div class="section-box-22">
        <div class="box-wr">
            <div class="box-all">
                <div class="left-search-work">
                    <?php
                        $form = ActiveForm::begin([
                            'method'  => 'get',
                            'options' => [ 'class' => 'search-work-form' ],
                            'action'  => [ '' ],
                        ]);
                        echo $form->field($model, 'info', [ 'options' => [ 'class' => 'info-search-input' ] ])
                                  ->label('Поиск')
                                  ->textInput([ 'class'       => 'form-control',
                                                'placeholder' => 'Текст для поиска',
                                  ]);
                        ?>
                    <?php
                        // New specialization chooser
                    ?>
                    <div class="input-blocks-wrapper admin-menu-list">
                        <div class="input-blocks" style="width: 100%; margin-bottom: 5px">
                            <label>Специализации</label>
                            <div class="required"></div>
                        </div>
                        <div class="new-spec-block style">
                            <ul class="content-menu-first">
                                <?php foreach($specializations as $specialization): ?>
                                    <li data-img="<?= $specialization->image ?>">
                                        <span data-menu-bg="<?= $specialization->background ?>" style="background: <?= $specialization->background ?>"></span><a href="#"><?= $specialization->specialization_name ?></a>
                                        <ul>
                                            <?php foreach($specialization->children as $child_first): ?>

                                                <?php if($child_first instanceof Specialization): ?>
                                                    <li>
                                                        <a href="#"><?= $child_first->specialization_name ?></a>
                                                        <ul>
                                                            <?php foreach($child_first->children as $child_second): ?>
                                                                <?php if($child_first instanceof Specialization): ?>
                                                                    <li>
                                                                        <a href="#" title="<?= $child_second->specialization_name ?>">
                                                                            <?= $form->field($model, "specialization[{$child_second->specialization_id}]", [
                                                                                'template' => '{input}{label}{hint}{error}',
                                                                            ])
                                                                                     ->label('<span></span>' . $child_second->specialization_name)
                                                                                     ->checkbox([
                                                                                         'value'   => $child_second->specialization_id,
                                                                                         'label'   => NULL,
                                                                                         'uncheck' => NULL,
                                                                                         'class'   => 'custom-check',
                                                                                     ], false) ?>
                                                                        </a>
                                                                    </li>
                                                                <?php endif; ?>
                                                            <?php endforeach; ?>
                                                        </ul>
                                                    </li>
                                                <?php endif; ?>
                                            <?php endforeach; ?>

                                        </ul>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        </div>
                        <div class="style admn-menu-err">
                            <div class="help-block">Необходимо выбрать хотя бы одну «специализацию».</div>
                        </div>
                    </div>

                    <div class="admin-specialization-selected style">
                        <ul></ul>
                    </div>
                    <?php
                        // End of new specialization chooser
                    ?>
                    <?php
                        /*
                        echo $form->field($model, 'specialization')
                                  ->dropDownList($specialization, [ 'prompt' => 'Любая' ]);
                         */

                        echo $form->field($model, 'city')
                                  ->widget(Select2::classname(), [
                                      'options'       => [ 'placeholder' => 'Выбор города ...' ],
                                      'pluginOptions' => [
                                          'allowClear'         => true,
                                          'minimumInputLength' => 3,
                                          'ajax'               => [
                                              'url'      => \yii\helpers\Url::to([ 'site/city' ]),
                                              'dataType' => 'json',
                                              'data'     => new JsExpression('function(params) { return {q:params.term}; }'),
                                          ],
                                          'escapeMarkup'       => new JsExpression('function (markup) { return markup; }'),
                                          'templateResult'     => new JsExpression('function(city) { return city.text; }'),
                                          'templateSelection'  => new JsExpression('function (city) { return city.text; }'),
                                      ],
                                  ]);

                    ?>
                    <div class="blocks-check-list-wrapp">
                        <div class="blocks-check-title">Бюджет</div>
                        <div class="form-price-wr">
                            <?= $form->field($model, 'budget_from', [
                                'template' => "{input}\n{error}",
                                'options'  => [ 'tag' => 'span' ],
                            ])
                                     ->textInput([ 'placeholder' => $model->getAttributeLabel('budget_from') ]) ?>
                            <?= $form->field($model, 'budget_to', [
                                'template' => "{input}\n{error}",
                                'options'  => [ 'tag' => 'span' ],
                            ])
                                     ->textInput([ 'placeholder' => $model->getAttributeLabel('budget_to') ]) ?>
                            <?= $form->field($model, 'budget_currency', [
                                'template' => "{input}\n{error}",
                                'options'  => [ 'class' => 'blocks-check-list-wrapp check-valuta' ],
                            ])
                                     ->dropDownList($currencies) ?>
                        </div>
                        <?= $form->field($model, 'contractual', [
                            'template' => "{input}\n{label}\n{hint}\n{error}",
                            'options'  => [ 'class' => 'blocks-check-list' ],
                        ])
                                 ->label("<span></span>{$model->getAttributeLabel('contractual')}", [ 'class' => '' ])
                                 ->checkbox([ ], false) ?>
                        <?= $form->field($model, 'payment', [ 'template' => "{input}\n{error}" ])
                                 ->checkboxList($payments, [
                                     'item' => function($index, $label, $name, $checked, $value) {
                                         $return = '<div class="blocks-check-list">';
                                         $return .= '<input type="checkbox" ' . ( $checked ? "checked" : "" ) . ' name="' . $name . '" class="check-search" value="' . $value . '" id="theme-' . $index . '">';
                                         $return .= '<label for="theme-' . $index . '"><span></span>' . $label . '</label>';
                                         $return .= '</div>';
                                         return $return;
                                     },
                                 ]); ?>
                    </div>
                    <div class="blocks-check-list-submit">
                        <?php
                            echo Html::submitInput('Найти');
                        ?>
                    </div>
                    <?php
                        $form->end();
                    ?>
                </div>
                <div class="right-search-work">
                    <div class="search-worker-title style">Сейчас <?= $dataProvider->totalCount ?> предложений</div>
                    <div class="search-profile-blocks-wr style">
                        <?= ListView::widget([
                            'dataProvider' => $dataProvider,
                            'itemView'     => '_projects_list_view',
                            'layout'       => "{items}\n<div class='navi-buttons-wr style navi-buttons-yet-wr'>{pager}</div>",
                        ]); ?>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <div>
        <?php
            /*
            ?>
        <div class="section-box" style="height: 720px; overflow: hidden">
            <div class="map-settings-opacity"></div>
            <div class="map-settings-wrapp">
                <div class="min_markers-wrapp">
                    <ul class="min_markers">
                        <li class="active_m"><span></span>
                            <p>Все</p></li>
                        <li><span><img src="/images/markers/marker-min-1.png"/></span>
                            <p>Жилые</p></li>
                        <li><span><img src="/images/markers/marker-min-2.png"/></span>
                            <p>Офисные</p></li>
                        <li><span><img src="/images/markers/marker-min-3.png"/></span>
                            <p>Торговые</p></li>
                        <li><span><img src="/images/markers/marker-min-4.png"/></span>
                            <p>Мосты</p></li>
                        <li><span><img src="/images/markers/marker-min-5.png"/></span>
                            <p>Дороги</p></li>
                        <li><span><img src="/images/markers/marker-min-6.png"/></span>
                            <p>Сооружения</p></li>
                        <li><span><img src="/images/markers/marker-min-7.png"/></span>
                            <p>Склады</p></li>
                        <li><span><img src="/images/markers/marker-min-8.png"/></span>
                            <p>Заводы</p></li>
                        <li><span><img src="/images/markers/marker-min-9.png"/></span>
                            <p>Разное</p></li>
                    </ul>
                    <ul class="min_markers_two">
                        <li><span><img src="/images/markers/marker-min-10.png"/></span>
                            <p><?= Yii::t('app', 'projects') ?></p></li>
                        <li><span><img src="/images/markers/marker-min-11.png"/></span>
                            <p>подряды</p></li>
                    </ul>
                </div>
            </div>
            <div class="slider-map"></div>
            <div id="map_cloud" style="display: none;">
                <script type="text/javascript">
                    function initialize()
                    {
                        var start_position = new google.maps.LatLng('56', '30');
                        var settings = {
                            zoom : 7, //                scrollwheel: false,
                            center : start_position,
                            mapTypeControl : false,
                            mapTypeControlOptions : {style : google.maps.MapTypeControlStyle.DROPDOWN_MENU},
                            navigationControl : false,
                            navigationControlOptions : {style : google.maps.NavigationControlStyle.SMALL},
                            scaleControl : false,
                            streetViewControl : false,
                            rotateControl : false,
                            zoomControl : false,
                            mapTypeId : google.maps.MapTypeId.ROADMAP
                        };
                        var map = new google.maps.Map(document.getElementById("map_canvas"), settings);

                        var image1 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-1.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image2 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-2.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image3 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-3.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image4 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-4.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image5 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-5.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image6 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-6.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image7 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-7.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image8 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-8.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image9 = new google.maps.MarkerImage(
                            '/images/markers/marker-we-9.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image10 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-1.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image11 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-2.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image12 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-3.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image13 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-4.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image14 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-5.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image15 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-6.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image16 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-7.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image17 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-8.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );
                        var image18 = new google.maps.MarkerImage(
                            '/images/markers/marker-empl-9.png', new google.maps.Size(21, 32), new google.maps.Point(0, 0), new google.maps.Point(16, 35)
                        );

                        var markers = [];

                        var marker = new google.maps.Marker(
                            {
                                position : new google.maps.LatLng('56', '35.3'),
                                map : map,
                                title : 'Marker Title2',
                                icon : image1
                            }
                        );
                        markers.push(marker);

                        var marker = new google.maps.Marker(
                            {
                                position : new google.maps.LatLng('56', '36'),
                                map : map,
                                title : 'Marker Title2',
                                icon : image2
                            }
                        );
                        markers.push(marker);

                        var marker = new google.maps.Marker(
                            {
                                position : new google.maps.LatLng('56', '34.5'),
                                map : map,
                                title : 'Marker Title3',
                                icon : image18
                            }
                        );
                        markers.push(marker);

                        var marker = new google.maps.Marker(
                            {
                                position : new google.maps.LatLng('56', '35'),
                                map : map,
                                title : 'Marker Title4',
                                icon : image13
                            }
                        );
                        markers.push(marker);

                        var clusterStyles = [
                            {
                                url : '/images/markers/clasters.png',
                                height : 36,
                                width : 36
                            }

                        ];
                        markerClusterer = new MarkerClusterer(
                            map, markers, {
                                maxZoom : 10,
                                gridSize : 100,
                                styles : clusterStyles
                            }
                        );
                        //балун
                        var infowindow = new google.maps.InfoWindow(
                            {
                                content : '<div style="width: 112px;"><a href="#" style="text-decoration: none; color: #333"><img style="width: 112px; height: 60px" src="/images/infowindow_marker_slider.jpg" alt=""/><p style="width: 100%; text-align: center; font-family: Ubuntu Bold; font-size: 11px;">Трц “Дарница”</p></a></div>'
                            }
                        );
                        google.maps.event.addListener(
                            marker, 'click', function()
                            {
                                infowindow.open(map, this);
                            }
                        );
                    }
                </script>
            </div>
            <div id="map_canvas" style="width: 100%; height:100%;"></div>
            <?php
                */
            /* Решено убрать нижний слайдер
            ?>
            <div class="slider_map-wr">
                <div class="slider_map_overlay"></div>
                <div class="slider_map">
                    <div id="demo5" class="scroll-img">
                        <ul>
                            <li>
                                <a href="#" class="slider_a">
                                    <div class="slider-marker-bl">
                                        <div class="slider-marker-bl-img">
                                            <img src="/images/marker_slider.jpg" alt=""/>
                                        </div>
                                        <div class="slider-marker-bl-text">
                                            <div class="slider-marker-bl-text-title">ТЦ «Дарница»</div>
                                            <div class="slider-marker-bl-text-p">Киев, Днепровский район, проспект Воссоединения, 2/1 Район Днепровский</div>
                                        </div>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <a href="#" class="slider_a">
                                    <div class="slider-marker-bl">
                                        <div class="slider-marker-bl-img">
                                            <img src="/images/marker_slider.jpg" alt=""/>
                                        </div>
                                        <div class="slider-marker-bl-text">
                                            <div class="slider-marker-bl-text-title">ТЦ «Дарница»</div>
                                            <div class="slider-marker-bl-text-p">Киев, Днепровский район, проспект Воссоединения, 2/1 Район Днепровский</div>
                                        </div>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <a href="#" class="slider_a">
                                    <div class="slider-marker-bl">
                                        <div class="slider-marker-bl-img">
                                            <img src="/images/marker_slider.jpg" alt=""/>
                                        </div>
                                        <div class="slider-marker-bl-text">
                                            <div class="slider-marker-bl-text-title">ТЦ «Дарница»</div>
                                            <div class="slider-marker-bl-text-p">Киев, Днепровский район, проспект Воссоединения, 2/1 Район Днепровский</div>
                                        </div>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <a href="#" class="slider_a">
                                    <div class="slider-marker-bl">
                                        <div class="slider-marker-bl-img">
                                            <img src="/images/marker_slider.jpg" alt=""/>
                                        </div>
                                        <div class="slider-marker-bl-text">
                                            <div class="slider-marker-bl-text-title">ТЦ «Дарница»</div>
                                            <div class="slider-marker-bl-text-p">Киев, Днепровский район, проспект Воссоединения, 2/1 Район Днепровский</div>
                                        </div>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <a href="#" class="slider_a">
                                    <div class="slider-marker-bl">
                                        <div class="slider-marker-bl-img">
                                            <img src="/images/marker_slider.jpg" alt=""/>
                                        </div>
                                        <div class="slider-marker-bl-text">
                                            <div class="slider-marker-bl-text-title">ТЦ «Дарница»</div>
                                            <div class="slider-marker-bl-text-p">Киев, Днепровский район, проспект Воссоединения, 2/1 Район Днепровский</div>
                                        </div>
                                    </div>
                                </a>
                            </li>
                            <li>
                                <a href="#" class="slider_a">
                                    <div class="slider-marker-bl">
                                        <div class="slider-marker-bl-img">
                                            <img src="/images/marker_slider.jpg" alt=""/>
                                        </div>
                                        <div class="slider-marker-bl-text">
                                            <div class="slider-marker-bl-text-title">ТЦ «Дарница»</div>
                                            <div class="slider-marker-bl-text-p">Киев, Днепровский район, проспект Воссоединения, 2/1 Район Днепровский</div>
                                        </div>
                                    </div>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div id="demo5-btn" class="text-center">
                        <a id="demo5-backward"></a>
                        <a id="demo5-forward"></a>
                    </div>
                </div>
            </div>
            <?php
            */
        ?>
    </div>

</div>
</div>
