<?php
use common\models\LoginForm;
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\Url;



/**
 * @var LoginForm $model
 */
?>

<div id="modal_form_login">
    <div class="closed-form"></div>
    <div class="form-resume-wr question">
        <div class="form-resume-sub style">Авторизация</div>
        <?php $form = ActiveForm::begin([
            'action' => Url::toRoute('/site/login'),
            'options' => [
                'class' => 'form-horizontal',
                'id'    => 'login-form',
            ],
        ]); ?>
        <div class="input-blocks-wrapper">
            <?php echo $form->field(new LoginForm(), 'username', [ 'template' => "{label}\n{input}\n{error}" ])
                ->label('Логин')
                ->textInput (['class'=> 'custom-input-2']); ?>
        </div>

        <div class="input-blocks-wrapper">
            <?php echo $form->field(new LoginForm(), 'password', [ 'template' => "{label}\n{input}\n{error}" ])
                ->label('Пароль')
                ->textInput (['class'=> 'custom-input-2','type'=>'password']); ?>
        </div>

        <div class="login-check-remember">
            <?php echo $form->field(new LoginForm(), 'rememberMe', [ 'template' => "{input}\n{label}\n{error}" ])
                ->label('<span></span>Запомнить меня')
                ->checkbox([
                    'class'    => 'custom-check',
                    'checked' => 'checked',
                ], false); ?>
        </div>

        <div class="form-actions style">
            <?php echo Html::submitButton('Вход', [ 'class' => 'login-button' ]); ?>
        </div>
        <div class="style" style="margin-top: 14px; font-size: 13px; text-decoration: underline; text-align: center">
            <?= Html::a('Забыли пароль?', [ 'site/request-password-reset' ]) ?>
        </div>
        <div class="style" style="margin-top: 9px; font-size: 13px; text-decoration: underline; text-align: center">
            <?= Html::a('Регистрация', [ 'site/registration' ]) ?>
        </div>

        <?php ActiveForm::end(); ?>

        <div class="res_form_line new-res_form_line"></div>
    </div>
</div>