--
-- PostgreSQL database dump
--

-- Dumped from database version 9.4.4
-- Dumped by pg_dump version 9.4.4
-- Started on 2016-01-15 15:34:47

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 222 (class 3079 OID 11855)
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- TOC entry 2597 (class 0 OID 0)
-- Dependencies: 222
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


--
-- TOC entry 224 (class 3079 OID 17321)
-- Name: hstore; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS hstore WITH SCHEMA public;


--
-- TOC entry 2598 (class 0 OID 0)
-- Dependencies: 224
-- Name: EXTENSION hstore; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION hstore IS 'data type for storing sets of (key, value) pairs';


--
-- TOC entry 223 (class 3079 OID 17444)
-- Name: intarray; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS intarray WITH SCHEMA public;


--
-- TOC entry 2599 (class 0 OID 0)
-- Dependencies: 223
-- Name: EXTENSION intarray; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION intarray IS 'functions, operators, and index support for 1-D arrays of integers';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 191 (class 1259 OID 83922)
-- Name: admin_menu; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE admin_menu (
    admin_menu_id integer NOT NULL,
    admin_menu_pid integer,
    status smallint DEFAULT 0 NOT NULL,
    hide_min smallint DEFAULT 0 NOT NULL,
    sort integer,
    name character varying NOT NULL,
    path character varying,
    param character varying
);


ALTER TABLE admin_menu OWNER TO postgres;

--
-- TOC entry 192 (class 1259 OID 83930)
-- Name: admin_menu_access_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE admin_menu_access_group (
    admin_menu_access_group_id integer NOT NULL,
    admin_menu_id integer NOT NULL,
    "group" character varying NOT NULL
);


ALTER TABLE admin_menu_access_group OWNER TO postgres;

--
-- TOC entry 193 (class 1259 OID 83936)
-- Name: admin_menu_access_group_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE admin_menu_access_group_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE admin_menu_access_group_id_seq OWNER TO postgres;

--
-- TOC entry 2600 (class 0 OID 0)
-- Dependencies: 193
-- Name: admin_menu_access_group_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE admin_menu_access_group_id_seq OWNED BY admin_menu_access_group.admin_menu_access_group_id;


--
-- TOC entry 194 (class 1259 OID 83938)
-- Name: admin_menu_access_user; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE admin_menu_access_user (
    admin_menu_id integer NOT NULL,
    user_id integer NOT NULL,
    admin_menu_access_user_id integer NOT NULL
);


ALTER TABLE admin_menu_access_user OWNER TO postgres;

--
-- TOC entry 195 (class 1259 OID 83941)
-- Name: admin_menu_access_user_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE admin_menu_access_user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE admin_menu_access_user_id_seq OWNER TO postgres;

--
-- TOC entry 2601 (class 0 OID 0)
-- Dependencies: 195
-- Name: admin_menu_access_user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE admin_menu_access_user_id_seq OWNED BY admin_menu_access_user.admin_menu_access_user_id;


--
-- TOC entry 196 (class 1259 OID 83943)
-- Name: admin_menu_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE admin_menu_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE admin_menu_id_seq OWNER TO postgres;

--
-- TOC entry 2602 (class 0 OID 0)
-- Dependencies: 196
-- Name: admin_menu_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE admin_menu_id_seq OWNED BY admin_menu.admin_menu_id;


--
-- TOC entry 203 (class 1259 OID 84041)
-- Name: article; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE article (
    article_id integer NOT NULL,
    sort integer DEFAULT 100 NOT NULL,
    date_add timestamp without time zone DEFAULT now() NOT NULL,
    date_update timestamp without time zone DEFAULT now() NOT NULL,
    code character varying NOT NULL,
    user_id integer NOT NULL,
    tag character varying,
    article_pid integer,
    status smallint DEFAULT 0 NOT NULL,
    comment smallint DEFAULT (0)::smallint NOT NULL,
    vote smallint DEFAULT (0)::smallint NOT NULL
);


ALTER TABLE article OWNER TO postgres;

--
-- TOC entry 204 (class 1259 OID 84054)
-- Name: article_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE article_category (
    article_category_id integer NOT NULL,
    sort integer DEFAULT 100 NOT NULL,
    code character varying NOT NULL,
    date_add time without time zone DEFAULT now() NOT NULL,
    date_update time without time zone DEFAULT now() NOT NULL,
    tag character varying,
    article_category_pid integer,
    status smallint DEFAULT 0 NOT NULL
);


ALTER TABLE article_category OWNER TO postgres;

--
-- TOC entry 213 (class 1259 OID 84273)
-- Name: article_category_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE article_category_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE article_category_id_seq OWNER TO postgres;

--
-- TOC entry 2603 (class 0 OID 0)
-- Dependencies: 213
-- Name: article_category_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE article_category_id_seq OWNED BY article_category.article_category_id;


--
-- TOC entry 205 (class 1259 OID 84064)
-- Name: article_category_lang; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE article_category_lang (
    article_category_lang_id integer NOT NULL,
    language_id integer DEFAULT 0 NOT NULL,
    article_category_id integer,
    text text NOT NULL,
    preview text,
    seo_url character varying,
    name character varying NOT NULL,
    meta_title character varying,
    meta_descr text,
    meta_keyword character varying,
    h1_tag character varying,
    tag character varying
);


ALTER TABLE article_category_lang OWNER TO postgres;

--
-- TOC entry 215 (class 1259 OID 84279)
-- Name: article_category_lang_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE article_category_lang_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE article_category_lang_id_seq OWNER TO postgres;

--
-- TOC entry 2604 (class 0 OID 0)
-- Dependencies: 215
-- Name: article_category_lang_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE article_category_lang_id_seq OWNED BY article_category_lang.article_category_lang_id;


--
-- TOC entry 206 (class 1259 OID 84071)
-- Name: article_category_media; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE article_category_media (
    article_category_media_id integer NOT NULL,
    article_category_id integer NOT NULL,
    media_id integer NOT NULL,
    media_alt character varying,
    media_title character varying,
    media_caption character varying,
    type character varying(10) DEFAULT 'additional'::character varying NOT NULL,
    language_id integer
);


ALTER TABLE article_category_media OWNER TO postgres;

--
-- TOC entry 216 (class 1259 OID 84282)
-- Name: article_category_media_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE article_category_media_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE article_category_media_id_seq OWNER TO postgres;

--
-- TOC entry 2605 (class 0 OID 0)
-- Dependencies: 216
-- Name: article_category_media_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE article_category_media_id_seq OWNED BY article_category_media.article_category_media_id;


--
-- TOC entry 214 (class 1259 OID 84276)
-- Name: article_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE article_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE article_id_seq OWNER TO postgres;

--
-- TOC entry 2606 (class 0 OID 0)
-- Dependencies: 214
-- Name: article_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE article_id_seq OWNED BY article.article_id;


--
-- TOC entry 207 (class 1259 OID 84078)
-- Name: article_lang; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE article_lang (
    article_lang_id integer NOT NULL,
    language_id integer NOT NULL,
    article_id integer NOT NULL,
    text text NOT NULL,
    seo_url character varying,
    name character varying NOT NULL,
    preview text,
    meta_title character varying,
    meta_descr text,
    meta_keyword character varying,
    h1_tag character varying,
    tag character varying
);


ALTER TABLE article_lang OWNER TO postgres;

--
-- TOC entry 217 (class 1259 OID 84285)
-- Name: article_lang_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE article_lang_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE article_lang_id_seq OWNER TO postgres;

--
-- TOC entry 2607 (class 0 OID 0)
-- Dependencies: 217
-- Name: article_lang_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE article_lang_id_seq OWNED BY article_lang.article_lang_id;


--
-- TOC entry 208 (class 1259 OID 84084)
-- Name: article_media; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE article_media (
    article_media_id integer NOT NULL,
    article_id integer NOT NULL,
    media_id integer NOT NULL,
    type character varying(10) DEFAULT 'additional'::character varying NOT NULL,
    media_alt character varying,
    media_title character varying,
    media_caption character varying,
    language_id integer
);


ALTER TABLE article_media OWNER TO postgres;

--
-- TOC entry 218 (class 1259 OID 84288)
-- Name: article_media_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE article_media_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE article_media_id_seq OWNER TO postgres;

--
-- TOC entry 2608 (class 0 OID 0)
-- Dependencies: 218
-- Name: article_media_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE article_media_id_seq OWNED BY article_media.article_media_id;


--
-- TOC entry 212 (class 1259 OID 84120)
-- Name: article_to_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE article_to_category (
    article_id integer,
    article_category_id integer
);


ALTER TABLE article_to_category OWNER TO postgres;

--
-- TOC entry 197 (class 1259 OID 83945)
-- Name: auth_assignment; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE auth_assignment (
    item_name character varying(64) NOT NULL,
    user_id character varying(64) NOT NULL,
    created_at integer
);


ALTER TABLE auth_assignment OWNER TO postgres;

--
-- TOC entry 198 (class 1259 OID 83948)
-- Name: auth_item; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE auth_item (
    name character varying(64) NOT NULL,
    type integer NOT NULL,
    description text,
    rule_name character varying(64),
    data text,
    created_at integer,
    updated_at integer
);


ALTER TABLE auth_item OWNER TO postgres;

--
-- TOC entry 199 (class 1259 OID 83954)
-- Name: auth_item_child; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE auth_item_child (
    parent character varying(64) NOT NULL,
    child character varying(64) NOT NULL
);


ALTER TABLE auth_item_child OWNER TO postgres;

--
-- TOC entry 200 (class 1259 OID 83957)
-- Name: auth_rule; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE auth_rule (
    name character varying(64) NOT NULL,
    data text,
    created_at integer,
    updated_at integer
);


ALTER TABLE auth_rule OWNER TO postgres;

--
-- TOC entry 185 (class 1259 OID 83866)
-- Name: catalog; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE catalog (
    catalog_id integer NOT NULL,
    parent_id integer DEFAULT 0 NOT NULL,
    cover character varying(32),
    status integer DEFAULT 1 NOT NULL,
    sort integer DEFAULT 0 NOT NULL
);


ALTER TABLE catalog OWNER TO postgres;

--
-- TOC entry 186 (class 1259 OID 83872)
-- Name: catalog_i18n; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE catalog_i18n (
    catalog_id integer NOT NULL,
    lang_id integer DEFAULT 1 NOT NULL,
    title character varying(1024) NOT NULL,
    alias character varying(128) NOT NULL,
    meta_title character varying(255),
    meta_keywords character varying(255),
    meta_description character varying(255),
    full_alias character varying(255)
);


ALTER TABLE catalog_i18n OWNER TO postgres;

--
-- TOC entry 187 (class 1259 OID 83879)
-- Name: catalog_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE catalog_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE catalog_id_seq OWNER TO postgres;

--
-- TOC entry 2609 (class 0 OID 0)
-- Dependencies: 187
-- Name: catalog_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE catalog_id_seq OWNED BY catalog.catalog_id;


--
-- TOC entry 172 (class 1259 OID 83741)
-- Name: language; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE language (
    language_id integer NOT NULL,
    language_code character varying(4),
    is_default integer DEFAULT 0,
    language_name character varying(255),
    status integer DEFAULT 0,
    country_code character(4) DEFAULT 0 NOT NULL
);


ALTER TABLE language OWNER TO postgres;

--
-- TOC entry 173 (class 1259 OID 83746)
-- Name: language_lang; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE language_lang (
    language_id integer NOT NULL,
    lang_title character varying(250) NOT NULL,
    lang_id integer NOT NULL
);


ALTER TABLE language_lang OWNER TO postgres;

--
-- TOC entry 174 (class 1259 OID 83749)
-- Name: language_language_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE language_language_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE language_language_id_seq OWNER TO postgres;

--
-- TOC entry 2610 (class 0 OID 0)
-- Dependencies: 174
-- Name: language_language_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE language_language_id_seq OWNED BY language.language_id;


--
-- TOC entry 209 (class 1259 OID 84091)
-- Name: media; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE media (
    media_id integer NOT NULL,
    hash character varying NOT NULL,
    extension character varying
);


ALTER TABLE media OWNER TO postgres;

--
-- TOC entry 221 (class 1259 OID 84297)
-- Name: media_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE media_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE media_id_seq OWNER TO postgres;

--
-- TOC entry 2611 (class 0 OID 0)
-- Dependencies: 221
-- Name: media_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE media_id_seq OWNED BY media.media_id;


--
-- TOC entry 175 (class 1259 OID 83751)
-- Name: menu; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE menu (
    menu_id integer NOT NULL,
    menu_pid integer NOT NULL,
    level integer NOT NULL,
    termin_id integer NOT NULL,
    show integer NOT NULL,
    is_open integer NOT NULL,
    menu_location_id integer NOT NULL,
    sortorder integer NOT NULL,
    name character varying(250) DEFAULT NULL::character varying,
    url character varying(250) DEFAULT NULL::character varying
);


ALTER TABLE menu OWNER TO postgres;

--
-- TOC entry 176 (class 1259 OID 83759)
-- Name: menu_location; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE menu_location (
    menu_location_id integer NOT NULL,
    menu_location_name character varying(250)
);


ALTER TABLE menu_location OWNER TO postgres;

--
-- TOC entry 177 (class 1259 OID 83762)
-- Name: menu_location_lang; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE menu_location_lang (
    menu_location_id integer NOT NULL,
    menu_location_title character varying(250) NOT NULL,
    lang_id integer NOT NULL
);


ALTER TABLE menu_location_lang OWNER TO postgres;

--
-- TOC entry 210 (class 1259 OID 84097)
-- Name: option; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE option (
    model character varying(200) DEFAULT NULL::character varying,
    option_id integer NOT NULL,
    model_id integer,
    name character varying(200) DEFAULT NULL::character varying,
    template character varying(200) DEFAULT NULL::character varying,
    option_pid integer,
    translate bit(1) DEFAULT NULL::"bit",
    date_add timestamp without time zone DEFAULT now()
);


ALTER TABLE option OWNER TO postgres;

--
-- TOC entry 219 (class 1259 OID 84291)
-- Name: option_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE option_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE option_id_seq OWNER TO postgres;

--
-- TOC entry 2612 (class 0 OID 0)
-- Dependencies: 219
-- Name: option_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE option_id_seq OWNED BY option.option_id;


--
-- TOC entry 211 (class 1259 OID 84108)
-- Name: option_lang; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE option_lang (
    option_lang_id integer NOT NULL,
    option_id integer,
    language_id integer,
    value text
);


ALTER TABLE option_lang OWNER TO postgres;

--
-- TOC entry 220 (class 1259 OID 84294)
-- Name: option_lang_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE option_lang_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE option_lang_id_seq OWNER TO postgres;

--
-- TOC entry 2613 (class 0 OID 0)
-- Dependencies: 220
-- Name: option_lang_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE option_lang_id_seq OWNED BY option_lang.option_lang_id;


--
-- TOC entry 201 (class 1259 OID 83963)
-- Name: social; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE social (
    social_name character(255),
    social_user_id integer,
    user_id integer,
    social_id integer NOT NULL
);


ALTER TABLE social OWNER TO postgres;

--
-- TOC entry 202 (class 1259 OID 83966)
-- Name: social_social_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE social_social_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE social_social_id_seq OWNER TO postgres;

--
-- TOC entry 2614 (class 0 OID 0)
-- Dependencies: 202
-- Name: social_social_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE social_social_id_seq OWNED BY social.social_id;


--
-- TOC entry 178 (class 1259 OID 83765)
-- Name: termin; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE termin (
    termin_id integer NOT NULL,
    termin_name character varying(250),
    is_book integer
);


ALTER TABLE termin OWNER TO postgres;

--
-- TOC entry 188 (class 1259 OID 83881)
-- Name: termin_book; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE termin_book (
    termin_book_id integer NOT NULL,
    termin_book_name character varying(250),
    sortorder integer
);


ALTER TABLE termin_book OWNER TO postgres;

--
-- TOC entry 189 (class 1259 OID 83884)
-- Name: termin_book_book_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE termin_book_book_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE termin_book_book_id_seq OWNER TO postgres;

--
-- TOC entry 2615 (class 0 OID 0)
-- Dependencies: 189
-- Name: termin_book_book_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE termin_book_book_id_seq OWNED BY termin_book.termin_book_id;


--
-- TOC entry 190 (class 1259 OID 83886)
-- Name: termin_book_lang; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE termin_book_lang (
    termin_book_id integer NOT NULL,
    lang_id integer NOT NULL,
    termin_book_title character varying(250)
);


ALTER TABLE termin_book_lang OWNER TO postgres;

--
-- TOC entry 179 (class 1259 OID 83768)
-- Name: termin_lang; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE termin_lang (
    termin_id integer NOT NULL,
    language_id integer NOT NULL,
    termin_title character varying(250),
    termin_alias character varying(250)
);


ALTER TABLE termin_lang OWNER TO postgres;

--
-- TOC entry 180 (class 1259 OID 83774)
-- Name: termin_relation; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE termin_relation (
    termin_id integer,
    termin_id_related integer
);


ALTER TABLE termin_relation OWNER TO postgres;

--
-- TOC entry 181 (class 1259 OID 83777)
-- Name: termin_structure; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE termin_structure (
    termin_id integer NOT NULL,
    termin_pid integer NOT NULL
);


ALTER TABLE termin_structure OWNER TO postgres;

--
-- TOC entry 182 (class 1259 OID 83780)
-- Name: termin_termin_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE termin_termin_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE termin_termin_id_seq OWNER TO postgres;

--
-- TOC entry 2616 (class 0 OID 0)
-- Dependencies: 182
-- Name: termin_termin_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE termin_termin_id_seq OWNED BY termin.termin_id;


--
-- TOC entry 183 (class 1259 OID 83782)
-- Name: user; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "user" (
    id integer NOT NULL,
    username character varying,
    lastname character varying,
    firstname character varying,
    middlename character varying,
    auth_key character varying(32),
    password_hash character varying,
    password_reset_token character varying,
    email character varying,
    status smallint,
    created_at integer,
    updated_at integer
);


ALTER TABLE "user" OWNER TO postgres;

--
-- TOC entry 184 (class 1259 OID 83788)
-- Name: user_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE user_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE user_id_seq OWNER TO postgres;

--
-- TOC entry 2617 (class 0 OID 0)
-- Dependencies: 184
-- Name: user_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE user_id_seq OWNED BY "user".id;


--
-- TOC entry 2247 (class 2604 OID 91932)
-- Name: admin_menu_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY admin_menu ALTER COLUMN admin_menu_id SET DEFAULT nextval('admin_menu_id_seq'::regclass);


--
-- TOC entry 2248 (class 2604 OID 91933)
-- Name: admin_menu_access_group_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY admin_menu_access_group ALTER COLUMN admin_menu_access_group_id SET DEFAULT nextval('admin_menu_access_group_id_seq'::regclass);


--
-- TOC entry 2249 (class 2604 OID 91934)
-- Name: admin_menu_access_user_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY admin_menu_access_user ALTER COLUMN admin_menu_access_user_id SET DEFAULT nextval('admin_menu_access_user_id_seq'::regclass);


--
-- TOC entry 2257 (class 2604 OID 91935)
-- Name: article_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article ALTER COLUMN article_id SET DEFAULT nextval('article_id_seq'::regclass);


--
-- TOC entry 2262 (class 2604 OID 91936)
-- Name: article_category_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category ALTER COLUMN article_category_id SET DEFAULT nextval('article_category_id_seq'::regclass);


--
-- TOC entry 2264 (class 2604 OID 91937)
-- Name: article_category_lang_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category_lang ALTER COLUMN article_category_lang_id SET DEFAULT nextval('article_category_lang_id_seq'::regclass);


--
-- TOC entry 2266 (class 2604 OID 91938)
-- Name: article_category_media_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category_media ALTER COLUMN article_category_media_id SET DEFAULT nextval('article_category_media_id_seq'::regclass);


--
-- TOC entry 2267 (class 2604 OID 91939)
-- Name: article_lang_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_lang ALTER COLUMN article_lang_id SET DEFAULT nextval('article_lang_id_seq'::regclass);


--
-- TOC entry 2269 (class 2604 OID 91940)
-- Name: article_media_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_media ALTER COLUMN article_media_id SET DEFAULT nextval('article_media_id_seq'::regclass);


--
-- TOC entry 2242 (class 2604 OID 83889)
-- Name: catalog_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY catalog ALTER COLUMN catalog_id SET DEFAULT nextval('catalog_id_seq'::regclass);


--
-- TOC entry 2234 (class 2604 OID 91941)
-- Name: language_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY language ALTER COLUMN language_id SET DEFAULT nextval('language_language_id_seq'::regclass);


--
-- TOC entry 2270 (class 2604 OID 91942)
-- Name: media_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY media ALTER COLUMN media_id SET DEFAULT nextval('media_id_seq'::regclass);


--
-- TOC entry 2276 (class 2604 OID 91943)
-- Name: option_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY option ALTER COLUMN option_id SET DEFAULT nextval('option_id_seq'::regclass);


--
-- TOC entry 2277 (class 2604 OID 91944)
-- Name: option_lang_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY option_lang ALTER COLUMN option_lang_id SET DEFAULT nextval('option_lang_id_seq'::regclass);


--
-- TOC entry 2250 (class 2604 OID 91945)
-- Name: social_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY social ALTER COLUMN social_id SET DEFAULT nextval('social_social_id_seq'::regclass);


--
-- TOC entry 2237 (class 2604 OID 91946)
-- Name: termin_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY termin ALTER COLUMN termin_id SET DEFAULT nextval('termin_termin_id_seq'::regclass);


--
-- TOC entry 2244 (class 2604 OID 91947)
-- Name: termin_book_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY termin_book ALTER COLUMN termin_book_id SET DEFAULT nextval('termin_book_book_id_seq'::regclass);


--
-- TOC entry 2238 (class 2604 OID 91948)
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "user" ALTER COLUMN id SET DEFAULT nextval('user_id_seq'::regclass);


--
-- TOC entry 2559 (class 0 OID 83922)
-- Dependencies: 191
-- Data for Name: admin_menu; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY admin_menu (admin_menu_id, admin_menu_pid, status, hide_min, sort, name, path, param) FROM stdin;
15	\N	1	0	1	Текстовые материалы	\N	\N
16	15	1	0	1	Статьи	/blog/article	\N
17	15	1	0	1	Категории	/blog/category	\N
\.


--
-- TOC entry 2560 (class 0 OID 83930)
-- Dependencies: 192
-- Data for Name: admin_menu_access_group; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY admin_menu_access_group (admin_menu_access_group_id, admin_menu_id, "group") FROM stdin;
\.


--
-- TOC entry 2618 (class 0 OID 0)
-- Dependencies: 193
-- Name: admin_menu_access_group_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('admin_menu_access_group_id_seq', 1, false);


--
-- TOC entry 2562 (class 0 OID 83938)
-- Dependencies: 194
-- Data for Name: admin_menu_access_user; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY admin_menu_access_user (admin_menu_id, user_id, admin_menu_access_user_id) FROM stdin;
\.


--
-- TOC entry 2619 (class 0 OID 0)
-- Dependencies: 195
-- Name: admin_menu_access_user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('admin_menu_access_user_id_seq', 1, false);


--
-- TOC entry 2620 (class 0 OID 0)
-- Dependencies: 196
-- Name: admin_menu_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('admin_menu_id_seq', 20, true);


--
-- TOC entry 2571 (class 0 OID 84041)
-- Dependencies: 203
-- Data for Name: article; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY article (article_id, sort, date_add, date_update, code, user_id, tag, article_pid, status, comment, vote) FROM stdin;
\.


--
-- TOC entry 2572 (class 0 OID 84054)
-- Dependencies: 204
-- Data for Name: article_category; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY article_category (article_category_id, sort, code, date_add, date_update, tag, article_category_pid, status) FROM stdin;
2	100	static	15:22:39.027	15:22:39.027	\N	\N	1
\.


--
-- TOC entry 2621 (class 0 OID 0)
-- Dependencies: 213
-- Name: article_category_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('article_category_id_seq', 2, true);


--
-- TOC entry 2573 (class 0 OID 84064)
-- Dependencies: 205
-- Data for Name: article_category_lang; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY article_category_lang (article_category_lang_id, language_id, article_category_id, text, preview, seo_url, name, meta_title, meta_descr, meta_keyword, h1_tag, tag) FROM stdin;
3	1	2	Статические страницы	\N	\N	Статические страницы	\N	\N	\N	\N	\N
\.


--
-- TOC entry 2622 (class 0 OID 0)
-- Dependencies: 215
-- Name: article_category_lang_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('article_category_lang_id_seq', 3, true);


--
-- TOC entry 2574 (class 0 OID 84071)
-- Dependencies: 206
-- Data for Name: article_category_media; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY article_category_media (article_category_media_id, article_category_id, media_id, media_alt, media_title, media_caption, type, language_id) FROM stdin;
\.


--
-- TOC entry 2623 (class 0 OID 0)
-- Dependencies: 216
-- Name: article_category_media_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('article_category_media_id_seq', 1, true);


--
-- TOC entry 2624 (class 0 OID 0)
-- Dependencies: 214
-- Name: article_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('article_id_seq', 1, true);


--
-- TOC entry 2575 (class 0 OID 84078)
-- Dependencies: 207
-- Data for Name: article_lang; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY article_lang (article_lang_id, language_id, article_id, text, seo_url, name, preview, meta_title, meta_descr, meta_keyword, h1_tag, tag) FROM stdin;
\.


--
-- TOC entry 2625 (class 0 OID 0)
-- Dependencies: 217
-- Name: article_lang_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('article_lang_id_seq', 1, true);


--
-- TOC entry 2576 (class 0 OID 84084)
-- Dependencies: 208
-- Data for Name: article_media; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY article_media (article_media_id, article_id, media_id, type, media_alt, media_title, media_caption, language_id) FROM stdin;
\.


--
-- TOC entry 2626 (class 0 OID 0)
-- Dependencies: 218
-- Name: article_media_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('article_media_id_seq', 1, true);


--
-- TOC entry 2580 (class 0 OID 84120)
-- Dependencies: 212
-- Data for Name: article_to_category; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY article_to_category (article_id, article_category_id) FROM stdin;
\.


--
-- TOC entry 2565 (class 0 OID 83945)
-- Dependencies: 197
-- Data for Name: auth_assignment; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY auth_assignment (item_name, user_id, created_at) FROM stdin;
CHUVAK	3	1451029941
\.


--
-- TOC entry 2566 (class 0 OID 83948)
-- Dependencies: 198
-- Data for Name: auth_item; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY auth_item (name, type, description, rule_name, data, created_at, updated_at) FROM stdin;
site/index	2	Админка: Panel	\N	\N	1451029912	1451029912
CHUVAK	1	Чувак	\N	\N	1451029928	1451030016
\.


--
-- TOC entry 2567 (class 0 OID 83954)
-- Dependencies: 199
-- Data for Name: auth_item_child; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY auth_item_child (parent, child) FROM stdin;
\.


--
-- TOC entry 2568 (class 0 OID 83957)
-- Dependencies: 200
-- Data for Name: auth_rule; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY auth_rule (name, data, created_at, updated_at) FROM stdin;
\.


--
-- TOC entry 2553 (class 0 OID 83866)
-- Dependencies: 185
-- Data for Name: catalog; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY catalog (catalog_id, parent_id, cover, status, sort) FROM stdin;
1	0		1	10
314	1	a86cdca816e861b7126e3bd862849907	1	10
360	313	2f6d6300b3e46a984607a7de31b9f6f5	1	4
500	1	db18f1ac03dd7df51521346fdffe178e	1	0
5	2	f39f59a2372134f0a234bec00196e037	1	70
356	312	2aa426186b7cc1166d713bdd5acd5198	1	1
420	311	beb951beef428c443e311d612eea70de	1	14
429	313	3b6b0ee9cd34df727c7908bbf6b164e3	1	5
464	311	e0bca211e018f9dd33839c19a55dc69a	1	16
503	2	342d5d65322043c0592afd58bd67f640	1	0
4	0	1d570fc53882f89cdca63dcc0e36f9fd	1	40
501	310	c6da3851260f1f8b7b8bd15bf22fcf55	1	0
414	311	3b8998335be163dd6da9cf03d223161a	1	2
508	507		1	0
317	5	e64447c583e7dfdd3e47dbb7c8c6175c	1	0
361	313	0b05c19c0d88a4d5b18dc6d894e6fa9c	1	7
423	311	5d863a048576d742b63317a63db8b9ba	1	3
3	0		1	30
407	313	b5886a3df55fa7cf394f30f015b9919e	1	3
318	3	852e6ab206e52f32dfaf5b2f25885b2c	1	10
426	313	5dd82c57bae0a9383523fba1d9437530	1	16
351	310	e2fd439ea00e57535118438d716a40a4	1	44
465	311	7a1cf8992d6703f4fbb84ff3576c0e7d	1	19
425	313	b97da7768db34a2bcb2f678388222d2d	1	15
7	-1	\N	1	0
468	313	5957a30acd7cc7ec24b0d09a7a0cb8a9	1	13
364	313	3939ded7a340396e0e695d8e0ac366e5	1	21
416	4	06f96e48837c219aeba9a36c6f7bff74	1	20
474	471	45c01f63ba3eac9cc854a5a50481441b	1	120
319	3	c3aafb13358c0d80cde59bc6642f0079	1	20
369	313	08b4ce04e07f2622daef3c9902cc545a	1	37
365	313	2475d9eaf2cb76bc84ed1dc97cd9eb70	1	25
499	312	9f85054926f425eb0fe150289d8300cb	1	0
430	313	c0e71e3360753c2db33c5f25f2cf0144	1	10
409	312	aa404dd70a98016dc18ce86ba45dd9c8	1	5
2	0		1	20
505	3	528b7a793bd403db5007bc7513ec9c2f	1	0
405	313	3ec4682e1dc5d526829da5a0082331b5	1	9
507	0		1	0
302	1	42bbe35fea913831736036607696ed4f	1	260
502	1	aa33eaa51b6971b39b9d7a0e5b20f0f1	1	0
417	311	c9b76cdf3e65b3f5111fb0e0b8d4bda2	1	7
307	1	fa4083cf4bfd8cd8d6712c8865ecb59c	1	40
473	471	c4eea90688c384aff846fd0f372e5f02	1	100
308	1	e5f511a0d3ec84fbe949505b6bacb747	1	180
476	471	234488c65d17cee0cd51c0fa6689409f	1	130
309	1	04d31e091f9f19111571e7bc521da958	1	20
322	1	83cab130683d5bebdf2724e7653071ab	1	50
325	1	37f61c354cb06de9a95a944b78dd3d13	1	220
341	1	eaae2bf66d4703a07dc45e8f7612de75	1	120
340	1	80f8881be6b65813757b85f9f4ce85ef	1	130
422	311	fa1107964fc9ba2903dfa75bf60c6cb6	1	15
494	471	7b8dde09e19df6967d33ba8acea0b545	1	40
484	479	45cd97db0e9918673436015621473da4	1	0
481	479	173d6d7184a08ad4aab1a43f6b57315b	1	10
428	313	a4bf15a031ddf961608f83a8b5a59dac	1	12
444	310	3887e92439187088e6d5f6e0607677bb	1	31
490	471	35da46429eba293a02a10beddf8521f5	1	10
486	310	72d95d7ad5d04cdd822b70ff9c3d5d90	1	22
315	4	1d570fc53882f89cdca63dcc0e36f9fd	1	10
367	313	af907b8b8a9f320340b7dc168ba7ce0a	1	30
485	313	ab83801724d061331ca1ab115688f2b1	1	26
443	313	60567bfe4a321c54778edf0ae5fc6ecf	1	29
478	310	a1d8526dd6bbdd3a0fe2ef4b677f2adb	1	30
310	2	53f2f3deedb602a0201e3de26c7f4720	1	10
471	2	dd44ab9348441a03d05a20d49c72099f	1	60
479	0		1	60
432	313	e9d9b418971bf4267bb5ea5242ca98a5	1	11
384	310	72e8600bbea953e06def60d23d7e681f	1	12
312	2	cb894bbb88b83ee982938c99b7919c90	1	20
411	312	6bb52f2ed6d2e8297620148c1dd8ce0b	1	8
477	310	9b76608b4eac1a1b1fbb6366279e27b2	1	46
366	313	e23946ee098ee0933883df904d7ca92c	1	27
441	313	6f633b5953ec9fb90278b8aabef9073b	1	18
313	2	2fb524a16a98347619e5214463c47837	1	30
316	5	e382c447a3649b33690f50b57aac3275	1	0
504	1	494308e419afefa1c90c3fbad1e44c27	1	0
480	479	8dc615d8b0d97a57c526548379c6a729	1	100
492	471	5a3b17c28b8d1cec751ca15c01a65f22	1	20
493	471	dd44ab9348441a03d05a20d49c72099f	1	50
442	313	c5b93e19e0b29ffe08eeb9688d68184a	1	24
383	310	8e820420b82ba3df24394bf88ab91147	1	11
482	479	9ed319224fae76a964a08f03fb312f47	1	0
466	313	a2a861406cf4f02a38b47b89aec733bc	1	28
304	1	4855cabc159ad25b6ad3c69eb0f719d2	1	280
489	479	af496fe78176a59bc130cb7614f6af97	1	0
410	312	ef2e3c69e2689e858876afce14350d38	1	2
362	313	20b4a9ecab2f76ae158867bc1524abe5	1	19
475	471	7df65552edefd5d1455085c9e1f3c1e4	1	110
311	2	c52ca7a300683dd5c6ba9554003347e6	1	40
491	471	cdde3f0b854ea6233c4d67fc8b85ff86	1	30
386	310	85b49aee51415f202a165b258663ce2f	1	14
385	310	8d763ffe2e71c3039b1bc4e6a1af6310	1	13
6	0	59045541d4ee79244155d87136c0d765	1	50
440	313	06ff041f50615dc2f59591040df2468c	1	14
321	1	b0354f137dbef3450933b57e240f1258	1	80
363	313	e8a58b648b0fe1e82afc7ca4325aaef3	1	20
342	311	81dd0f6f9ebf5d4e365c9490b1ad1368	1	17
381	310	035af82c2a9940466310b31601575d5e	1	9
483	312	496cd76cf74c5a4b3c1c92435def5585	1	4
305	1	739ae151b905eca586fd72852af07a8e	1	30
357	312	0fcc5b5b773eab43ed5fafb7f69bc8bb	1	6
427	313	10036655778a558b4a427833aa4765b8	1	17
343	311	a86e60fea62911fdb504cf5292e296fb	1	1
320	6	59045541d4ee79244155d87136c0d765	1	0
498	313	eab7b7785ab65d3445eb94de194fb361	1	0
469	313	d46227f90963c873580b64f0f102764b	1	35
424	313	5b7d8639fa2fcfe748e609a0d51659d0	1	6
382	310	e0afa82f2c7c590bec8611792b5aa61c	1	10
303	1	a4a3800928b2b631d8ebd2027821bc27	1	270
323	1	03566caf6adcb0279163cca11890e764	1	60
324	1	b66f455e2a249170527b74ff2ec96654	1	70
327	1	e4d10b6010efe1cd148b6e8225661c72	1	100
328	1	adc11390ae3a161ee6d5763b3681aeec	1	110
390	310	c48ec3e0a5d24da30462670604be2319	1	19
329	1	a1370d96a6db9c95c43626f354763528	1	170
330	1	231da0eb79ecbac0d79d6b9957d96bc7	1	140
339	1	987ade276e3cf9a38d39e4ff3b94c27c	1	150
389	310	5961b22fc0822a0eff6ac3431033e2ec	1	18
338	1	203ae14e840f56e6cdd5ab4d4c6905cb	1	160
337	1	9c1c89a945a4b76a114ba2e0b8afddbe	1	190
336	1	ea73901ea56199b71d4b14a6a980a48f	1	310
335	1	40b9943f18ec46f85ecbe5ab62936b93	1	200
392	310	a16d96b31a614e44f093e186312cb440	1	21
326	1	195a6cc0838249a5a95a4b416b708b42	1	90
334	1	299868682db7da738a0ea27104c94ac0	1	210
402	310	7411cffccdc83f0ae2731ec37fec72f4	1	35
332	1	42786a5ab258e8d8e33429ebdcd488be	1	240
306	1	230f1bce5670d611a2d0422585c38b28	1	300
421	311	b75bd396f787e10fdffcaef73112c993	1	13
472	310	041ff1a51580cb27d851e4597b667f6f	1	48
391	310	3c93029d35816f535a5ce3f28b5f0c3e	1	20
470	313	2133c684296cc56910496380ad256435	1	36
396	310	a3addf1e476826527ad9ff54befdb137	1	25
408	310	d16a78a180366dba71e94764c7250090	1	16
368	313	4d8695f9e79231f8aa018dd0356823eb	1	34
376	310	c3aa6ff3b91ac85cfd8cc9360172e359	1	3
359	313	c2ff7d9e432743bd400a65de76a38f12	1	2
495	313	05fd7985eb0561ea8df3d4d62d85452e	1	0
344	311	dfefaae6fcdd670499669af84c7f15b1	1	18
358	313	b9f1f4090377962bd321b9a15fc4a7c0	1	1
345	311	cd27bc4c4d85edbaa7dc3835bf712b7c	1	9
373	313	07afb8aad58c23e569d69a4bd1a83c65	1	33
447	313	7d0b0852cc9e6b30db07f47a87ca1e3d	1	8
413	312	793ecb42cc9ba60860166c2d8b57ee58	1	3
446	313	1e16501910fc0a68d89985ae8b0b6144	1	32
406	310	67b10c6ff02ad4c4fa5b137aeffc3424	1	22
400	310	4eacac0724dd0f23f395db2617917ed7	1	42
333	1	accf58010805fed607c5edbe9776262d	1	230
331	1	9036ed0c936c754afc175640ef956276	1	290
301	1	49709a7174d3d5e19fe4aa6950fd8b61	1	250
488	310	e6d3be42662dcb90a22b39dfdc1dc102	1	0
379	310	643f353b312e6c0958d174c8b5af5916	1	7
449	310	8f5a81fd78040b1731338d0e486a6342	1	27
352	310	e485db1a69d72e418f9fa26b29bfc1ea	1	41
349	310	e242a27198e1d81cf11b466e26b98210	1	47
403	310	131accbe820b92818ba5e13a31e64e0c	1	43
394	310	3d326c7435c0d9a931588413db503d74	1	23
348	311	48536c6e3df7fe4933325fe983950748	1	5
347	311	b5e0555765e3928ba40840a47fa5f4c1	1	4
418	311	0dbb654f517f17431785106cf97e236d	1	8
387	310	a1c7e76a0cb80c9d3eda86a2e5775767	1	15
454	311	e758ba3a1940316f4d1b153d9c224d0e	1	0
459	310	3a5c469200ddceb5991daf6d6cc14248	1	39
448	310	44e67ba3b1aafade714e994ded15b58b	1	4
346	311	ee398befead5339909c9881a26b4e709	1	12
506	479	9885290dd6ddf9c79c818a2aa121f09b	1	60
388	310	62e75eb9aac96b47845b3b5363b31bb2	1	17
378	310	01d7f411c0f2173079b9a9878c719d49	1	6
397	310	0183eaba4fe0c472340dbc60a1914a9d	1	28
350	310	6a603cbcfba99626293efe1352910eee	1	45
398	310	af098cbaa5609c83af3755ca05a168c5	1	32
401	310	4162918ffd6e1399c66cd5460f267d1d	1	34
450	310	50ef8013934e17dbb28b3652f232fd94	1	29
458	310	c7172400254aeb48ae32271d3555614f	1	37
395	310	ba18197ebb046a82b566d20d4e5424fc	1	24
374	310	9b2d6678ab4b0a35100a0f6068d52324	1	1
412	312	e684e44e63f7ee26107a4eb6e4f0e52d	1	7
370	313	7d2d5a6e3abca1f173c9de88ddbf0751	1	23
372	313	364449f8ea9626587992fc39df1d0000	1	22
371	310	35baa9641207a42038f589aa88323eba	1	36
380	310	45bfd418d530b803b2f9355ada229f45	1	8
353	310	93f94af28825189649ecd620cbd9f426	1	38
399	311	adc2518af74bb3517ae684b1c6b5a19d	1	11
460	310	e1614e4806bd73ea9e5e9e7c4fb1942b	1	40
415	311	f1fb4a4dacd99063bf034e5dea573980	1	6
355	310	75caf3231eafb29183e9d1325f1edee8	1	31
377	310	efce4ef92ac6e39cc7453885043af125	1	5
354	310	e7fed88f1941c6d2ecea0f616c05ab64	1	33
393	310	9ca8b9d8bbcae8f0d4d1ac9b44a0f7a9	1	26
419	311	cb7ab1b365a28932850222bddef1cfd0	1	10
375	310	b24f5b2885d1a54f4ef690017e352aa3	1	2
404	2	8a75bb107bd778510e9211b1be02976b	1	50
\.


--
-- TOC entry 2554 (class 0 OID 83872)
-- Dependencies: 186
-- Data for Name: catalog_i18n; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY catalog_i18n (catalog_id, lang_id, title, alias, meta_title, meta_keywords, meta_description, full_alias) FROM stdin;
343	2	Абутилон	abutilon_1c_22	Абутилон	Абутилон	Абутилон	/semena_tsvetov_1c_20--komnatnye_1c_21/abutilon_1c_22
337	1	Кукурудза цукрова	kukurudza_tsukrova_1c1	Кукурудза цукрова	Кукурудза цукрова	Кукурудза цукрова	/nasinnja_ovochiv_1c0/kukurudza_tsukrova_1c1
506	1	Преса	presa_1c1	Преса	Преса	Преса	/tovari_dlja_sadu_ta_gorodu_1c0/presa_1c1
499	2	Незабудка	nezabudka_1c_22	Незабудка	Незабудка	Незабудка	/semena_tsvetov_1c_20--dvuletniki_1c_21/nezabudka_1c_22
506	2	Пресса	presa_1c_21	Пресса	Пресса	Пресса	/tovary_dlja_sada_i_ogoroda_1c_20/presa_1c_21
336	1	Цибуля	tsibulja_1c1	Цибуля	Цибуля	Цибуля	/nasinnja_ovochiv_1c0/tsibulja_1c1
354	2	Мимулюс	mimulyus_1c_22	Мимулюс	Мимулюс	Мимулюс	/semena_tsvetov_1c_20--odnoletniki_1c_21/mimulyus_1c_22
333	1	Перець	perets_1c1	Перець	Перець	Перець	/nasinnja_ovochiv_1c0/perets_1c1
331	1	Селера	selera_1c1	Селера	Селера	Селера	/nasinnja_ovochiv_1c0/selera_1c1
396	1	Космея	kosmos_1c2	Космея	Космея	Космея	/nasinnja_kvitiv_1c0--odnorichniki_1c1/kosmos_1c2
392	1	Іпомея	ipomeja_1c2	Іпомея	Іпомея	Іпомея	/nasinnja_kvitiv_1c0--odnorichniki_1c1/ipomeja_1c2
494	1	Кала (весняна колекція)	kala_vesnjana_kolektsija_1c2	Кала (весняна колекція)	Кала (весняна колекція)	Кала (весняна колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/kala_vesnjana_kolektsija_1c2
386	1	Гомфрена	gomfrena_1c2	Гомфрена	Гомфрена	Гомфрена	/nasinnja_kvitiv_1c0--odnorichniki_1c1/gomfrena_1c2
499	1	Незабудка	nezabudka_1c2	Незабудка	Незабудка	Незабудка	/nasinnja_kvitiv_1c0--dvorichniki_1c1/nezabudka_1c2
367	1	Ромашка	romashka_1c2	Ромашка	Ромашка	Ромашка	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/romashka_1c2
391	1	Жоржина	zhorzhina_1c2	Жоржина	Жоржина	Жоржина	/nasinnja_kvitiv_1c0--odnorichniki_1c1/zhorzhina_1c2
479	1	Товари для саду та городу	tovari_dlja_sadu_ta_gorodu_1c0	Товари для саду та городу	Товари для саду та городу	Товари для саду та городу	/tovari_dlja_sadu_ta_gorodu_1c0
425	1	Едельвейс	edelveys_1c2	Едельвейс	Едельвейс	Едельвейс	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/edelveys_1c2
398	2	Матиола	matiola_1c_22	Матиола	Матиола	Матиола	/semena_tsvetov_1c_20--odnoletniki_1c_21/matiola_1c_22
480	1	Грунти та субстрати	inshi_tovari_1c1	Грунти та субстрати	Грунти та субстрати	Грунти та субстрати	/tovari_dlja_sadu_ta_gorodu_1c0/inshi_tovari_1c1
483	1	Лакфіоль	lakfiol_1c2	Лакфіоль	Лакфіоль	Лакфіоль	/nasinnja_kvitiv_1c0--dvorichniki_1c1/lakfiol_1c2
366	2	Платикодон	platikodon_1c_22	Платикодон	Платикодон	Платикодон	/semena_tsvetov_1c_20--mnogoletniki_1c_21/platikodon_1c_22
393	1	Кохія	kokhija_1c2	Кохія	Кохія	Кохія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/kokhija_1c2
426	2	Канна	kanna_1c_22	Канна	Канна	Канна	/semena_tsvetov_1c_20--mnogoletniki_1c_21/kanna_1c_22
368	1	Сон-трава	sontrava_1c2	Сон-трава	Сон-трава	Сон-трава	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/sontrava_1c2
385	1	Годеція	godetsija_1c2	Годеція	Годеція	Годеція	/nasinnja_kvitiv_1c0--odnorichniki_1c1/godetsija_1c2
310	1	Однорічники	odnorichniki_1c1	Однорічники	Однорічники	Однорічники	/nasinnja_kvitiv_1c0--odnorichniki_1c1
394	2	Квамоклит (Мина Лобата)	kvamoklit_1c_22	Квамоклит (Мина Лобата)	Квамоклит (Мина Лобата)	Квамоклит (Мина Лобата)	/semena_tsvetov_1c_20--odnoletniki_1c_21/kvamoklit_1c_22
7	1	Обладнання	obladnannia	Обладнання	Обладнання	Обладнання	/obladnannia
384	1	Геліотроп	geliotrop_1c2	Геліотроп	Геліотроп	Геліотроп	/nasinnja_kvitiv_1c0--odnorichniki_1c1/geliotrop_1c2
7	2	Оборудование	oborudovanie	Оборудование	Оборудование	Оборудование	/oborudovanie
397	1	Лаватера	lavatera_1c2	Лаватера	Лаватера	Лаватера	/nasinnja_kvitiv_1c0--odnorichniki_1c1/lavatera_1c2
389	1	Еустома	eustoma_1c2	Еустома	Еустома	Еустома	/nasinnja_kvitiv_1c0--odnorichniki_1c1/eustoma_1c2
428	1	Дельфініум	delfinium_1c2	Дельфініум	Дельфініум	Дельфініум	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/delfinium_1c2
444	1	Рудбекія	rudbekija_1c2	Рудбекія	Рудбекія	Рудбекія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/rudbekija_1c2
507	1	обладнання	obladnennja_1c0	обладнання	обладнання	обладнання	/obladnennja_1c0
418	1	Кавове дерево	kavove_derevo_1c2	Кавове дерево	Кавове дерево	Кавове дерево	/nasinnja_kvitiv_1c0--kimnatni_1c1/kavove_derevo_1c2
508	1	обладнання	obladnannjax_1c1	обладнання	обладнання	обладнання	/obladnennja_1c0/obladnannjax_1c1
402	1	Молюцелла	molyutsella_1c2	Молюцелла	Молюцелла	Молюцелла	/nasinnja_kvitiv_1c0--odnorichniki_1c1/molyutsella_1c2
372	1	Люпин	lyupin_1c2	Люпин	Люпин	Люпин	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/lyupin_1c2
495	1	Пенстемон	viola_vitrokka_karma_f1x_1c2	Пенстемон	Пенстемон	Пенстемон	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/viola_vitrokka_karma_f1x_1c2
412	1	Наперстянка	naperstjanka_1c2	Наперстянка	Наперстянка	Наперстянка	/nasinnja_kvitiv_1c0--dvorichniki_1c1/naperstjanka_1c2
484	2	Горшки и кашпо	gorshki_i_kashpo_1c_21	Горшки и кашпо	Горшки и кашпо	Горшки и кашпо	/tovary_dlja_sada_i_ogoroda_1c_20/gorshki_i_kashpo_1c_21
409	1	Мальва	malva_1c2	Мальва	Мальва	Мальва	/nasinnja_kvitiv_1c0--dvorichniki_1c1/malva_1c2
401	1	Мірабіліс	mirabilis_1c2	Мірабіліс	Мірабіліс	Мірабіліс	/nasinnja_kvitiv_1c0--odnorichniki_1c1/mirabilis_1c2
480	2	Грунты и субстраты	drugie_tovary_1c_21	Грунты и субстраты	Грунты и субстраты	Грунты и субстраты	/tovary_dlja_sada_i_ogoroda_1c_20/drugie_tovary_1c_21
481	1	Агро-текстиль	agrotekstil_1c1	Агро-текстиль	Агро-текстиль	Агро-текстиль	/tovari_dlja_sadu_ta_gorodu_1c0/agrotekstil_1c1
502	2	Лук озимый	luk_ozimyy_1c_21	Лук озимый	Лук озимый	Лук озимый	/semena_ovoshchey_1c_20/luk_ozimyy_1c_21
501	1	Схізантус	skhizantus_1c2	Схізантус	Схізантус	Схізантус	/nasinnja_kvitiv_1c0--odnorichniki_1c1/skhizantus_1c2
306	1	Томат	tomat_1c1	Томат	Томат	Томат	/nasinnja_ovochiv_1c0/tomat_1c1
501	2	Схизантус	skhizantus_1c_22	Схизантус	Схизантус	Схизантус	/semena_tsvetov_1c_20--odnoletniki_1c_21/skhizantus_1c_22
373	1	Мак східний	sinegolovnik_mikolaychiki_1c2	Мак східний	Мак східний	Мак східний	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/sinegolovnik_mikolaychiki_1c2
413	1	Дзвоники	dzvoniki_1c2	Дзвоники	Дзвоники	Дзвоники	/nasinnja_kvitiv_1c0--dvorichniki_1c1/dzvoniki_1c2
357	1	Маргаритка (Стокротка)	margaritka_stokrotka_1c2	Маргаритка (Стокротка)	Маргаритка (Стокротка)	Маргаритка (Стокротка)	/nasinnja_kvitiv_1c0--dvorichniki_1c1/margaritka_stokrotka_1c2
376	1	Бакопа	bakopa_1c2	Бакопа	Бакопа	Бакопа	/nasinnja_kvitiv_1c0--odnorichniki_1c1/bakopa_1c2
302	1	Редька	redka_1c1	Редька	Редька	Редька	/nasinnja_ovochiv_1c0/redka_1c1
366	1	Платикодон	platikodon_1c2	Платикодон	Платикодон	Платикодон	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/platikodon_1c2
313	1	Багаторічники	bagatorichniki_1c1	Багаторічники	Багаторічники	Багаторічники	/nasinnja_kvitiv_1c0--bagatorichniki_1c1
371	1	Петунія	petunija_1c2	Петунія	Петунія	Петунія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/petunija_1c2
365	1	Обрієта	obriyeta_1c2	Обрієта	Обрієта	Обрієта	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/obriyeta_1c2
421	1	Мімоза	mimoza_1c2	Мімоза	Мімоза	Мімоза	/nasinnja_kvitiv_1c0--kimnatni_1c1/mimoza_1c2
406	1	Катарантус	katarantus_1c2	Катарантус	Катарантус	Катарантус	/nasinnja_kvitiv_1c0--odnorichniki_1c1/katarantus_1c2
304	1	Салатний мікс	salatniy_miks_1c1	Салатний мікс	Салатний мікс	Салатний мікс	/nasinnja_ovochiv_1c0/salatniy_miks_1c1
408	1	Гіпоестес	datura_1c2	Гіпоестес	Гіпоестес	Гіпоестес	/nasinnja_kvitiv_1c0--odnorichniki_1c1/datura_1c2
339	1	Капуста савойська	kapusta_savoyska_1c1	Капуста савойська	Капуста савойська	Капуста савойська	/nasinnja_ovochiv_1c0/kapusta_savoyska_1c1
505	2	Профессиональные удобрения	profesiyni_dobriva_1c_21	Профессиональные удобрения	Профессиональные удобрения	Профессиональные удобрения	/udobrenija_i_sredstva_zashchity_1c_20/profesiyni_dobriva_1c_21
423	2	Бальзамин	balzamin_1c_22	Бальзамин	Бальзамин	Бальзамин	/semena_tsvetov_1c_20--komnatnye_1c_21/balzamin_1c_22
502	1	Цибуля озима	tsibulja_ozima_1c1	Цибуля озима	Цибуля озима	Цибуля озима	/nasinnja_ovochiv_1c0/tsibulja_ozima_1c1
338	1	Капуста цвітна	kapusta_tsvitna_1c1	Капуста цвітна	Капуста цвітна	Капуста цвітна	/nasinnja_ovochiv_1c0/kapusta_tsvitna_1c1
342	1	Перікалліс (Цинерарія гібридна)	perikallis_tsinerarija_gibridna_1c2	Перікалліс (Цинерарія гібридна)	Перікалліс (Цинерарія гібридна)	Перікалліс (Цинерарія гібридна)	/nasinnja_kvitiv_1c0--kimnatni_1c1/perikallis_tsinerarija_gibridna_1c2
449	1	Красоля	krasolja_1c2	Красоля	Красоля	Красоля	/nasinnja_kvitiv_1c0--odnorichniki_1c1/krasolja_1c2
351	1	Тютюн	tyutyun_1c2	Тютюн	Тютюн	Тютюн	/nasinnja_kvitiv_1c0--odnorichniki_1c1/tyutyun_1c2
394	1	Квамокліт (Міна Лобата)	kvamoklit_mina_lobata_1c2	Квамокліт (Міна Лобата)	Квамокліт (Міна Лобата)	Квамокліт (Міна Лобата)	/nasinnja_kvitiv_1c0--odnorichniki_1c1/kvamoklit_mina_lobata_1c2
447	1	Асклепіас	asklepias_1c2	Асклепіас	Асклепіас	Асклепіас	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/asklepias_1c2
358	1	Айстра альпійська	aystra_alpiyska_1c2	Айстра альпійська	Айстра альпійська	Айстра альпійська	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/aystra_alpiyska_1c2
419	1	Кальцеолярія	kaltseoljarija_1c2	Кальцеолярія	Кальцеолярія	Кальцеолярія	/nasinnja_kvitiv_1c0--kimnatni_1c1/kaltseoljarija_1c2
470	1	Фізостегія	fizostegija_1c2	Фізостегія	Фізостегія	Фізостегія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/fizostegija_1c2
423	1	Бальзамін	balzamin_1c2	Бальзамін	Бальзамін	Бальзамін	/nasinnja_kvitiv_1c0--kimnatni_1c1/balzamin_1c2
495	2	Пенстемон	penstemon_1c_22	Пенстемон	Пенстемон	Пенстемон	/semena_tsvetov_1c_20--mnogoletniki_1c_21/penstemon_1c_22
321	1	Кавун	kavun_1c1	Кавун	Кавун	Кавун	/nasinnja_ovochiv_1c0/kavun_1c1
488	1	Нагідки	nagidki_1c2	Нагідки	Нагідки	Нагідки	/nasinnja_kvitiv_1c0--odnorichniki_1c1/nagidki_1c2
505	1	Професійні добрива	profesiyni_dobriva_1c1	Професійні добрива	Професійні добрива	Професійні добрива	/dobriva_ta_zasobi_zakhistu_1c0/profesiyni_dobriva_1c1
390	1	Ешольція	esholtsija_1c2	Ешольція	Ешольція	Ешольція	/nasinnja_kvitiv_1c0--odnorichniki_1c1/esholtsija_1c2
323	1	Диня	dinja_1c1	Диня	Диня	Диня	/nasinnja_ovochiv_1c0/dinja_1c1
430	1	Гейхера	geykhera_1c2	Гейхера	Гейхера	Гейхера	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/geykhera_1c2
489	2	Садовый инвентарь	sadovyy_inventar_1c_21	Садовый инвентарь	Садовый инвентарь	Садовый инвентарь	/tovary_dlja_sada_i_ogoroda_1c_20/sadovyy_inventar_1c_21
411	1	Ранункулюс	ranunkulyus_1c2	Ранункулюс	Ранункулюс	Ранункулюс	/nasinnja_kvitiv_1c0--dvorichniki_1c1/ranunkulyus_1c2
464	1	Пентас	pentas_1c2	Пентас	Пентас	Пентас	/nasinnja_kvitiv_1c0--kimnatni_1c1/pentas_1c2
324	1	Кабачок	kabachok_1c1	Кабачок	Кабачок	Кабачок	/nasinnja_ovochiv_1c0/kabachok_1c1
454	2	Циперус	fasolx_1c_22	Циперус	Циперус	Циперус	/semena_tsvetov_1c_20--komnatnye_1c_21/fasolx_1c_22
341	1	Капуста китайська	kapusta_kitayska_1c1	Капуста китайська	Капуста китайська	Капуста китайська	/nasinnja_ovochiv_1c0/kapusta_kitayska_1c1
361	1	Армерія	armerija_1c2	Армерія	Армерія	Армерія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/armerija_1c2
443	1	Прунелла	prunella_1c2	Прунелла	Прунелла	Прунелла	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/prunella_1c2
375	1	Айстра	aystra_1c2	Айстра	Айстра	Айстра	/nasinnja_kvitiv_1c0--odnorichniki_1c1/aystra_1c2
417	1	Жакаранда	zhakaranda_1c2	Жакаранда	Жакаранда	Жакаранда	/nasinnja_kvitiv_1c0--kimnatni_1c1/zhakaranda_1c2
432	1	Гібіскус	gibiskus_1c2	Гібіскус	Гібіскус	Гібіскус	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/gibiskus_1c2
472	2	Бархатцы	strelitsijax_1c_22	Бархатцы	Бархатцы	Бархатцы	/semena_tsvetov_1c_20--odnoletniki_1c_21/strelitsijax_1c_22
6	1	Біопрепарати	biopreparatix_1c0	Біопрепарати	Біопрепарати	Біопрепарати	/biopreparatix_1c0
440	1	Доронікум	doronikum_1c2	Доронікум	Доронікум	Доронікум	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/doronikum_1c2
326	1	Капуста білоголова	kapusta_bilogolova_1c1	Капуста білоголова	Капуста білоголова	Капуста білоголова	/nasinnja_ovochiv_1c0/kapusta_bilogolova_1c1
363	1	Ліхніс	likhnis_1c2	Ліхніс	Ліхніс	Ліхніс	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/likhnis_1c2
5	1	Квіткові суміші	kvitkovi_sumishi_1c1	Квіткові суміші	Квіткові суміші	Квіткові суміші	/nasinnja_kvitiv_1c0--kvitkovi_sumishi_1c1
330	1	Капуста пекінська	kapusta_pekinska_1c1	Капуста пекінська	Капуста пекінська	Капуста пекінська	/nasinnja_ovochiv_1c0/kapusta_pekinska_1c1
320	2	Биопрепарати	biopreparati_1c_21	Биопрепарати	Биопрепарати	Биопрепарати	/biopreparaty_1c_20/biopreparati_1c_21
441	1	Кореопсіс	koreopsis_1c2	Кореопсіс	Кореопсіс	Кореопсіс	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/koreopsis_1c2
398	1	Матіола	matiola_1c2	Матіола	Матіола	Матіола	/nasinnja_kvitiv_1c0--odnorichniki_1c1/matiola_1c2
340	1	Капуста кольрабі	kapusta_kolrabi_1c1	Капуста кольрабі	Капуста кольрабі	Капуста кольрабі	/nasinnja_ovochiv_1c0/kapusta_kolrabi_1c1
2	1	Насіння квітів	nasinnja_kvitiv_1c0	Насіння квітів	Насіння квітів	Насіння квітів	/nasinnja_kvitiv_1c0
448	1	Бальзамін	balzaminx_1c2	Бальзамін	Бальзамін	Бальзамін	/nasinnja_kvitiv_1c0--odnorichniki_1c1/balzaminx_1c2
422	2	Пеларгония	pelargonija_1c_22	Пеларгония	Пеларгония	Пеларгония	/semena_tsvetov_1c_20--komnatnye_1c_21/pelargonija_1c_22
426	1	Канна	kanna_1c2	Канна	Канна	Канна	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/kanna_1c2
374	1	Агератум	ageratum_1c2	Агератум	Агератум	Агератум	/nasinnja_kvitiv_1c0--odnorichniki_1c1/ageratum_1c2
425	2	Эдельвейс	edelveys_1c_22	Эдельвейс	Эдельвейс	Эдельвейс	/semena_tsvetov_1c_20--mnogoletniki_1c_21/edelveys_1c_22
468	2	Колокольчики	kolokolchiki_1c_22	Колокольчики	Колокольчики	Колокольчики	/semena_tsvetov_1c_20--mnogoletniki_1c_21/kolokolchiki_1c_22
416	1	Насіння сидеральних культур	nasinnja_sideralnikh_kultur_1c1	Насіння сидеральних культур	Насіння сидеральних культур	Насіння сидеральних культур	/gazonni_travi_1c0/nasinnja_sideralnikh_kultur_1c1
442	1	Морозник	moroznik_1c2	Морозник	Морозник	Морозник	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/moroznik_1c2
446	1	Сальвія	salvija_1c2	Сальвія	Сальвія	Сальвія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/salvija_1c2
4	1	Газонні трави	gazonni_travi_1c0	Газонні трави	Газонні трави	Газонні трави	/gazonni_travi_1c0
427	1	Кніфофія	knifofija_1c2	Кніфофія	Кніфофія	Кніфофія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/knifofija_1c2
322	1	Горох овочевий	gorokh_ovocheviy_1c1	Горох овочевий	Горох овочевий	Горох овочевий	/nasinnja_ovochiv_1c0/gorokh_ovocheviy_1c1
378	1	Біденс	bidens_1c2	Біденс	Біденс	Біденс	/nasinnja_kvitiv_1c0--odnorichniki_1c1/bidens_1c2
332	1	Пряні та зелені культури	prjani_ta_zeleni_kulturi_1c1	Пряні та зелені культури	Пряні та зелені культури	Пряні та зелені культури	/nasinnja_ovochiv_1c0/prjani_ta_zeleni_kulturi_1c1
303	1	Салат	salat_1c1	Салат	Салат	Салат	/nasinnja_ovochiv_1c0/salat_1c1
380	1	Вербена	verbena_1c2	Вербена	Вербена	Вербена	/nasinnja_kvitiv_1c0--odnorichniki_1c1/verbena_1c2
490	1	Бегонія (весняна колекція)	begonija_vesnjana_kolektsija_1c2	Бегонія (весняна колекція)	Бегонія (весняна колекція)	Бегонія (весняна колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/begonija_vesnjana_kolektsija_1c2
458	1	Портулак	portulak_1c2	Портулак	Портулак	Портулак	/nasinnja_kvitiv_1c0--odnorichniki_1c1/portulak_1c2
318	1	Добрива	dobriva_1c1	Добрива	Добрива	Добрива	/dobriva_ta_zasobi_zakhistu_1c0/dobriva_1c1
342	2	Перикаллис (Цинерария гибридная)	perikallis_tsinerarija_gibridnaja_1c_22	Перикаллис (Цинерария гибридная)	Перикаллис (Цинерария гибридная)	Перикаллис (Цинерария гибридная)	/semena_tsvetov_1c_20--komnatnye_1c_21/perikallis_tsinerarija_gibridnaja_1c_22
317	1	Novaflore	novaflore_1c2	Novaflore	Novaflore	Novaflore	/nasinnja_kvitiv_1c0--kvitkovi_sumishi_1c1/novaflore_1c2
492	1	Гладіолус (весняна колекція)	gladiolus_vesnjana_kolektsija_1c2	Гладіолус (весняна колекція)	Гладіолус (весняна колекція)	Гладіолус (весняна колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/gladiolus_vesnjana_kolektsija_1c2
381	1	Волошка	voloshka_1c2	Волошка	Волошка	Волошка	/nasinnja_kvitiv_1c0--odnorichniki_1c1/voloshka_1c2
491	1	Жоржина (весняна колекція)	zhorzhina_vesnjana_kolektsija_1c2	Жоржина (весняна колекція)	Жоржина (весняна колекція)	Жоржина (весняна колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/zhorzhina_vesnjana_kolektsija_1c2
354	1	Мімулюс	mimulyus_1c2	Мімулюс	Мімулюс	Мімулюс	/nasinnja_kvitiv_1c0--odnorichniki_1c1/mimulyus_1c2
484	1	Горщики і кашпо	gorshchiki_i_kashpo_1c1	Горщики і кашпо	Горщики і кашпо	Горщики і кашпо	/tovari_dlja_sadu_ta_gorodu_1c0/gorshchiki_i_kashpo_1c1
450	1	Лобелія	lobelija_1c2	Лобелія	Лобелія	Лобелія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/lobelija_1c2
357	2	Маргаритка	margaritka_deyzi_1c_22	Маргаритка	Маргаритка	Маргаритка	/semena_tsvetov_1c_20--dvuletniki_1c_21/margaritka_deyzi_1c_22
320	1	Біопрепарати	biopreparati_1c1	Біопрепарати	Біопрепарати	Біопрепарати	/biopreparatix_1c0/biopreparati_1c1
379	1	Брахікома	brakhikoma_1c2	Брахікома	Брахікома	Брахікома	/nasinnja_kvitiv_1c0--odnorichniki_1c1/brakhikoma_1c2
355	1	Мак	mak_1c2	Мак	Мак	Мак	/nasinnja_kvitiv_1c0--odnorichniki_1c1/mak_1c2
377	1	Безсмертник (Геліхризум)	bezsmertnik_gelikhrizum_1c2	Безсмертник (Геліхризум)	Безсмертник (Геліхризум)	Безсмертник (Геліхризум)	/nasinnja_kvitiv_1c0--odnorichniki_1c1/bezsmertnik_gelikhrizum_1c2
382	1	Газанія	gazanija_1c2	Газанія	Газанія	Газанія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/gazanija_1c2
485	1	Перовскія	perovskija_1c2	Перовскія	Перовскія	Перовскія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/perovskija_1c2
486	1	Калібрахоа	kalibrakhoa_1c2	Калібрахоа	Калібрахоа	Калібрахоа	/nasinnja_kvitiv_1c0--odnorichniki_1c1/kalibrakhoa_1c2
387	1	Горошок	goroshok_1c2	Горошок	Горошок	Горошок	/nasinnja_kvitiv_1c0--odnorichniki_1c1/goroshok_1c2
459	1	Сальвія	salvijax_1c2	Сальвія	Сальвія	Сальвія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/salvijax_1c2
407	1	Аліссум	alissum_1c2	Аліссум	Аліссум	Аліссум	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/alissum_1c2
360	1	Альстремерія	alstremerija_1c2	Альстремерія	Альстремерія	Альстремерія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/alstremerija_1c2
429	1	Арабіс	arabis_1c2	Арабіс	Арабіс	Арабіс	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/arabis_1c2
376	2	Бакопа	bakopa_1c_22	Бакопа	Бакопа	Бакопа	/semena_tsvetov_1c_20--odnoletniki_1c_21/bakopa_1c_22
396	2	Космея	kosmos_1c_22	Космея	Космея	Космея	/semena_tsvetov_1c_20--odnoletniki_1c_21/kosmos_1c_22
347	1	Банан	banan_1c2	Банан	Банан	Банан	/nasinnja_kvitiv_1c0--kimnatni_1c1/banan_1c2
454	1	Циперус	tsiperus_1c2	Циперус	Циперус	Циперус	/nasinnja_kvitiv_1c0--kimnatni_1c1/tsiperus_1c2
311	1	Кімнатні	kimnatni_1c1	Кімнатні	Кімнатні	Кімнатні	/nasinnja_kvitiv_1c0--kimnatni_1c1
373	2	Синеголовник	sinegolovnik_nikolaychiki_1c_22	Синеголовник	Синеголовник	Синеголовник	/semena_tsvetov_1c_20--mnogoletniki_1c_21/sinegolovnik_nikolaychiki_1c_22
397	2	Лаватера	lavatera_1c_22	Лаватера	Лаватера	Лаватера	/semena_tsvetov_1c_20--odnoletniki_1c_21/lavatera_1c_22
410	1	Гвоздика	gvozdika_1c2	Гвоздика	Гвоздика	Гвоздика	/nasinnja_kvitiv_1c0--dvorichniki_1c1/gvozdika_1c2
386	2	Гомфрена	gomfrena_1c_22	Гомфрена	Гомфрена	Гомфрена	/semena_tsvetov_1c_20--odnoletniki_1c_21/gomfrena_1c_22
385	2	Годеция	godetsija_1c_22	Годеция	Годеция	Годеция	/semena_tsvetov_1c_20--odnoletniki_1c_21/godetsija_1c_22
353	1	Ротики садові (Антіррінум)	rotiki_sadovi_antirrinum_1c2	Ротики садові (Антіррінум)	Ротики садові (Антіррінум)	Ротики садові (Антіррінум)	/nasinnja_kvitiv_1c0--odnorichniki_1c1/rotiki_sadovi_antirrinum_1c2
408	2	Гипоэстес	datura_1c_22	Гипоэстес	Гипоэстес	Гипоэстес	/semena_tsvetov_1c_20--odnoletniki_1c_21/datura_1c_22
356	1	Віола	viola_1c2	Віола	Віола	Віола	/nasinnja_kvitiv_1c0--dvorichniki_1c1/viola_1c2
374	2	Агератум	ageratum_1c_22	Агератум	Агератум	Агератум	/semena_tsvetov_1c_20--odnoletniki_1c_21/ageratum_1c_22
416	2	Семена сидеральных культур	semena_sideralnykh_kultur_1c_21	Семена сидеральных культур	Семена сидеральных культур	Семена сидеральных культур	/gazonnye_travy_1c_20/semena_sideralnykh_kultur_1c_21
475	1	Крокуси (осіння колекція)	krokusi_1c2	Крокуси (осіння колекція)	Крокуси (осіння колекція)	Крокуси (осіння колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/krokusi_1c2
383	2	Гвоздика китайская	gvozdika_kitayskaja_1c_22	Гвоздика китайская	Гвоздика китайская	Гвоздика китайская	/semena_tsvetov_1c_20--odnoletniki_1c_21/gvozdika_kitayskaja_1c_22
404	1	gfgddfgjdgfj	jagidni_1c1	Ягідні	Ягідні	Ягідні	/nasinnja_kvitiv_1c0/jagidni_1c1
388	1	Діхондра	dikhondra_1c2	Діхондра	Діхондра	Діхондра	/nasinnja_kvitiv_1c0--odnorichniki_1c1/dikhondra_1c2
403	1	Тунбергія	tunbergija_1c2	Тунбергія	Тунбергія	Тунбергія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/tunbergija_1c2
316	1	Elite серія	elite_serija_1c2	Elite серія	Elite серія	Elite серія	/nasinnja_kvitiv_1c0--kvitkovi_sumishi_1c1/elite_serija_1c2
400	1	Торенія	torenija_1c2	Торенія	Торенія	Торенія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/torenija_1c2
384	2	Гелиотроп	geliotrop_1c_22	Гелиотроп	Гелиотроп	Гелиотроп	/semena_tsvetov_1c_20--odnoletniki_1c_21/geliotrop_1c_22
352	1	Статиця	statitsja_1c2	Статиця	Статиця	Статиця	/nasinnja_kvitiv_1c0--odnorichniki_1c1/statitsja_1c2
403	2	Тунбергия	tunbergija_1c_22	Тунбергия	Тунбергия	Тунбергия	/semena_tsvetov_1c_20--odnoletniki_1c_21/tunbergija_1c_22
466	2	Примула	udobrenija_1c_22	Примула	Примула	Примула	/semena_tsvetov_1c_20--mnogoletniki_1c_21/udobrenija_1c_22
405	1	Гвоздика	gvozdikax_1c2	Гвоздика	Гвоздика	Гвоздика	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/gvozdikax_1c2
400	2	Торения	torenija_1c_22	Торения	Торения	Торения	/semena_tsvetov_1c_20--odnoletniki_1c_21/torenija_1c_22
419	2	Кальцеолярия	kaltseoljarija_1c_22	Кальцеолярия	Кальцеолярия	Кальцеолярия	/semena_tsvetov_1c_20--komnatnye_1c_21/kaltseoljarija_1c_22
343	1	Абутілон	abutilon_1c2	Абутілон	Абутілон	Абутілон	/nasinnja_kvitiv_1c0--kimnatni_1c1/abutilon_1c2
345	1	Кактус	kaktus_1c2	Кактус	Кактус	Кактус	/nasinnja_kvitiv_1c0--kimnatni_1c1/kaktus_1c2
309	1	Боби	bobi_1c1	Боби	Боби	Боби	/nasinnja_ovochiv_1c0/bobi_1c1
399	1	Колеус	koleus_1c2	Колеус	Колеус	Колеус	/nasinnja_kvitiv_1c0--kimnatni_1c1/koleus_1c2
464	2	Пентас	pentas_1c_22	Пентас	Пентас	Пентас	/semena_tsvetov_1c_20--komnatnye_1c_21/pentas_1c_22
399	2	Колеус	koleus_1c_22	Колеус	Колеус	Колеус	/semena_tsvetov_1c_20--komnatnye_1c_21/koleus_1c_22
411	2	Ранункулюс	ranunkulyus_1c_22	Ранункулюс	Ранункулюс	Ранункулюс	/semena_tsvetov_1c_20--dvuletniki_1c_21/ranunkulyus_1c_22
430	2	Гейхера	sredstva_zashchity_1c_22	Гейхера	Гейхера	Гейхера	/semena_tsvetov_1c_20--mnogoletniki_1c_21/sredstva_zashchity_1c_22
422	1	Пеларгонія	pelargonija_1c2	Пеларгонія	Пеларгонія	Пеларгонія	/nasinnja_kvitiv_1c0--kimnatni_1c1/pelargonija_1c2
402	2	Молюцелла	molyutsella_1c_22	Молюцелла	Молюцелла	Молюцелла	/semena_tsvetov_1c_20--odnoletniki_1c_21/molyutsella_1c_22
362	1	Гіпсофіла	leshchitsja_gipsofila_1c2	Гіпсофіла	Гіпсофіла	Гіпсофіла	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/leshchitsja_gipsofila_1c2
390	2	Эшшольция	eshsholtsija_1c_22	Эшшольция	Эшшольция	Эшшольция	/semena_tsvetov_1c_20--odnoletniki_1c_21/eshsholtsija_1c_22
351	2	Табак	tabak_1c_22	Табак	Табак	Табак	/semena_tsvetov_1c_20--odnoletniki_1c_21/tabak_1c_22
449	2	Настурция	nasturtsija_1c_22	Настурция	Настурция	Настурция	/semena_tsvetov_1c_20--odnoletniki_1c_21/nasturtsija_1c_22
346	1	Кроссандра	krossandra_1c2	Кроссандра	Кроссандра	Кроссандра	/nasinnja_kvitiv_1c0--kimnatni_1c1/krossandra_1c2
301	1	Редиска	rediska_1c1	Редиска	Редиска	Редиска	/nasinnja_ovochiv_1c0/rediska_1c1
344	1	Стреліція	strelitsija_1c2	Стреліція	Стреліція	Стреліція	/nasinnja_kvitiv_1c0--kimnatni_1c1/strelitsija_1c2
465	1	Цикламен	tsiklamen_1c2	Цикламен	Цикламен	Цикламен	/nasinnja_kvitiv_1c0--kimnatni_1c1/tsiklamen_1c2
307	1	Гарбуз	garbuz_1c1	Гарбуз	Гарбуз	Гарбуз	/nasinnja_ovochiv_1c0/garbuz_1c1
308	1	Квасоля	kvasolja_1c1	Квасоля	Квасоля	Квасоля	/nasinnja_ovochiv_1c0/kvasolja_1c1
378	2	Биденс	bidens_1c_22	Биденс	Биденс	Биденс	/semena_tsvetov_1c_20--odnoletniki_1c_21/bidens_1c_22
466	1	Примула	primula_1c2	Примула	Примула	Примула	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/primula_1c2
465	2	Цикламен	novaflorex_1c_22	Цикламен	Цикламен	Цикламен	/semena_tsvetov_1c_20--komnatnye_1c_21/novaflorex_1c_22
415	1	Гербера	gerbera_1c2	Гербера	Гербера	Гербера	/nasinnja_kvitiv_1c0--kimnatni_1c1/gerbera_1c2
421	2	Мимоза	mimoza_1c_22	Мимоза	Мимоза	Мимоза	/semena_tsvetov_1c_20--komnatnye_1c_21/mimoza_1c_22
395	1	Кобея	kobeja_1c2	Кобея	Кобея	Кобея	/nasinnja_kvitiv_1c0--odnorichniki_1c1/kobeja_1c2
420	1	Пасіфлора	pasiflora_1c2	Пасіфлора	Пасіфлора	Пасіфлора	/nasinnja_kvitiv_1c0--kimnatni_1c1/pasiflora_1c2
424	2	Аренария	arenarija_1c_22	Аренария	Аренария	Аренария	/semena_tsvetov_1c_20--mnogoletniki_1c_21/arenarija_1c_22
443	2	Прунелла	prunella_1c_22	Прунелла	Прунелла	Прунелла	/semena_tsvetov_1c_20--mnogoletniki_1c_21/prunella_1c_22
503	1	Садженці троянд	sazhentsi_trojand_1c1	Садженці троянд	Садженці троянд	Садженці троянд	/nasinnja_kvitiv_1c0/sazhentsi_trojand_1c1
472	1	Чорнобривці	chornobrivtsi_1c2	Чорнобривці	Чорнобривці	Чорнобривці	/nasinnja_kvitiv_1c0--odnorichniki_1c1/chornobrivtsi_1c2
482	1	Для розсади	dlja_rozsadi_1c1	Для розсади	Для розсади	Для розсади	/tovari_dlja_sadu_ta_gorodu_1c0/dlja_rozsadi_1c1
414	1	Аспарагус	asparagus_1c2	Аспарагус	Аспарагус	Аспарагус	/nasinnja_kvitiv_1c0--kimnatni_1c1/asparagus_1c2
440	2	Дороникум	doronikum_1c_22	Дороникум	Дороникум	Дороникум	/semena_tsvetov_1c_20--mnogoletniki_1c_21/doronikum_1c_22
322	2	Горох овощной	gorokh_ovoshchnoy_1c_21	Горох овощной	Горох овощной	Горох овощной	/semena_ovoshchey_1c_20/gorokh_ovoshchnoy_1c_21
473	1	Гіацинти (осіння колекція)	giatsinti_1c2	Гіацинти (осіння колекція)	Гіацинти (осіння колекція)	Гіацинти (осіння колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/giatsinti_1c2
361	2	Армерия	armerija_1c_22	Армерия	Армерия	Армерия	/semena_tsvetov_1c_20--mnogoletniki_1c_21/armerija_1c_22
427	2	Книфофия	knifofija_1c_22	Книфофия	Книфофия	Книфофия	/semena_tsvetov_1c_20--mnogoletniki_1c_21/knifofija_1c_22
504	1	Часник озимий	chasnik_ozimiy_1c1	Часник озимий	Часник озимий	Часник озимий	/nasinnja_ovochiv_1c0/chasnik_ozimiy_1c1
442	2	Морозник	selderey_1c_22	Морозник	Морозник	Морозник	/semena_tsvetov_1c_20--mnogoletniki_1c_21/selderey_1c_22
363	2	Лихнис	likhnis_1c_22	Лихнис	Лихнис	Лихнис	/semena_tsvetov_1c_20--mnogoletniki_1c_21/likhnis_1c_22
428	2	Дельфиниум	delfinium_1c_22	Дельфиниум	Дельфиниум	Дельфиниум	/semena_tsvetov_1c_20--mnogoletniki_1c_21/delfinium_1c_22
370	1	Льон	lon_1c2	Льон	Льон	Льон	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/lon_1c2
446	2	Сальвия	salvija_1c_22	Сальвия	Сальвия	Сальвия	/semena_tsvetov_1c_20--mnogoletniki_1c_21/salvija_1c_22
500	1	Лікарські трави	likarski_travi_1c1	Лікарські трави	Лікарські трави	Лікарські трави	/nasinnja_ovochiv_1c0/likarski_travi_1c1
498	1	Іберіс	znjati_z_virobnitstva_1c2	Іберіс	Іберіс	Іберіс	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/znjati_z_virobnitstva_1c2
417	2	Жакаранда	zhakaranda_1c_22	Жакаранда	Жакаранда	Жакаранда	/semena_tsvetov_1c_20--komnatnye_1c_21/zhakaranda_1c_22
383	1	Гвоздика китайська	gvozdika_kitayska_1c2	Гвоздика китайська	Гвоздика китайська	Гвоздика китайська	/nasinnja_kvitiv_1c0--odnorichniki_1c1/gvozdika_kitayska_1c2
432	2	Гибискус	gibiskus_1c_22	Гибискус	Гибискус	Гибискус	/semena_tsvetov_1c_20--mnogoletniki_1c_21/gibiskus_1c_22
476	1	Тюльпани (осіння колекція)	tyulpani_1c2	Тюльпани (осіння колекція)	Тюльпани (осіння колекція)	Тюльпани (осіння колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/tyulpani_1c2
471	1	Цибулинні	tsibulinni_1c1	Цибулинні	Цибулинні	Цибулинні	/nasinnja_kvitiv_1c0--tsibulinni_1c1
474	1	Нарциси (осіння колекція)	nartsisi_1c2	Нарциси (осіння колекція)	Нарциси (осіння колекція)	Нарциси (осіння колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/nartsisi_1c2
477	1	Целозія	tselozija_1c2	Целозія	Целозія	Целозія	/nasinnja_kvitiv_1c0--odnorichniki_1c1/tselozija_1c2
369	1	Цинерарія	tsinerarija_1c2	Цинерарія	Цинерарія	Цинерарія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/tsinerarija_1c2
470	2	Физостегия	fizostegija_1c_22	Физостегия	Физостегия	Физостегия	/semena_tsvetov_1c_20--mnogoletniki_1c_21/fizostegija_1c_22
441	2	Кореопсис	koreopsis_1c_22	Кореопсис	Кореопсис	Кореопсис	/semena_tsvetov_1c_20--mnogoletniki_1c_21/koreopsis_1c_22
469	1	Статиця переса	statitsja_peresax_1c2	Статиця переса	Статиця переса	Статиця переса	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/statitsja_peresax_1c2
316	2	Серия Elite	serija_elite_1c_22	Серия Elite	Серия Elite	Серия Elite	/semena_tsvetov_1c_20--tsvetochnye_smesi_1c_21/serija_elite_1c_22
490	2	Бегония (весенняя колекция)	begonija_vesennjaja_kolektsija_1c_22	Бегония (весенняя колекция)	Бегония (весенняя колекция)	Бегония (весенняя колекция)	/semena_tsvetov_1c_20--lukovichnye_1c_21/begonija_vesennjaja_kolektsija_1c_22
329	1	Капуста червоноголова	kapusta_chervonogolova_1c1	Капуста червоноголова	Капуста червоноголова	Капуста червоноголова	/nasinnja_ovochiv_1c0/kapusta_chervonogolova_1c1
492	2	Гладиолус (весенняя колекция)	gladiolus_vesennjaja_kolektsija_1c_22	Гладиолус (весенняя колекция)	Гладиолус (весенняя колекция)	Гладиолус (весенняя колекция)	/semena_tsvetov_1c_20--lukovichnye_1c_21/gladiolus_vesennjaja_kolektsija_1c_22
491	2	Георгина (весенняя колекция)	georgina_vesennjaja_kolektsija_1c_22	Георгина (весенняя колекция)	Георгина (весенняя колекция)	Георгина (весенняя колекция)	/semena_tsvetov_1c_20--lukovichnye_1c_21/georgina_vesennjaja_kolektsija_1c_22
406	2	Катарантус	katarantus_1c_22	Катарантус	Катарантус	Катарантус	/semena_tsvetov_1c_20--odnoletniki_1c_21/katarantus_1c_22
335	1	Морква	morkva_1c1	Морква	Морква	Морква	/nasinnja_ovochiv_1c0/morkva_1c1
493	2	Лилия (весенняя колекция)	lilija_vesennjaja_kolektsija_1c_22	Лилия (весенняя колекция)	Лилия (весенняя колекция)	Лилия (весенняя колекция)	/semena_tsvetov_1c_20--lukovichnye_1c_21/lilija_vesennjaja_kolektsija_1c_22
334	1	Огірок	ogirok_1c1	Огірок	Огірок	Огірок	/nasinnja_ovochiv_1c0/ogirok_1c1
494	2	Кала (весенняя колекция)	kala_vesennjaja_kolektsija_1c_22	Кала (весенняя колекция)	Кала (весенняя колекция)	Кала (весенняя колекция)	/semena_tsvetov_1c_20--lukovichnye_1c_21/kala_vesennjaja_kolektsija_1c_22
3	1	Добрива та засоби захисту	dobriva_ta_zasobi_zakhistu_1c0	Добрива та засоби захисту	Добрива та засоби захисту	Добрива та засоби захисту	/dobriva_ta_zasobi_zakhistu_1c0
1	1	Насіння овочів	nasinnja_ovochiv_1c0	Насіння овочів	Насіння овочів	Насіння овочів	/nasinnja_ovochiv_1c0
474	2	Нарциссы	nartsissy_1c_22	Нарциссы	Нарциссы	Нарциссы	/semena_tsvetov_1c_20--lukovichnye_1c_21/nartsissy_1c_22
319	1	Засоби захисту	zasobi_zakhistu_1c1	Засоби захисту	Засоби захисту	Засоби захисту	/dobriva_ta_zasobi_zakhistu_1c0/zasobi_zakhistu_1c1
475	2	Крокусы	krokusy_1c_22	Крокусы	Крокусы	Крокусы	/semena_tsvetov_1c_20--lukovichnye_1c_21/krokusy_1c_22
325	1	Патиссон	patisson_1c1	Патиссон	Патиссон	Патиссон	/nasinnja_ovochiv_1c0/patisson_1c1
489	1	Садовий інвентар	sadoviy_inventar_1c1	Садовий інвентар	Садовий інвентар	Садовий інвентар	/tovari_dlja_sadu_ta_gorodu_1c0/sadoviy_inventar_1c1
327	1	Капуста броколі	kapusta_brokoli_1c1	Капуста броколі	Капуста броколі	Капуста броколі	/nasinnja_ovochiv_1c0/kapusta_brokoli_1c1
479	2	Товары для сада и огорода	tovary_dlja_sada_i_ogoroda_1c_20	Товары для сада и огорода	Товары для сада и огорода	Товары для сада и огорода	/tovary_dlja_sada_i_ogoroda_1c_20
485	2	Перовския	perovskija_1c_22	Перовския	Перовския	Перовския	/semena_tsvetov_1c_20--mnogoletniki_1c_21/perovskija_1c_22
328	1	Капуста брюсельська	kapusta_bryuselska_1c1	Капуста брюсельська	Капуста брюсельська	Капуста брюсельська	/nasinnja_ovochiv_1c0/kapusta_bryuselska_1c1
477	2	Целозия	kaktusx_1c_22	Целозия	Целозия	Целозия	/semena_tsvetov_1c_20--odnoletniki_1c_21/kaktusx_1c_22
341	2	Капуста китайская	kapusta_kitayskaja_1c_21	Капуста китайская	Капуста китайская	Капуста китайская	/semena_ovoshchey_1c_20/kapusta_kitayskaja_1c_21
350	1	Флокс	floks_1c2	Флокс	Флокс	Флокс	/nasinnja_kvitiv_1c0--odnorichniki_1c1/floks_1c2
340	2	Капуста кольраби	kapusta_kolrabi_1c_21	Капуста кольраби	Капуста кольраби	Капуста кольраби	/semena_ovoshchey_1c_20/kapusta_kolrabi_1c_21
302	2	Редька	redka_1c_21	Редька	Редька	Редька	/semena_ovoshchey_1c_20/redka_1c_21
6	2	Биопрепараты	biopreparaty_1c_20	Биопрепараты	Биопрепараты	Биопрепараты	/biopreparaty_1c_20
460	1	Соняшник	sonjashnik_1c2	Соняшник	Соняшник	Соняшник	/nasinnja_kvitiv_1c0--odnorichniki_1c1/sonjashnik_1c2
305	1	Буряк столовий	burjak_stoloviy_1c1	Буряк столовий	Буряк столовий	Буряк столовий	/nasinnja_ovochiv_1c0/burjak_stoloviy_1c1
323	2	Дыня	dynja_1c_21	Дыня	Дыня	Дыня	/semena_ovoshchey_1c_20/dynja_1c_21
324	2	Кабачок	kabachok_1c_21	Кабачок	Кабачок	Кабачок	/semena_ovoshchey_1c_20/kabachok_1c_21
326	2	Капуста белокочанная	kapusta_belokochannaja_1c_21	Капуста белокочанная	Капуста белокочанная	Капуста белокочанная	/semena_ovoshchey_1c_20/kapusta_belokochannaja_1c_21
481	2	Агро-текстиль	agrotekstil_1c_21	Агро-текстиль	Агро-текстиль	Агро-текстиль	/tovary_dlja_sada_i_ogoroda_1c_20/agrotekstil_1c_21
315	1	Насіння газонних трав	nasinnja_gazonnikh_trav_1c1	Насіння газонних трав	Насіння газонних трав	Насіння газонних трав	/gazonni_travi_1c0/nasinnja_gazonnikh_trav_1c1
488	2	Календула	kalendula_1c_22	Календула	Календула	Календула	/semena_tsvetov_1c_20--odnoletniki_1c_21/kalendula_1c_22
327	2	Капуста брокколи	kapusta_brokkoli_1c_21	Капуста брокколи	Капуста брокколи	Капуста брокколи	/semena_ovoshchey_1c_20/kapusta_brokkoli_1c_21
328	2	Капуста брюссельская	kapusta_bryusselskaja_1c_21	Капуста брюссельская	Капуста брюссельская	Капуста брюссельская	/semena_ovoshchey_1c_20/kapusta_bryusselskaja_1c_21
391	2	Георгины	georginy_1c_22	Георгины	Георгины	Георгины	/semena_tsvetov_1c_20--odnoletniki_1c_21/georginy_1c_22
329	2	Капуста краснокочанная	kapusta_krasnokochannaja_1c_21	Капуста краснокочанная	Капуста краснокочанная	Капуста краснокочанная	/semena_ovoshchey_1c_20/kapusta_krasnokochannaja_1c_21
482	2	Для рассады	dlja_rassady_1c_21	Для рассады	Для рассады	Для рассады	/tovary_dlja_sada_i_ogoroda_1c_20/dlja_rassady_1c_21
483	2	Лакфиоль	lakfiol_1c_22	Лакфиоль	Лакфиоль	Лакфиоль	/semena_tsvetov_1c_20--dvuletniki_1c_21/lakfiol_1c_22
401	2	Мирабилис	mirabilis_1c_22	Мирабилис	Мирабилис	Мирабилис	/semena_tsvetov_1c_20--odnoletniki_1c_21/mirabilis_1c_22
5	2	Цветочные смеси	tsvetochnye_smesi_1c_21	Цветочные смеси	Цветочные смеси	Цветочные смеси	/semena_tsvetov_1c_20--tsvetochnye_smesi_1c_21
359	1	Аквілегія	akvilegija_1c2	Аквілегія	Аквілегія	Аквілегія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/akvilegija_1c2
307	2	Тыква	tykva_1c_21	Тыква	Тыква	Тыква	/semena_ovoshchey_1c_20/tykva_1c_21
407	2	Алиссум	alissum_1c_22	Алиссум	Алиссум	Алиссум	/semena_tsvetov_1c_20--mnogoletniki_1c_21/alissum_1c_22
344	2	Стрелиция	strelitsija_1c_22	Стрелиция	Стрелиция	Стрелиция	/semena_tsvetov_1c_20--komnatnye_1c_21/strelitsija_1c_22
308	2	Фасоль	fasol_1c_21	Фасоль	Фасоль	Фасоль	/semena_ovoshchey_1c_20/fasol_1c_21
309	2	Бобы	boby_1c_21	Бобы	Бобы	Бобы	/semena_ovoshchey_1c_20/boby_1c_21
2	2	Семена цветов	semena_tsvetov_1c_20	Семена цветов	Семена цветов	Семена цветов	/semena_tsvetov_1c_20
311	2	Комнатные	komnatnye_1c_21	Комнатные	Комнатные	Комнатные	/semena_tsvetov_1c_20--komnatnye_1c_21
349	2	Цинния (Майоры)	tsinnija_mayory_1c_22	Цинния (Майоры)	Цинния (Майоры)	Цинния (Майоры)	/semena_tsvetov_1c_20--odnoletniki_1c_21/tsinnija_mayory_1c_22
310	2	Однолетники	odnoletniki_1c_21	Однолетники	Однолетники	Однолетники	/semena_tsvetov_1c_20--odnoletniki_1c_21
412	2	Наперстянка	naperstjanka_1c_22	Наперстянка	Наперстянка	Наперстянка	/semena_tsvetov_1c_20--dvuletniki_1c_21/naperstjanka_1c_22
413	2	Колокольчики	kolokolchikix_1c_22	Колокольчики	Колокольчики	Колокольчики	/semena_tsvetov_1c_20--dvuletniki_1c_21/kolokolchikix_1c_22
314	1	Баклажан	baklazhan_1c1	Баклажан	Баклажан	Баклажан	/nasinnja_ovochiv_1c0/baklazhan_1c1
429	2	Арабис	arabis_1c_22	Арабис	Арабис	Арабис	/semena_tsvetov_1c_20--mnogoletniki_1c_21/arabis_1c_22
389	2	Эустома	eustoma_1c_22	Эустома	Эустома	Эустома	/semena_tsvetov_1c_20--odnoletniki_1c_21/eustoma_1c_22
321	2	Арбуз	arbuz_1c_21	Арбуз	Арбуз	Арбуз	/semena_ovoshchey_1c_20/arbuz_1c_21
317	2	Novaflore	novaflore_1c_22	Novaflore	Novaflore	Novaflore	/semena_tsvetov_1c_20--tsvetochnye_smesi_1c_21/novaflore_1c_22
358	2	Астра альпийская	astra_alpiyskaja_1c_22	Астра альпийская	Астра альпийская	Астра альпийская	/semena_tsvetov_1c_20--mnogoletniki_1c_21/astra_alpiyskaja_1c_22
339	2	Капуста савойская	kapusta_savoyskaja_1c_21	Капуста савойская	Капуста савойская	Капуста савойская	/semena_ovoshchey_1c_20/kapusta_savoyskaja_1c_21
414	2	Аспарагус	asparagus_1c_22	Аспарагус	Аспарагус	Аспарагус	/semena_tsvetov_1c_20--komnatnye_1c_21/asparagus_1c_22
338	2	Капуста цветная	kapusta_tsvetnaja_1c_21	Капуста цветная	Капуста цветная	Капуста цветная	/semena_ovoshchey_1c_20/kapusta_tsvetnaja_1c_21
304	2	Салатный микс	salatnyy_miks_1c_21	Салатный микс	Салатный микс	Салатный микс	/semena_ovoshchey_1c_20/salatnyy_miks_1c_21
370	2	Лен	len_1c_22	Лен	Лен	Лен	/semena_tsvetov_1c_20--mnogoletniki_1c_21/len_1c_22
306	2	Томат	tomat_1c_21	Томат	Томат	Томат	/semena_ovoshchey_1c_20/tomat_1c_21
450	2	Лобелия	lobelija_1c_22	Лобелия	Лобелия	Лобелия	/semena_tsvetov_1c_20--odnoletniki_1c_21/lobelija_1c_22
318	2	Удобрения	udobrenija_1c_21	Удобрения	Удобрения	Удобрения	/udobrenija_i_sredstva_zashchity_1c_20/udobrenija_1c_21
392	2	Ипомея	ipomeja_1c_22	Ипомея	Ипомея	Ипомея	/semena_tsvetov_1c_20--odnoletniki_1c_21/ipomeja_1c_22
375	2	Астра	astra_1c_22	Астра	Астра	Астра	/semena_tsvetov_1c_20--odnoletniki_1c_21/astra_1c_22
325	2	Патиссон	patisson_1c_21	Патиссон	Патиссон	Патиссон	/semena_ovoshchey_1c_20/patisson_1c_21
379	2	Брахикома	brakhikoma_1c_22	Брахикома	Брахикома	Брахикома	/semena_tsvetov_1c_20--odnoletniki_1c_21/brakhikoma_1c_22
305	2	Свекла столовая	svekla_stolovaja_1c_21	Свекла столовая	Свекла столовая	Свекла столовая	/semena_ovoshchey_1c_20/svekla_stolovaja_1c_21
377	2	Бессмертник Гелихризум	bessmertnik_gelikhrizum_1c_22	Бессмертник Гелихризум	Бессмертник Гелихризум	Бессмертник Гелихризум	/semena_tsvetov_1c_20--odnoletniki_1c_21/bessmertnik_gelikhrizum_1c_22
471	2	Луковичные	lukovichnye_1c_21	Луковичные	Луковичные	Луковичные	/semena_tsvetov_1c_20--lukovichnye_1c_21
355	2	Мак	mak_1c_22	Мак	Мак	Мак	/semena_tsvetov_1c_20--odnoletniki_1c_21/mak_1c_22
393	2	Кохия	kokhija_1c_22	Кохия	Кохия	Кохия	/semena_tsvetov_1c_20--odnoletniki_1c_21/kokhija_1c_22
448	2	Бальзамин	redkax_1c_22	Бальзамин	Бальзамин	Бальзамин	/semena_tsvetov_1c_20--odnoletniki_1c_21/redkax_1c_22
382	2	Газания	gazanija_1c_22	Газания	Газания	Газания	/semena_tsvetov_1c_20--odnoletniki_1c_21/gazanija_1c_22
458	2	Портулак	portulak_1c_22	Портулак	Портулак	Портулак	/semena_tsvetov_1c_20--odnoletniki_1c_21/portulak_1c_22
459	2	Сальвия	salvijax_1c_22	Сальвия	Сальвия	Сальвия	/semena_tsvetov_1c_20--odnoletniki_1c_21/salvijax_1c_22
381	2	Василек	vasilek_1c_22	Василек	Василек	Василек	/semena_tsvetov_1c_20--odnoletniki_1c_21/vasilek_1c_22
380	2	Вербена	verbena_1c_22	Вербена	Вербена	Вербена	/semena_tsvetov_1c_20--odnoletniki_1c_21/verbena_1c_22
353	2	Львиный зев (Антирринум)	antirrinum_lvinyy_zev_1c_22	Львиный зев (Антирринум)	Львиный зев (Антирринум)	Львиный зев (Антирринум)	/semena_tsvetov_1c_20--odnoletniki_1c_21/antirrinum_lvinyy_zev_1c_22
371	2	Петуния	petunija_1c_22	Петуния	Петуния	Петуния	/semena_tsvetov_1c_20--odnoletniki_1c_21/petunija_1c_22
372	2	Люпин	lyupin_1c_22	Люпин	Люпин	Люпин	/semena_tsvetov_1c_20--mnogoletniki_1c_21/lyupin_1c_22
332	2	Пряные и зеленые культуры	prjanye_i_zelenye_kultury_1c_21	Пряные и зеленые культуры	Пряные и зеленые культуры	Пряные и зеленые культуры	/semena_ovoshchey_1c_20/prjanye_i_zelenye_kultury_1c_21
331	2	Сельдерей	selderey_1c_21	Сельдерей	Сельдерей	Сельдерей	/semena_ovoshchey_1c_20/selderey_1c_21
301	2	Редис	redis_1c_21	Редис	Редис	Редис	/semena_ovoshchey_1c_20/redis_1c_21
348	1	Бегонія	begonija_1c2	Бегонія	Бегонія	Бегонія	/nasinnja_kvitiv_1c0--kimnatni_1c1/begonija_1c2
415	2	Гербера	gerbera_1c_22	Гербера	Гербера	Гербера	/semena_tsvetov_1c_20--komnatnye_1c_21/gerbera_1c_22
356	2	Виола	viola_1c_22	Виола	Виола	Виола	/semena_tsvetov_1c_20--dvuletniki_1c_21/viola_1c_22
493	1	Лілія (весняна колекція)	lilija_vesnjana_kolektsija_1c2	Лілія (весняна колекція)	Лілія (весняна колекція)	Лілія (весняна колекція)	/nasinnja_kvitiv_1c0--tsibulinni_1c1/lilija_vesnjana_kolektsija_1c2
348	2	Бегония	begonija_1c_22	Бегония	Бегония	Бегония	/semena_tsvetov_1c_20--komnatnye_1c_21/begonija_1c_22
349	1	Цинія (Майори)	tsinija_mayori_1c2	Цинія (Майори)	Цинія (Майори)	Цинія (Майори)	/nasinnja_kvitiv_1c0--odnorichniki_1c1/tsinija_mayori_1c2
360	2	Альстремерия	alstremerija_1c_22	Альстремерия	Альстремерия	Альстремерия	/semena_tsvetov_1c_20--mnogoletniki_1c_21/alstremerija_1c_22
478	1	Лобулярія (Аліссум)	lobuljarija_alissum_1c2	Лобулярія (Аліссум)	Лобулярія (Аліссум)	Лобулярія (Аліссум)	/nasinnja_kvitiv_1c0--odnorichniki_1c1/lobuljarija_alissum_1c2
347	2	Банан	banan_1c_22	Банан	Банан	Банан	/semena_tsvetov_1c_20--komnatnye_1c_21/banan_1c_22
330	2	Капуста пекинская	kapusta_pekinskaja_1c_21	Капуста пекинская	Капуста пекинская	Капуста пекинская	/semena_ovoshchey_1c_20/kapusta_pekinskaja_1c_21
337	2	Кукуруза сахарная	kukuruza_sakharnaja_1c_21	Кукуруза сахарная	Кукуруза сахарная	Кукуруза сахарная	/semena_ovoshchey_1c_20/kukuruza_sakharnaja_1c_21
346	2	Кроссандра	krossandra_1c_22	Кроссандра	Кроссандра	Кроссандра	/semena_tsvetov_1c_20--komnatnye_1c_21/krossandra_1c_22
336	2	Лук	luk_1c_21	Лук	Лук	Лук	/semena_ovoshchey_1c_20/luk_1c_21
335	2	Морковь	morkov_1c_21	Морковь	Морковь	Морковь	/semena_ovoshchey_1c_20/morkov_1c_21
334	2	Огурец	ogurets_1c_21	Огурец	Огурец	Огурец	/semena_ovoshchey_1c_20/ogurets_1c_21
364	1	Ломикамінь (Камнеломка)	lomikamin_kamnelomka_1c2	Ломикамінь (Камнеломка)	Ломикамінь (Камнеломка)	Ломикамінь (Камнеломка)	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/lomikamin_kamnelomka_1c2
333	2	Перец	perets_1c_21	Перец	Перец	Перец	/semena_ovoshchey_1c_20/perets_1c_21
315	2	Семена газонных трав	semena_gazonnykh_trav_1c_21	Семена газонных трав	Семена газонных трав	Семена газонных трав	/gazonnye_travy_1c_20/semena_gazonnykh_trav_1c_21
447	2	Асклепиас	asklepias_1c_22	Асклепиас	Асклепиас	Асклепиас	/semena_tsvetov_1c_20--mnogoletniki_1c_21/asklepias_1c_22
4	2	Газонные травы	gazonnye_travy_1c_20	Газонные травы	Газонные травы	Газонные травы	/gazonnye_travy_1c_20
319	2	Средства защиты	sredstva_zashchity_1c_21	Средства защиты	Средства защиты	Средства защиты	/udobrenija_i_sredstva_zashchity_1c_20/sredstva_zashchity_1c_21
460	2	Подсолнух	podsolnechnik_1c_22	Подсолнух	Подсолнух	Подсолнух	/semena_tsvetov_1c_20--odnoletniki_1c_21/podsolnechnik_1c_22
387	2	Горошек	goroshek_1c_22	Горошек	Горошек	Горошек	/semena_tsvetov_1c_20--odnoletniki_1c_21/goroshek_1c_22
352	2	Статица	statitsa_1c_22	Статица	Статица	Статица	/semena_tsvetov_1c_20--odnoletniki_1c_21/statitsa_1c_22
3	2	Удобрения и средства защиты	udobrenija_i_sredstva_zashchity_1c_20	Удобрения и средства защиты	Удобрения и средства защиты	Удобрения и средства защиты	/udobrenija_i_sredstva_zashchity_1c_20
424	1	Аренарія	arenarija_1c2	Аренарія	Аренарія	Аренарія	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/arenarija_1c2
303	2	Салат	salat_1c_21	Салат	Салат	Салат	/semena_ovoshchey_1c_20/salat_1c_21
444	2	Рудбекия	rudbekija_1c_22	Рудбекия	Рудбекия	Рудбекия	/semena_tsvetov_1c_20--odnoletniki_1c_21/rudbekija_1c_22
473	2	Гиацинты	giatsinty_1c_22	Гиацинты	Гиацинты	Гиацинты	/semena_tsvetov_1c_20--lukovichnye_1c_21/giatsinty_1c_22
468	1	Дзвоники	dzvonikix_1c2	Дзвоники	Дзвоники	Дзвоники	/nasinnja_kvitiv_1c0--bagatorichniki_1c1/dzvonikix_1c2
1	2	Семена овощей	semena_ovoshchey_1c_20	Семена овощей	Семена овощей	Семена овощей	/semena_ovoshchey_1c_20
388	2	Дихондра	dikhondra_1c_22	Дихондра	Дихондра	Дихондра	/semena_tsvetov_1c_20--odnoletniki_1c_21/dikhondra_1c_22
418	2	Кофейное дерево	kofeynoe_derevo_1c_22	Кофейное дерево	Кофейное дерево	Кофейное дерево	/semena_tsvetov_1c_20--komnatnye_1c_21/kofeynoe_derevo_1c_22
478	2	Лобулярия (Алиссум)	lobuljarija_alissum_1c_22	Лобулярия (Алиссум)	Лобулярия (Алиссум)	Лобулярия (Алиссум)	/semena_tsvetov_1c_20--odnoletniki_1c_21/lobuljarija_alissum_1c_22
504	2	Чеснок озимый	chasnik_ozimiy_1c_21	Чеснок озимый	Чеснок озимый	Чеснок озимый	/semena_ovoshchey_1c_20/chasnik_ozimiy_1c_21
395	2	Кобея	kobeja_1c_22	Кобея	Кобея	Кобея	/semena_tsvetov_1c_20--odnoletniki_1c_21/kobeja_1c_22
503	2	Саженцы роз	sazhentsi_trojand_1c_21	Саженцы роз	Саженцы роз	Саженцы роз	/semena_tsvetov_1c_20/sazhentsi_trojand_1c_21
498	2	Иберис	iberis_1c_22	Иберис	Иберис	Иберис	/semena_tsvetov_1c_20--mnogoletniki_1c_21/iberis_1c_22
350	2	Флокс	floks_1c_22	Флокс	Флокс	Флокс	/semena_tsvetov_1c_20--odnoletniki_1c_21/floks_1c_22
312	2	Двулетники	dvuletniki_1c_21	Двулетники	Двулетники	Двулетники	/semena_tsvetov_1c_20--dvuletniki_1c_21
364	2	Камнеломка	kamnelomka_1c_22	Камнеломка	Камнеломка	Камнеломка	/semena_tsvetov_1c_20--mnogoletniki_1c_21/kamnelomka_1c_22
409	2	Мальва	malva_1c_22	Мальва	Мальва	Мальва	/semena_tsvetov_1c_20--dvuletniki_1c_21/malva_1c_22
313	2	Многолетники	mnogoletniki_1c_21	Многолетники	Многолетники	Многолетники	/semena_tsvetov_1c_20--mnogoletniki_1c_21
365	2	Обриета	obrieta_1c_22	Обриета	Обриета	Обриета	/semena_tsvetov_1c_20--mnogoletniki_1c_21/obrieta_1c_22
404	2	Ягодные	jagodnye_1c_21	Ягодные	Ягодные	Ягодные	/semena_tsvetov_1c_20/jagodnye_1c_21
369	2	Цинерария	tsinerarija_1c_22	Цинерария	Цинерария	Цинерария	/semena_tsvetov_1c_20--mnogoletniki_1c_21/tsinerarija_1c_22
367	2	Ромашка	romashka_1c_22	Ромашка	Ромашка	Ромашка	/semena_tsvetov_1c_20--mnogoletniki_1c_21/romashka_1c_22
359	2	Аквилегия	akvilegija_1c_22	Аквилегия	Аквилегия	Аквилегия	/semena_tsvetov_1c_20--mnogoletniki_1c_21/akvilegija_1c_22
410	2	Гвоздика	gvozdika_1c_22	Гвоздика	Гвоздика	Гвоздика	/semena_tsvetov_1c_20--dvuletniki_1c_21/gvozdika_1c_22
362	2	Гипсофила	kachim_gypsophila_1c_22	Гипсофила	Гипсофила	Гипсофила	/semena_tsvetov_1c_20--mnogoletniki_1c_21/kachim_gypsophila_1c_22
314	2	Баклажан	baklazhan_1c_21	Баклажан	Баклажан	Баклажан	/semena_ovoshchey_1c_20/baklazhan_1c_21
500	2	Лекарственные травы	likarskie_travu_1c_21	Лекарственные травы	Лекарственные травы	Лекарственные травы	/semena_ovoshchey_1c_20/likarskie_travu_1c_21
405	2	Гвоздика	gvozdikax_1c_22	Гвоздика	Гвоздика	Гвоздика	/semena_tsvetov_1c_20--mnogoletniki_1c_21/gvozdikax_1c_22
469	2	Статица Переса	statitsja_peresax_1c_22	Статица Переса	Статица Переса	Статица Переса	/semena_tsvetov_1c_20--mnogoletniki_1c_21/statitsja_peresax_1c_22
345	2	Кактус	kaktus_1c_22	Кактус	Кактус	Кактус	/semena_tsvetov_1c_20--komnatnye_1c_21/kaktus_1c_22
476	2	Тюльпаны	tyulpany_1c_22	Тюльпаны	Тюльпаны	Тюльпаны	/semena_tsvetov_1c_20--lukovichnye_1c_21/tyulpany_1c_22
368	2	Сон-трава	sontrava_1c_22	Сон-трава	Сон-трава	Сон-трава	/semena_tsvetov_1c_20--mnogoletniki_1c_21/sontrava_1c_22
420	2	Пассифлора	pasiflora_1c_22	Пассифлора	Пассифлора	Пассифлора	/semena_tsvetov_1c_20--komnatnye_1c_21/pasiflora_1c_22
312	1	Дворічники	dvorichniki_1c1	Дворічники	Дворічники	Дворічники	/nasinnja_kvitiv_1c0--dvorichniki_1c1
\.


--
-- TOC entry 2627 (class 0 OID 0)
-- Dependencies: 187
-- Name: catalog_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('catalog_id_seq', 508, true);


--
-- TOC entry 2540 (class 0 OID 83741)
-- Dependencies: 172
-- Data for Name: language; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY language (language_id, language_code, is_default, language_name, status, country_code) FROM stdin;
1	uk	0	Українська	1	ua  
2	ru	1	Русский	1	ru  
3	en	0	English	0	us  
4	fr	0	Français	0	fr  
5	lt	0	Lietùvių	0	lt  
6	lv	0	Latviešu	0	lv  
7	de	0	Deutsch	0	de  
0	df	0	Default	1	df  
\.


--
-- TOC entry 2541 (class 0 OID 83746)
-- Dependencies: 173
-- Data for Name: language_lang; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY language_lang (language_id, lang_title, lang_id) FROM stdin;
\.


--
-- TOC entry 2628 (class 0 OID 0)
-- Dependencies: 174
-- Name: language_language_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('language_language_id_seq', 7, true);


--
-- TOC entry 2577 (class 0 OID 84091)
-- Dependencies: 209
-- Data for Name: media; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY media (media_id, hash, extension) FROM stdin;
\.


--
-- TOC entry 2629 (class 0 OID 0)
-- Dependencies: 221
-- Name: media_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('media_id_seq', 1, true);


--
-- TOC entry 2543 (class 0 OID 83751)
-- Dependencies: 175
-- Data for Name: menu; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY menu (menu_id, menu_pid, level, termin_id, show, is_open, menu_location_id, sortorder, name, url) FROM stdin;
1	0	0	2	1	0	1	12	\N	\N
2	1	1	3	1	0	1	1	\N	\N
3	1	1	4	1	0	1	1	\N	\N
4	0	0	5	1	0	1	1	\N	\N
5	1	1	6	1	0	1	1	\N	\N
6	1	1	7	1	0	1	1	\N	\N
7	0	0	8	1	0	1	1	\N	\N
8	0	0	9	1	0	1	1	\N	\N
9	0	0	10	1	0	1	1	\N	\N
10	0	0	11	1	0	1	1	\N	\N
11	0	0	12	1	0	1	1	\N	\N
12	0	0	13	1	0	1	1	\N	\N
\.


--
-- TOC entry 2544 (class 0 OID 83759)
-- Dependencies: 176
-- Data for Name: menu_location; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY menu_location (menu_location_id, menu_location_name) FROM stdin;
1	TOP
2	CENTER
3	BOTTOM
\.


--
-- TOC entry 2545 (class 0 OID 83762)
-- Dependencies: 177
-- Data for Name: menu_location_lang; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY menu_location_lang (menu_location_id, menu_location_title, lang_id) FROM stdin;
1	Верхнее	2
2	Центр	2
3	Низ	2
\.


--
-- TOC entry 2578 (class 0 OID 84097)
-- Dependencies: 210
-- Data for Name: option; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY option (model, option_id, model_id, name, template, option_pid, translate, date_add) FROM stdin;
\.


--
-- TOC entry 2630 (class 0 OID 0)
-- Dependencies: 219
-- Name: option_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('option_id_seq', 1, true);


--
-- TOC entry 2579 (class 0 OID 84108)
-- Dependencies: 211
-- Data for Name: option_lang; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY option_lang (option_lang_id, option_id, language_id, value) FROM stdin;
\.


--
-- TOC entry 2631 (class 0 OID 0)
-- Dependencies: 220
-- Name: option_lang_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('option_lang_id_seq', 1, true);


--
-- TOC entry 2569 (class 0 OID 83963)
-- Dependencies: 201
-- Data for Name: social; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY social (social_name, social_user_id, user_id, social_id) FROM stdin;
vkontakte                                                                                                                                                                                                                                                      	63440239	13	1
\.


--
-- TOC entry 2632 (class 0 OID 0)
-- Dependencies: 202
-- Name: social_social_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('social_social_id_seq', 1, true);


--
-- TOC entry 2546 (class 0 OID 83765)
-- Dependencies: 178
-- Data for Name: termin; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY termin (termin_id, termin_name, is_book) FROM stdin;
4	\N	0
5	\N	0
6	\N	0
7	\N	0
9	\N	0
10	\N	0
11	\N	0
12	\N	0
13	\N	0
14	\N	0
15	\N	0
16	\N	0
20	\N	0
321	\N	0
322	\N	0
323	\N	0
324	\N	0
325	\N	0
326	\N	0
327	\N	0
328	\N	0
329	\N	0
330	\N	0
331	\N	0
332	\N	0
333	\N	0
334	\N	0
335	\N	0
336	\N	0
337	\N	0
338	\N	0
339	\N	0
340	\N	0
341	\N	0
342	\N	0
343	\N	0
344	\N	0
345	\N	0
346	\N	0
347	\N	0
348	\N	0
349	\N	0
350	\N	0
351	\N	0
352	\N	0
353	\N	0
354	\N	0
355	\N	0
356	\N	0
357	\N	0
358	\N	0
359	\N	0
360	\N	0
361	\N	0
362	\N	0
363	\N	0
364	\N	0
365	\N	0
366	\N	0
367	\N	0
368	\N	0
369	\N	0
370	\N	0
371	\N	0
372	\N	0
373	\N	0
374	\N	0
375	\N	0
376	\N	0
377	\N	0
378	\N	0
379	\N	0
380	\N	0
381	\N	0
382	\N	0
383	\N	0
384	\N	0
385	\N	0
386	\N	0
387	\N	0
388	\N	0
389	\N	0
390	\N	0
391	\N	0
392	\N	0
393	\N	0
394	\N	0
395	\N	0
396	\N	0
397	\N	0
398	\N	0
399	\N	0
400	\N	0
401	\N	0
402	\N	0
403	\N	0
404	\N	0
405	\N	0
406	\N	0
407	\N	0
408	\N	0
409	\N	0
410	\N	0
411	\N	0
412	\N	0
413	\N	0
414	\N	0
415	\N	0
416	\N	0
417	\N	0
418	\N	0
419	\N	0
420	\N	0
421	\N	0
422	\N	0
423	\N	0
424	\N	0
425	\N	0
426	\N	0
427	\N	0
428	\N	0
429	\N	0
430	\N	0
431	\N	0
432	\N	0
433	\N	0
434	\N	0
435	\N	0
436	\N	0
437	\N	0
438	\N	0
439	\N	0
440	\N	0
441	\N	0
442	\N	0
443	\N	0
444	\N	0
530	\N	0
445	\N	0
446	\N	0
447	\N	0
448	\N	0
449	\N	0
450	\N	0
451	\N	0
452	\N	0
453	\N	0
454	\N	0
455	\N	0
456	\N	0
457	\N	0
458	\N	0
459	\N	0
460	\N	0
461	\N	0
462	\N	0
463	\N	0
464	\N	0
465	\N	0
466	\N	0
467	\N	0
468	\N	0
469	\N	0
470	\N	0
471	\N	0
472	\N	0
473	\N	0
474	\N	0
475	\N	0
476	\N	0
477	\N	0
478	\N	0
479	\N	0
480	\N	0
481	\N	0
482	\N	0
483	\N	0
484	\N	0
485	\N	0
486	\N	0
487	\N	0
488	\N	0
489	\N	0
490	\N	0
491	\N	0
492	\N	0
493	\N	0
494	\N	0
495	\N	0
496	\N	0
497	\N	0
498	\N	0
499	\N	0
500	\N	0
501	\N	0
502	\N	0
503	\N	0
504	\N	0
505	\N	0
506	\N	0
507	\N	0
508	\N	0
509	\N	0
510	\N	0
511	\N	0
512	\N	0
513	\N	0
514	\N	0
515	\N	0
516	\N	0
517	\N	0
518	\N	0
519	\N	0
520	\N	0
521	\N	0
522	\N	0
523	\N	0
524	\N	0
525	\N	0
526	\N	0
527	\N	0
528	\N	0
529	\N	0
2	\N	0
3	\N	0
531	\N	0
532	\N	0
533	\N	0
534	\N	0
535	\N	0
536	\N	0
537	\N	0
538	\N	0
539	\N	0
540	\N	0
541	\N	0
542	\N	0
543	\N	0
544	\N	0
545	\N	0
546	\N	0
547	\N	0
548	\N	0
549	\N	0
550	\N	0
551	\N	0
552	\N	0
553	\N	0
554	\N	0
555	\N	0
556	\N	0
557	\N	0
558	\N	0
559	\N	0
560	\N	0
561	\N	0
562	\N	0
563	\N	0
564	\N	0
565	\N	0
566	\N	0
567	\N	0
568	\N	0
569	\N	0
570	\N	0
571	\N	0
572	\N	0
573	\N	0
574	\N	0
575	\N	0
576	\N	0
577	\N	0
578	\N	0
579	\N	0
580	\N	0
581	\N	0
582	\N	0
583	\N	0
584	\N	0
585	\N	0
586	\N	0
587	\N	0
588	\N	0
589	\N	0
590	\N	0
591	\N	0
592	\N	0
593	\N	0
594	\N	0
595	\N	0
596	\N	0
597	\N	0
598	\N	0
599	\N	0
600	\N	0
601	\N	0
602	\N	0
603	\N	0
604	\N	0
605	\N	0
606	\N	0
607	\N	0
608	\N	0
609	\N	0
610	\N	0
611	\N	0
612	\N	0
613	\N	0
614	\N	0
615	\N	0
1	\N	0
8	SHOP	1
22	PAGE	1
24	NEWS	1
\.


--
-- TOC entry 2556 (class 0 OID 83881)
-- Dependencies: 188
-- Data for Name: termin_book; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY termin_book (termin_book_id, termin_book_name, sortorder) FROM stdin;
3	NEWS	3
1	PAGE	1
2	SHOP	2
\.


--
-- TOC entry 2633 (class 0 OID 0)
-- Dependencies: 189
-- Name: termin_book_book_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('termin_book_book_id_seq', 3, true);


--
-- TOC entry 2558 (class 0 OID 83886)
-- Dependencies: 190
-- Data for Name: termin_book_lang; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY termin_book_lang (termin_book_id, lang_id, termin_book_title) FROM stdin;
2	2	Магазин: категории
1	2	Страницы
3	2	Новости
\.


--
-- TOC entry 2547 (class 0 OID 83768)
-- Dependencies: 179
-- Data for Name: termin_lang; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY termin_lang (termin_id, language_id, termin_title, termin_alias) FROM stdin;
1	2	Главная	/
2	2	Контакты	contacts
4	2	О компании	about
5	2	Условия использования	use
6	2	Условия сотрудничества	corporation
7	2	Магазины	shops
9	2	Оплата	payment
10	2	Доставка	delivery
11	2	Гарантия	warranty
12	2	Акции 	promotion
13	2	Материалы/блог	news
14	2	Авторизация	login
15	2	Выход	logout
16	2	Регистрация	signup
3	2	Поставщики	vendors
8	2	Магазин: каталог	catalog
20	2	Семена	semena
321	2	Средства защиты растений	sredstva-zaschity-rasteniy
322	2	Для борьбы с вредителями	dlya-borby-s-vreditelyami
323	2	Мицелий грибов	miceliy-gribov
324	2	Шиитаке	shiitake
325	2	Цветочные, Комнатные	cvetochnye-komnatnye
326	2	Абутилон	abutilon
327	2	Мимоза	mimoza
328	2	Хлопчатник	hlopchatnik
329	2	Цикламен	ciklamen
330	2	Цветочные	cvetochnye
331	2	Агератум	ageratum
332	2	Агростемма	agrostemma
333	2	Адонис	adonis
334	2	Аквилегия	akvilegiya
335	2	Алиссум	alissum
336	2	Альстромерия	alstromeriya
337	2	Амарант	amarant
338	2	Аммобиум	ammobium
339	2	Анагаллис	anagallis
340	2	Арктотис	arktotis
341	2	Астра	astra
342	2	Бальзамин	balzamin
343	2	Барвинок	barvinok
344	2	Бартония	bartoniya
345	2	Бархатцы	barhatcy
346	2	Бегония	begoniya
347	2	Брахикома	brahikoma
348	2	Бровалия	brovaliya
349	2	Буддлея	buddleya
350	2	Василек	vasilek
351	2	Ваточник	vatochnik
352	2	Венидиум	venidium
353	2	Вербена	verbena
354	2	Вероника	veronika
355	2	Виола	viola
356	2	Вязель	vyazel
357	2	Вьюнок	vyunok
358	2	Газания	gazaniya
359	2	Гайлардия	gaylardiya
360	2	Гвоздика	gvozdika
361	2	Гелиптерум	gelipterum
362	2	Гелихризум	gelihrizum
363	2	Георгина	georgina
364	2	Гиацинтовые бобы	giacintovye-boby
365	2	Гибискус	gibiskus
366	2	Гипсофила	gipsofila
367	2	Годеция	godeciya
368	2	Гомфрена	gomfrena
369	2	Дельфиниум	delfinium
370	2	Диморфотека	dimorfoteka
371	2	Дурман	durman
372	2	Душистый горошек	dushistyy-goroshek
373	2	Душистый табак	dushistyy-tabak
374	2	Дюшенея	dyusheneya
375	2	Зайцехвостник	zaycehvostnik
376	2	Иберис	iberis
377	2	Инкарвиллея	inkarvilleya
378	2	Ипомея	ipomeya
379	2	Кактус	kaktus
380	2	Календула	kalendula
381	2	Квамоклит	kvamoklit
382	2	Кларкия	klarkiya
383	2	Клематис	klematis
384	2	Клеома	kleoma
385	2	Кобея	kobeya
386	2	Колокольчик	kolokolchik
387	2	Кореопсис	koreopsis
388	2	Космея	kosmeya
389	2	Лаватера	lavatera
390	2	Лагерстрёмия	lagerstremiya
391	2	Лапчатка	lapchatka
392	2	Левкой	levkoy
393	2	Лен	len
394	2	Лиатрис	liatris
395	2	Лилейник	lileynik
396	2	Лимониум	limonium
397	2	Лихнис	lihnis
398	2	Лобелия	lobeliya
399	2	Лунник	lunnik
400	2	Люпин	lyupin
401	2	Львиный зев	lvinyy-zev
402	2	Льнянка	lnyanka
403	2	Мак	mak
404	2	Малопа	malopa
405	2	Мальва	malva
406	2	Маргаритка	margaritka
407	2	Маттиола	mattiola
408	2	Мезембриантемум	mezembriantemum
409	2	Мимулюс	mimulyus
410	2	Мирабилис	mirabilis
411	2	Молочай	molochay
412	2	Молюцелла	molyucella
413	2	Мыльнянка	mylnyanka
414	2	Наперстянка	naperstyanka
415	2	Настурция	nasturciya
416	2	Незабудка	nezabudka
417	2	Немезия	nemeziya
418	2	Немофила	nemofila
419	2	Нигелла	nigella
420	2	Нолана	nolana
421	2	Ночная фиалка	nochnaya-fialka
422	2	Обриета	obrieta
423	2	Пассифлора	passiflora
424	2	Пеларгония	pelargoniya
425	2	Пенстемон	penstemon
426	2	Петуния	petuniya
427	2	Пиретрум	piretrum
428	2	Подсолнух	podsolnuh
429	2	Портулак	portulak
430	2	Примула	primula
431	2	Ратибида	ratibida
432	2	Резеда	rezeda
433	2	Резуха	rezuha
434	2	Ромашка	romashka
435	2	Рудбекия	rudbekiya
436	2	Сальвия	salviya
437	2	Сальпиглоссис	salpiglossis
438	2	Симфиандра	simfiandra
439	2	Скабиоза	skabioza
440	2	Смолевка	smolevka
441	2	Смолка	smolka
442	2	Солнцецвет	solncecvet
443	2	Статица	statica
444	2	Стрелитция	strelitciya
445	2	Сурфиния	surfiniya
446	2	Сухоцветник	suhocvetnik
447	2	Схизантус	shizantus
448	2	Трясунка	tryasunka
449	2	Тунбергия	tunbergiya
450	2	Тысячелистник	tysyachelistnik
451	2	Флокс	floks
452	2	Хейрантус	heyrantus
453	2	Хризантема	hrizantema
454	2	Смесь	smes
455	2	Целозия	celoziya
456	2	Цинерария	cinerariya
457	2	Цинния	cinniya
458	2	Черноголовка	chernogolovka
459	2	Чина	china
460	2	Эдельвейс	edelveys
461	2	Энотера	enotera
462	2	Эригерон	erigeron
463	2	Эхинацея	ehinaceya
464	2	Эхиум	ehium
465	2	Эшшольция	eshsholciya
466	2	Ясколка	yaskolka
467	2	Удобрения	udobreniya
468	2	Хелатные удобрения, Регуляторы роста	helatnye-udobreniya-regulyatory-rosta
469	2	Хелатные удобрения	helatnye-udobreniya
470	2	Сопутствующие товары	soputstvuyuschie-tovary
471	2	Упаковочные материал	upakovochnye-material
472	2	Укрывной материал	ukryvnoy-material
473	2	Трутовик	trutovik
474	2	Грунтосмесь	gruntosmes
475	2	Субстрат	substrat
476	2	Сетки	setki
477	2	разрыхлитель	razryhlitel
478	2	Пряные, Лекарственные	pryanye-lekarstvennye
479	2	Душица (материнка)	dushica-materinka
480	2	Иссоп	issop
481	2	Кервель	kervel
482	2	Мелисса	melissa
483	2	Монарда	monarda
484	2	Мята	myata
485	2	Рута	ruta
486	2	Тимьян	timyan
487	2	Шалфей	shalfey
488	2	Пряные, Комнатные	pryanye-komnatnye
489	2	Майоран	mayoran
490	2	Огуречная трава	ogurechnaya-trava
491	2	Розмарин	rozmarin
492	2	Пряные, Зеленые	pryanye-zelenye
493	2	Базилик	bazilik
494	2	Перилла	perilla
495	2	Туласи	tulasi
496	2	Чабер	chaber
497	2	Черемша	cheremsha
498	2	Эстрагон	estragon
499	2	Трава для кошек	trava-dlya-koshek
500	2	Кориандр	koriandr
501	2	Котовник	kotovnik
502	2	Пряные	pryanye
503	2	Анис	anis
504	2	Горчица	gorchica
505	2	Грибная трава	gribnaya-trava
506	2	Тмин	tmin
507	2	Протравители	protraviteli
508	2	Биопрепараты	biopreparaty
509	2	Органические удобрения	organicheskie-udobreniya
510	2	Опёнок	openok
511	2	Овощные, Пряные	ovoschnye-pryanye
512	2	Овсяный корень	ovsyanyy-koren
513	2	Пастернак	pasternak
514	2	Овощные, Зеленые	ovoschnye-zelenye
515	2	Лук	luk
516	2	Мангольд	mangold
517	2	Петрушка	petrushka
518	2	Ревень	reven
519	2	Салат	salat
520	2	Сельдерей	selderey
521	2	Укроп	ukrop
522	2	Шпинат	shpinat
523	2	Щавель	schavel
524	2	Эндивий	endiviy
525	2	Валерианелла	valerianella
526	2	Водяной кресс	vodyanoy-kress
527	2	Индау (Руккола)	indau-rukkola
528	2	Кресс-салат	kress-salat
529	2	Портулак овощной	portulak-ovoschnoy
530	2	Рукола	rukola
531	2	Солянка	solyanka
532	2	Овощные	ovoschnye
533	2	Арбуз	arbuz
534	2	Баклажан	baklazhan
535	2	Морковь	morkov
536	2	Огурец	ogurec
537	2	Перец	perec
538	2	Редис	redis
539	2	Репа	repa
540	2	Артишок	artishok
541	2	Брюква	bryukva
542	2	Дыня	dynya
543	2	Земляника	zemlyanika
544	2	Кабачок	kabachok
545	2	Капуста	kapusta
546	2	Клубника	klubnika
547	2	Момордика	momordika
548	2	Патиссон	patisson
549	2	Редька	redka
550	2	Свекла	svekla
551	2	Скорцонера	skorconera
552	2	Спаржа	sparzha
553	2	Томат	tomat
554	2	Тыква	tykva
555	2	Физалис	fizalis
556	2	Цикорий	cikoriy
557	2	Бамия	bamiya
558	2	Лагенария	lagenariya
559	2	Люффа	lyuffa
560	2	Фенхель	fenhel
561	2	Арахис	arahis
562	2	Боб	bob
563	2	Горох	goroh
564	2	Кукуруза	kukuruza
565	2	Фасоль	fasol
566	2	Чеснок	chesnok
567	2	Минеральные удобрения	mineralnye-udobreniya
568	2	Лекарственные	lekarstvennye
569	2	Алтей	altey
570	2	Валериана	valeriana
571	2	Зверобой	zveroboy
572	2	Любисток	lyubistok
573	2	Расторопша	rastoropsha
574	2	Лаванда	lavanda
575	2	Кокос	kokos
576	2	Ежовик	ezhovik
577	2	Дренаж	drenazh
578	2	Для компоста	dlya-komposta
579	2	Для выгребных ям и септиков	dlya-vygrebnyh-yam-i-septikov
580	2	Для водоемов	dlya-vodoemov
581	2	Для борьбы с сорняками	dlya-borby-s-sornyakami
582	2	Для борьбы с грызунами	dlya-borby-s-gryzunami
583	2	Для борьбы с болезнями и вредителями	dlya-borby-s-boleznyami-i-vreditelyami
584	2	Для борьбы с болезнями	dlya-borby-s-boleznyami
585	2	Декоративные, Комнатные	dekorativnye-komnatnye
586	2	Аспарагус	asparagus
587	2	Банан	banan
588	2	Вашингтония	vashingtoniya
589	2	Драцена	dracena
590	2	Колеус	koleus
591	2	Кофейное дерево	kofeynoe-derevo
592	2	Нолина	nolina
593	2	Пальма	palma
594	2	Паслен	paslen
595	2	Перец декоративный	perec-dekorativnyy
596	2	Шеффлера	shefflera
597	2	Юкка	yukka
598	2	Декоративные	dekorativnye
599	2	Земляничный шпинат	zemlyanichnyy-shpinat
600	2	Капуста декоративная	kapusta-dekorativnaya
601	2	Клевер	klever
602	2	Клещевина	kleschevina
603	2	Книфофия (Тритома)	knifofiya-tritoma
604	2	Кохия	kohiya
605	2	Овсяница	ovsyanica
606	2	Пампасная трава	pampasnaya-trava
607	2	Тыква декоративная	tykva-dekorativnaya
608	2	Хоста	hosta
609	2	Трава газонная	trava-gazonnaya
610	2	Все для сада	vse-dlya-sada
611	2	Воспомогательные вещества	vospomogatelnye-veschestva
612	2	Вёшенка	veshenka
613	2	Белый	belyy
614	2	Агроволокно	agrovolokno
615	2	Регулятори росту	regulyatori-rostu
22	2	Страницы	stranitsi
24	2	Новости	news
\.


--
-- TOC entry 2548 (class 0 OID 83774)
-- Dependencies: 180
-- Data for Name: termin_relation; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY termin_relation (termin_id, termin_id_related) FROM stdin;
\.


--
-- TOC entry 2549 (class 0 OID 83777)
-- Dependencies: 181
-- Data for Name: termin_structure; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY termin_structure (termin_id, termin_pid) FROM stdin;
20	8
321	8
322	321
322	508
323	8
324	323
325	20
326	325
327	325
328	325
329	325
330	20
331	330
332	330
333	330
334	330
335	330
336	330
337	330
338	330
339	330
340	330
341	330
342	330
343	330
344	330
345	330
346	330
347	330
348	330
349	330
350	330
351	330
352	330
353	330
354	330
355	330
356	330
357	330
358	330
359	330
360	330
361	330
362	330
363	330
364	330
365	330
366	330
367	330
368	330
369	330
370	330
371	330
372	330
373	330
374	330
375	330
376	330
377	330
378	330
379	330
380	330
381	330
382	330
383	330
384	330
385	330
386	330
387	330
388	330
389	330
390	330
391	330
392	330
393	330
394	330
395	330
396	330
397	330
398	330
399	330
400	330
401	330
402	330
403	330
404	330
405	330
406	330
407	330
408	330
409	330
410	330
411	330
412	330
413	330
414	330
415	330
416	330
417	330
418	330
419	330
420	330
421	330
422	330
423	330
424	330
425	330
426	330
427	330
428	330
429	330
430	330
431	330
432	330
433	330
434	330
434	568
435	330
436	330
437	330
438	330
439	330
440	330
441	330
442	330
443	330
444	330
445	330
446	330
447	330
448	330
449	330
450	330
451	330
452	330
453	330
454	330
455	330
456	330
457	330
458	330
459	330
460	330
461	330
462	330
463	330
464	330
465	330
466	330
467	8
468	467
469	467
470	8
471	470
472	470
473	323
474	8
475	474
476	470
477	474
478	20
479	478
480	478
481	478
482	478
483	478
484	478
485	478
486	478
487	478
488	20
489	488
490	488
491	488
492	20
493	492
494	492
495	492
496	492
497	492
498	492
499	492
500	492
500	502
501	492
502	20
503	502
504	502
504	514
505	502
506	502
507	321
507	508
508	8
509	467
510	323
511	20
512	511
513	511
513	532
514	20
515	514
515	532
516	514
517	514
518	514
519	514
520	514
520	532
521	514
2	22
3	22
4	22
5	22
6	22
7	22
9	22
10	22
11	22
12	22
13	22
14	22
15	22
16	22
522	514
523	514
524	514
525	514
526	514
527	514
528	514
529	514
530	514
531	514
532	20
533	532
534	532
535	532
536	532
537	532
538	532
539	532
540	532
541	532
542	532
543	532
544	532
545	532
546	532
547	532
548	532
549	532
550	532
551	532
552	532
553	532
554	532
555	532
556	532
557	532
558	532
559	532
560	532
561	532
562	532
563	532
564	532
565	532
566	532
567	467
568	20
569	568
570	568
571	568
572	568
573	568
574	568
575	474
576	323
577	474
578	508
579	508
580	508
581	321
582	470
583	508
584	321
584	508
585	20
586	585
587	585
588	585
589	585
590	585
591	585
592	585
593	585
594	585
595	585
596	585
597	585
598	20
599	598
600	598
601	598
602	598
603	598
604	598
605	598
606	598
607	598
608	598
609	598
610	470
611	321
612	323
613	323
614	470
615	8
1	22
8	0
22	0
24	0
\.


--
-- TOC entry 2634 (class 0 OID 0)
-- Dependencies: 182
-- Name: termin_termin_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('termin_termin_id_seq', 24, true);


--
-- TOC entry 2551 (class 0 OID 83782)
-- Dependencies: 183
-- Data for Name: user; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "user" (id, username, lastname, firstname, middlename, auth_key, password_hash, password_reset_token, email, status, created_at, updated_at) FROM stdin;
1	kingofdusk	\N	\N	\N	Up7QfH1esuEcd95Vuu065B_CCMnOsHO5	$2y$13$h.ZswcXs4Th836uRgdHGJOQqFrTiBlbyP42LwnL4nnv6GLJcAn7OG	\N	kingofdusk@gmail.com	10	1449053904	1449053904
3	admin	\N	\N	\N	SlJ315le5enaDJ4OsdvXX83i_drf-JXl	$2y$13$LfYpoaZkKzniNw/7rySAnOVPHy8wKFFznxBVoAWTnbLv/Di0oXqvi	\N	admin@admin.com	10	1449217990	1449217990
\.


--
-- TOC entry 2635 (class 0 OID 0)
-- Dependencies: 184
-- Name: user_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('user_id_seq', 4, true);


--
-- TOC entry 2332 (class 2606 OID 83976)
-- Name: admin_menu_access_group_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY admin_menu_access_group
    ADD CONSTRAINT admin_menu_access_group_pkey PRIMARY KEY (admin_menu_access_group_id);


--
-- TOC entry 2336 (class 2606 OID 83978)
-- Name: admin_menu_access_user_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY admin_menu_access_user
    ADD CONSTRAINT admin_menu_access_user_pkey PRIMARY KEY (admin_menu_access_user_id);


--
-- TOC entry 2326 (class 2606 OID 83980)
-- Name: admin_menu_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY admin_menu
    ADD CONSTRAINT admin_menu_pkey PRIMARY KEY (admin_menu_id);


--
-- TOC entry 2362 (class 2606 OID 84169)
-- Name: article_category_lang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY article_category_lang
    ADD CONSTRAINT article_category_lang_pkey PRIMARY KEY (article_category_lang_id);


--
-- TOC entry 2368 (class 2606 OID 84181)
-- Name: article_category_media_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY article_category_media
    ADD CONSTRAINT article_category_media_pkey PRIMARY KEY (article_category_media_id);


--
-- TOC entry 2357 (class 2606 OID 84141)
-- Name: article_category_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY article_category
    ADD CONSTRAINT article_category_pkey PRIMARY KEY (article_category_id);


--
-- TOC entry 2373 (class 2606 OID 84201)
-- Name: article_lang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY article_lang
    ADD CONSTRAINT article_lang_pkey PRIMARY KEY (article_lang_id);


--
-- TOC entry 2379 (class 2606 OID 84213)
-- Name: article_media_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY article_media
    ADD CONSTRAINT article_media_pkey PRIMARY KEY (article_media_id);


--
-- TOC entry 2352 (class 2606 OID 84127)
-- Name: article_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY article
    ADD CONSTRAINT article_pkey PRIMARY KEY (article_id);


--
-- TOC entry 2339 (class 2606 OID 83982)
-- Name: auth_assignment_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY auth_assignment
    ADD CONSTRAINT auth_assignment_pkey PRIMARY KEY (item_name, user_id);


--
-- TOC entry 2344 (class 2606 OID 83984)
-- Name: auth_item_child_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY auth_item_child
    ADD CONSTRAINT auth_item_child_pkey PRIMARY KEY (parent, child);


--
-- TOC entry 2341 (class 2606 OID 83986)
-- Name: auth_item_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY auth_item
    ADD CONSTRAINT auth_item_pkey PRIMARY KEY (name);


--
-- TOC entry 2346 (class 2606 OID 83988)
-- Name: auth_rule_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY auth_rule
    ADD CONSTRAINT auth_rule_pkey PRIMARY KEY (name);


--
-- TOC entry 2314 (class 2606 OID 83895)
-- Name: catalog_i18n_alias_langid_unique; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY catalog_i18n
    ADD CONSTRAINT catalog_i18n_alias_langid_unique UNIQUE (alias, lang_id);


--
-- TOC entry 2316 (class 2606 OID 83897)
-- Name: catalog_i18n_catalog_langid_pk; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY catalog_i18n
    ADD CONSTRAINT catalog_i18n_catalog_langid_pk PRIMARY KEY (catalog_id, lang_id);


--
-- TOC entry 2312 (class 2606 OID 83899)
-- Name: catalog_id_pk; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY catalog
    ADD CONSTRAINT catalog_id_pk PRIMARY KEY (catalog_id);


--
-- TOC entry 2279 (class 2606 OID 83794)
-- Name: language_id; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY language
    ADD CONSTRAINT language_id PRIMARY KEY (language_id);


--
-- TOC entry 2282 (class 2606 OID 83796)
-- Name: language_lang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY language_lang
    ADD CONSTRAINT language_lang_pkey PRIMARY KEY (language_id, lang_id);


--
-- TOC entry 2382 (class 2606 OID 84188)
-- Name: media_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY media
    ADD CONSTRAINT media_pkey PRIMARY KEY (media_id);


--
-- TOC entry 2292 (class 2606 OID 83798)
-- Name: menu_location_lang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY menu_location_lang
    ADD CONSTRAINT menu_location_lang_pkey PRIMARY KEY (menu_location_id, lang_id);


--
-- TOC entry 2289 (class 2606 OID 83800)
-- Name: menu_location_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY menu_location
    ADD CONSTRAINT menu_location_pkey PRIMARY KEY (menu_location_id);


--
-- TOC entry 2286 (class 2606 OID 83802)
-- Name: menu_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY menu
    ADD CONSTRAINT menu_pkey PRIMARY KEY (menu_id);


--
-- TOC entry 2392 (class 2606 OID 84248)
-- Name: option_lang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY option_lang
    ADD CONSTRAINT option_lang_pkey PRIMARY KEY (option_lang_id);


--
-- TOC entry 2387 (class 2606 OID 84241)
-- Name: option_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY option
    ADD CONSTRAINT option_pkey PRIMARY KEY (option_id);


--
-- TOC entry 2348 (class 2606 OID 83990)
-- Name: social_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY social
    ADD CONSTRAINT social_pkey PRIMARY KEY (social_id);


--
-- TOC entry 2321 (class 2606 OID 83901)
-- Name: termin_book_lang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY termin_book_lang
    ADD CONSTRAINT termin_book_lang_pkey PRIMARY KEY (termin_book_id, lang_id);


--
-- TOC entry 2318 (class 2606 OID 83903)
-- Name: termin_book_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY termin_book
    ADD CONSTRAINT termin_book_pkey PRIMARY KEY (termin_book_id);


--
-- TOC entry 2298 (class 2606 OID 83804)
-- Name: termin_lang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY termin_lang
    ADD CONSTRAINT termin_lang_pkey PRIMARY KEY (termin_id, language_id);


--
-- TOC entry 2295 (class 2606 OID 83806)
-- Name: termin_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY termin
    ADD CONSTRAINT termin_pkey PRIMARY KEY (termin_id);


--
-- TOC entry 2301 (class 2606 OID 83808)
-- Name: termin_structure_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY termin_structure
    ADD CONSTRAINT termin_structure_pkey PRIMARY KEY (termin_id, termin_pid);


--
-- TOC entry 2304 (class 2606 OID 83810)
-- Name: user_email_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_email_key UNIQUE (email);


--
-- TOC entry 2306 (class 2606 OID 83812)
-- Name: user_password_reset_token_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_password_reset_token_key UNIQUE (password_reset_token);


--
-- TOC entry 2308 (class 2606 OID 83814)
-- Name: user_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_pkey PRIMARY KEY (id);


--
-- TOC entry 2310 (class 2606 OID 83816)
-- Name: user_username_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "user"
    ADD CONSTRAINT user_username_key UNIQUE (username);


--
-- TOC entry 2327 (class 1259 OID 83991)
-- Name: 1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "1" ON admin_menu_access_group USING btree ("group");


--
-- TOC entry 2328 (class 1259 OID 83992)
-- Name: admin_menu_access_group_group_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin_menu_access_group_group_idx ON admin_menu_access_group USING btree ("group");


--
-- TOC entry 2329 (class 1259 OID 83993)
-- Name: admin_menu_access_group_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin_menu_access_group_id_idx ON admin_menu_access_group USING btree (admin_menu_access_group_id);


--
-- TOC entry 2330 (class 1259 OID 83994)
-- Name: admin_menu_access_group_menu_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin_menu_access_group_menu_id_idx ON admin_menu_access_group USING btree (admin_menu_id);


--
-- TOC entry 2333 (class 1259 OID 83995)
-- Name: admin_menu_access_user_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin_menu_access_user_id_idx ON admin_menu_access_user USING btree (admin_menu_access_user_id);


--
-- TOC entry 2334 (class 1259 OID 83996)
-- Name: admin_menu_access_user_menu_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin_menu_access_user_menu_id_idx ON admin_menu_access_user USING btree (admin_menu_id);


--
-- TOC entry 2337 (class 1259 OID 83997)
-- Name: admin_menu_access_user_user_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin_menu_access_user_user_id_idx ON admin_menu_access_user USING btree (user_id);


--
-- TOC entry 2323 (class 1259 OID 83998)
-- Name: admin_menu_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin_menu_id_idx ON admin_menu USING btree (admin_menu_id);


--
-- TOC entry 2324 (class 1259 OID 83999)
-- Name: admin_menu_parent_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX admin_menu_parent_id_idx ON admin_menu USING btree (admin_menu_pid);


--
-- TOC entry 2349 (class 1259 OID 84123)
-- Name: article_article_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_article_id_idx ON article USING btree (article_id);


--
-- TOC entry 2350 (class 1259 OID 84125)
-- Name: article_article_pid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_article_pid_idx ON article USING btree (article_pid);


--
-- TOC entry 2354 (class 1259 OID 84138)
-- Name: article_category_article_category_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_article_category_id_idx ON article_category USING btree (article_category_id);


--
-- TOC entry 2355 (class 1259 OID 84139)
-- Name: article_category_article_category_pid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_article_category_pid_idx ON article_category USING btree (article_category_pid);


--
-- TOC entry 2358 (class 1259 OID 84149)
-- Name: article_category_lang_article_category_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_lang_article_category_id_idx ON article_category_lang USING btree (article_category_id);


--
-- TOC entry 2359 (class 1259 OID 84147)
-- Name: article_category_lang_article_category_lang_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_lang_article_category_lang_id_idx ON article_category_lang USING btree (article_category_lang_id);


--
-- TOC entry 2360 (class 1259 OID 84148)
-- Name: article_category_lang_language_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_lang_language_id_idx ON article_category_lang USING btree (language_id);


--
-- TOC entry 2363 (class 1259 OID 84151)
-- Name: article_category_media_article_category_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_media_article_category_id_idx ON article_category_media USING btree (article_category_id);


--
-- TOC entry 2364 (class 1259 OID 84150)
-- Name: article_category_media_article_category_media_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_media_article_category_media_id_idx ON article_category_media USING btree (article_category_media_id);


--
-- TOC entry 2365 (class 1259 OID 84194)
-- Name: article_category_media_language_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_media_language_id_idx ON article_category_media USING btree (language_id);


--
-- TOC entry 2366 (class 1259 OID 84152)
-- Name: article_category_media_media_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_category_media_media_id_idx ON article_category_media USING btree (media_id);


--
-- TOC entry 2369 (class 1259 OID 84155)
-- Name: article_lang_article_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_lang_article_id_idx ON article_lang USING btree (article_id);


--
-- TOC entry 2370 (class 1259 OID 84153)
-- Name: article_lang_article_lang_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_lang_article_lang_id_idx ON article_lang USING btree (article_lang_id);


--
-- TOC entry 2371 (class 1259 OID 84154)
-- Name: article_lang_language_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_lang_language_id_idx ON article_lang USING btree (language_id);


--
-- TOC entry 2374 (class 1259 OID 84157)
-- Name: article_media_article_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_media_article_id_idx ON article_media USING btree (article_id);


--
-- TOC entry 2375 (class 1259 OID 84156)
-- Name: article_media_article_media_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_media_article_media_id_idx ON article_media USING btree (article_media_id);


--
-- TOC entry 2376 (class 1259 OID 84214)
-- Name: article_media_language_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_media_language_id_idx ON article_media USING btree (language_id);


--
-- TOC entry 2377 (class 1259 OID 84158)
-- Name: article_media_media_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_media_media_id_idx ON article_media USING btree (media_id);


--
-- TOC entry 2393 (class 1259 OID 84160)
-- Name: article_to_category_article_category_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_to_category_article_category_id_idx ON article_to_category USING btree (article_category_id);


--
-- TOC entry 2394 (class 1259 OID 84159)
-- Name: article_to_category_article_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_to_category_article_id_idx ON article_to_category USING btree (article_id);


--
-- TOC entry 2353 (class 1259 OID 84124)
-- Name: article_user_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX article_user_id_idx ON article USING btree (user_id);


--
-- TOC entry 2342 (class 1259 OID 84000)
-- Name: auth_item_type_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX auth_item_type_idx ON auth_item USING btree (type);


--
-- TOC entry 2280 (class 1259 OID 83817)
-- Name: language_lang_lang_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX language_lang_lang_id_idx ON language_lang USING btree (lang_id);


--
-- TOC entry 2380 (class 1259 OID 84161)
-- Name: media_media_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX media_media_id_idx ON media USING btree (media_id);


--
-- TOC entry 2290 (class 1259 OID 83818)
-- Name: menu_location_lang_lang_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX menu_location_lang_lang_id_idx ON menu_location_lang USING btree (lang_id);


--
-- TOC entry 2283 (class 1259 OID 83819)
-- Name: menu_menu_location_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX menu_menu_location_id_idx ON menu USING btree (menu_location_id);


--
-- TOC entry 2284 (class 1259 OID 83820)
-- Name: menu_menu_pid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX menu_menu_pid_idx ON menu USING btree (menu_pid);


--
-- TOC entry 2287 (class 1259 OID 83821)
-- Name: menu_termin_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX menu_termin_id_idx ON menu USING btree (termin_id);


--
-- TOC entry 2388 (class 1259 OID 84167)
-- Name: option_lang_language_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX option_lang_language_id_idx ON option_lang USING btree (language_id);


--
-- TOC entry 2389 (class 1259 OID 84166)
-- Name: option_lang_option_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX option_lang_option_id_idx ON option_lang USING btree (option_id);


--
-- TOC entry 2390 (class 1259 OID 84165)
-- Name: option_lang_option_lang_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX option_lang_option_lang_id_idx ON option_lang USING btree (option_lang_id);


--
-- TOC entry 2383 (class 1259 OID 84164)
-- Name: option_model_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX option_model_id_idx ON option USING btree (model_id);


--
-- TOC entry 2384 (class 1259 OID 84162)
-- Name: option_option_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX option_option_id_idx ON option USING btree (option_id);


--
-- TOC entry 2385 (class 1259 OID 84163)
-- Name: option_option_pid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX option_option_pid_idx ON option USING btree (option_pid);


--
-- TOC entry 2319 (class 1259 OID 83904)
-- Name: termin_book_lang_lang_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX termin_book_lang_lang_id_idx ON termin_book_lang USING btree (lang_id);


--
-- TOC entry 2322 (class 1259 OID 83905)
-- Name: termin_book_lang_termin_book_id_lang_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX termin_book_lang_termin_book_id_lang_id_idx ON termin_book_lang USING btree (termin_book_id, lang_id);


--
-- TOC entry 2293 (class 1259 OID 83822)
-- Name: termin_is_book_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX termin_is_book_idx ON termin USING btree (is_book);


--
-- TOC entry 2296 (class 1259 OID 83823)
-- Name: termin_lang_lang_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX termin_lang_lang_id_idx ON termin_lang USING btree (language_id);


--
-- TOC entry 2299 (class 1259 OID 83824)
-- Name: termin_lang_termin_id_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX termin_lang_termin_id_idx ON termin_lang USING btree (termin_id);


--
-- TOC entry 2302 (class 1259 OID 83825)
-- Name: termin_structure_termin_pid_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX termin_structure_termin_pid_idx ON termin_structure USING btree (termin_pid);


--
-- TOC entry 2406 (class 2606 OID 84001)
-- Name: admin_menu_access_group_menu_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY admin_menu_access_group
    ADD CONSTRAINT admin_menu_access_group_menu_id_fkey FOREIGN KEY (admin_menu_id) REFERENCES admin_menu(admin_menu_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2407 (class 2606 OID 84006)
-- Name: admin_menu_access_user_menu_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY admin_menu_access_user
    ADD CONSTRAINT admin_menu_access_user_menu_id_fkey FOREIGN KEY (admin_menu_id) REFERENCES admin_menu(admin_menu_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2408 (class 2606 OID 84011)
-- Name: admin_menu_access_user_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY admin_menu_access_user
    ADD CONSTRAINT admin_menu_access_user_user_id_fkey FOREIGN KEY (user_id) REFERENCES "user"(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2405 (class 2606 OID 84016)
-- Name: admin_menu_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY admin_menu
    ADD CONSTRAINT admin_menu_parent_id_fkey FOREIGN KEY (admin_menu_pid) REFERENCES admin_menu(admin_menu_id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2413 (class 2606 OID 84128)
-- Name: article_article_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article
    ADD CONSTRAINT article_article_pid_fkey FOREIGN KEY (article_pid) REFERENCES article(article_id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2415 (class 2606 OID 84142)
-- Name: article_category_article_category_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category
    ADD CONSTRAINT article_category_article_category_pid_fkey FOREIGN KEY (article_category_pid) REFERENCES article_category(article_category_id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2417 (class 2606 OID 84175)
-- Name: article_category_lang_article_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category_lang
    ADD CONSTRAINT article_category_lang_article_category_id_fkey FOREIGN KEY (article_category_id) REFERENCES article_category(article_category_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2416 (class 2606 OID 84170)
-- Name: article_category_lang_language_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category_lang
    ADD CONSTRAINT article_category_lang_language_id_fkey FOREIGN KEY (language_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE SET DEFAULT;


--
-- TOC entry 2418 (class 2606 OID 84182)
-- Name: article_category_media_article_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category_media
    ADD CONSTRAINT article_category_media_article_category_id_fkey FOREIGN KEY (article_category_id) REFERENCES article_category(article_category_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2420 (class 2606 OID 84195)
-- Name: article_category_media_language_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category_media
    ADD CONSTRAINT article_category_media_language_id_fkey FOREIGN KEY (language_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE SET DEFAULT;


--
-- TOC entry 2419 (class 2606 OID 84189)
-- Name: article_category_media_media_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_category_media
    ADD CONSTRAINT article_category_media_media_id_fkey FOREIGN KEY (media_id) REFERENCES media(media_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2422 (class 2606 OID 84207)
-- Name: article_lang_article_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_lang
    ADD CONSTRAINT article_lang_article_id_fkey FOREIGN KEY (article_id) REFERENCES article(article_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2421 (class 2606 OID 84202)
-- Name: article_lang_language_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_lang
    ADD CONSTRAINT article_lang_language_id_fkey FOREIGN KEY (language_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE SET DEFAULT;


--
-- TOC entry 2423 (class 2606 OID 84215)
-- Name: article_media_article_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_media
    ADD CONSTRAINT article_media_article_id_fkey FOREIGN KEY (article_id) REFERENCES article(article_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2425 (class 2606 OID 84225)
-- Name: article_media_language_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_media
    ADD CONSTRAINT article_media_language_id_fkey FOREIGN KEY (language_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE SET DEFAULT;


--
-- TOC entry 2424 (class 2606 OID 84220)
-- Name: article_media_media_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_media
    ADD CONSTRAINT article_media_media_id_fkey FOREIGN KEY (media_id) REFERENCES media(media_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2430 (class 2606 OID 84235)
-- Name: article_to_category_article_category_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_to_category
    ADD CONSTRAINT article_to_category_article_category_id_fkey FOREIGN KEY (article_category_id) REFERENCES article_category(article_category_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2429 (class 2606 OID 84230)
-- Name: article_to_category_article_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article_to_category
    ADD CONSTRAINT article_to_category_article_id_fkey FOREIGN KEY (article_id) REFERENCES article(article_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2414 (class 2606 OID 84133)
-- Name: article_user_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY article
    ADD CONSTRAINT article_user_id_fkey FOREIGN KEY (user_id) REFERENCES "user"(id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2409 (class 2606 OID 84021)
-- Name: auth_assignment_item_name_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY auth_assignment
    ADD CONSTRAINT auth_assignment_item_name_fkey FOREIGN KEY (item_name) REFERENCES auth_item(name) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2411 (class 2606 OID 84026)
-- Name: auth_item_child_child_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY auth_item_child
    ADD CONSTRAINT auth_item_child_child_fkey FOREIGN KEY (child) REFERENCES auth_item(name) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2412 (class 2606 OID 84031)
-- Name: auth_item_child_parent_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY auth_item_child
    ADD CONSTRAINT auth_item_child_parent_fkey FOREIGN KEY (parent) REFERENCES auth_item(name) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2410 (class 2606 OID 84036)
-- Name: auth_item_rule_name_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY auth_item
    ADD CONSTRAINT auth_item_rule_name_fkey FOREIGN KEY (rule_name) REFERENCES auth_rule(name) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2395 (class 2606 OID 83826)
-- Name: language_lang_language_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY language_lang
    ADD CONSTRAINT language_lang_language_id_fkey FOREIGN KEY (language_id) REFERENCES language(language_id);


--
-- TOC entry 2396 (class 2606 OID 83831)
-- Name: language_lang_language_id_fkey1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY language_lang
    ADD CONSTRAINT language_lang_language_id_fkey1 FOREIGN KEY (language_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2398 (class 2606 OID 83836)
-- Name: menu_location_lang_lang_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY menu_location_lang
    ADD CONSTRAINT menu_location_lang_lang_id_fkey FOREIGN KEY (lang_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2399 (class 2606 OID 83841)
-- Name: menu_location_lang_menu_location_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY menu_location_lang
    ADD CONSTRAINT menu_location_lang_menu_location_id_fkey FOREIGN KEY (menu_location_id) REFERENCES menu_location(menu_location_id);


--
-- TOC entry 2397 (class 2606 OID 83846)
-- Name: menu_termin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY menu
    ADD CONSTRAINT menu_termin_id_fkey FOREIGN KEY (termin_id) REFERENCES termin(termin_id);


--
-- TOC entry 2428 (class 2606 OID 84254)
-- Name: option_lang_language_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY option_lang
    ADD CONSTRAINT option_lang_language_id_fkey FOREIGN KEY (language_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE SET DEFAULT;


--
-- TOC entry 2427 (class 2606 OID 84249)
-- Name: option_lang_option_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY option_lang
    ADD CONSTRAINT option_lang_option_id_fkey FOREIGN KEY (option_id) REFERENCES option(option_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2426 (class 2606 OID 84242)
-- Name: option_option_pid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY option
    ADD CONSTRAINT option_option_pid_fkey FOREIGN KEY (option_pid) REFERENCES option(option_id) ON UPDATE CASCADE ON DELETE SET NULL;


--
-- TOC entry 2403 (class 2606 OID 83906)
-- Name: termin_book_lang_lang_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY termin_book_lang
    ADD CONSTRAINT termin_book_lang_lang_id_fkey FOREIGN KEY (lang_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2404 (class 2606 OID 83911)
-- Name: termin_book_lang_termin_book_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY termin_book_lang
    ADD CONSTRAINT termin_book_lang_termin_book_id_fkey FOREIGN KEY (termin_book_id) REFERENCES termin_book(termin_book_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2400 (class 2606 OID 83851)
-- Name: termin_lang_lang_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY termin_lang
    ADD CONSTRAINT termin_lang_lang_id_fkey FOREIGN KEY (language_id) REFERENCES language(language_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2401 (class 2606 OID 83856)
-- Name: termin_lang_termin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY termin_lang
    ADD CONSTRAINT termin_lang_termin_id_fkey FOREIGN KEY (termin_id) REFERENCES termin(termin_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2402 (class 2606 OID 83861)
-- Name: termin_structure_termin_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY termin_structure
    ADD CONSTRAINT termin_structure_termin_id_fkey FOREIGN KEY (termin_id) REFERENCES termin(termin_id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2596 (class 0 OID 0)
-- Dependencies: 6
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2016-01-15 15:34:48

--
-- PostgreSQL database dump complete
--

